Introducing TextPad

When just getting the job done is work enough, the last thing you need is to waste time having to learn yet another computer application. Your experience with other tools should be relevant to each new application, making it possible to sit down and use that new application right away.

That's why TextPad is so popular. Whether you simply need a powerful replacement for Notepad, a tool for editing your web pages, or a programming IDE, TextPad does what you want, the way you would expect.

TextPad is designed to provide the power and functionality to satisfy the most demanding text editing requirements. It can edit files up to the limits of virtual memory, and will work with MS Windows™ 9x, ME, NT 4, 2000 and XP.

TextPad has been implemented according to the Microsoft Windows Guidelines for Accessible Software Design, so great attention has been paid to making it easy for both beginners and experienced users. Command shortcuts can be modified to taste, with emulations provided for WordStar, BRIEF, and Microsoft applications. In-context help is available for all commands, and in-context menus pop-up with the right mouse button. Use of the standard Multiple Document Interface (MDI) allows many files to be edited simultaneously, with up to 4 views on each file. Text can be dragged and dropped between files, and to other applications.

In addition to the usual cut and paste facilities, you can correct the most common typing errors with commands to change case, and transpose words, characters and lines. Other commands let you indent blocks of text, reformat paragraphs, and insert whole files. Any change can be undone or redone, right back to the first one made. Visible bookmarks can be put on lines, and edit commands can be applied to all lines with bookmarks. Frequently used combinations of commands can be saved as keystroke macros.

The spelling checker has dictionaries for 13 languages, and additional dictionaries can be created from word list files. Words can be added to the standard dictionaries, as they arise, or can be imported from a word list file.

For purposes such as software development, TextPad has a customizable tools menu, and integral file compare and search commands. The output of user defined tools can optionally be captured in the Command Results window. By defining an appropriate search pattern to match the error output of tools such as compilers, the source file can be opened at the corresponding line, by double clicking the error message.

Summary of Features

Year 2000 Compliance

TextPad® is a registered trademark of Helios Software Solutions
Copyright © 1992-2003 Helios Software Solutions
All Rights Reserved.


Installing TextPad

Minimum Requirements:

  • IBM Compatible PC
  • Microsoft Windows 95 (SP#1), NT 4 (SP#6), or later versions of Windows.
  • COMCTL32.DLL 4.70 or later (can be downloaded from http://support.microsoft.com/default.aspx?scid=KB;en-us;q186176).
  • 3.5MB free disk space

Installation:

TextPad has a setup program which configures it for the version of Windows that you are using. Some things will not work if you do not install it correctly. You have been warned!

To install from a Self-extracting Executable File, run the file, and follow the on-screen instructions.

To install TextPad from CD-ROM, insert it in your drive and follow the on-screen instructions. If the setup does not start automatically, open the CD-ROM drive in My Computer, and then open index.html.

Notes:

  • If you have associated file extensions with TextPad using Explorer, remake them using the Associated Files page of the Preferences dialog box. This will ensure that TextPad is started correctly when you double-click a file.

What Goes Where:

The setup program creates a two-level directory structure. The top level folder contains the main program and README files. The subfolders contain the following files:

Folder: | Files: | Function:
SYSTEM | TXPAD???.CHM, TXPAD???.HLP and TXPAD???.CNT | On-line help.
 | TXPAD???.TIP | Tips of the day.
 | TXPAD???.DLL | User interface language resources.
 | *.SYN | Syntax definition files.
 | *.BND | Keyboard bindings.
 | PLUMB.EXE | For capturing the output of user tools.
 | SHELLEXT.DLL | For adding TextPad to Explorer’s context menu.
SPELLING | SSCE??.TLX and SSCE??2.CLX | Standard dictionaries for the spelling checker.
SAMPLES | *.TPM | Contributed macros.
 | *.SYN | Contributed syntax definition files.
 | *.TCL | Contributed clip libraries.
[user profile]\Application Data\TextPad | *.TPM | Personal macros.
 | *.SYN | Personal syntax definition files.
 | *.TCL | Personal clip libraries.
 | CUSTOM.BND | Personal keyboard bindings..
 | U*.TLX | Personal dictionary files.

TextPad will not work correctly if its files are not where it expects to find them, so please do not move them around. Your personal folders are under your own control, and the files that are stored in them can be specified on the Folders page of the Preferences dialog box.

Personal Preferences:

TextPad saves your personal preferences in the Windows registry under the key:

HKEY_CURRENT_USER\Software\Helios\TextPad 4

The first time TextPad is run on Windows 2000, XP and NT 4, preferences are initialised from the following registry key, if it exists:

HKEY_USERS\.DEFAULT\Software\Helios\TextPad 4

All preferences can be configured from within TextPad, so if you edit them directly, it is at your own risk. To transfer your preferences to another PC, see How to Customize Settings: Transferring Between PC's.

Automating the Installation Process:

This procedure is described in Article ID Q105473 in the InstallShield knowledge base.

Upgrading from TextPad 3.x:

File names in TextPad 4 are associated with document classes, using wild cards, and each class can have different properties, such as tab stops, font and syntax highlighting. The way such properties are defined and saved has been completely redesigned, so no personal preferences are automatically transferred from TextPad 3.x.

It is safe to install TextPad 4 in the same folder as earlier releases, but if you subsequently uninstall the earlier release, macros and clip libraries will be deleted from the SAMPLES subfolder, if they have the same name. For this reason, we recommend installing TextPad 4 in a different folder, then uninstalling TextPad 3.x after you have manually transferred your personal preferences, macros and clip libraries.

If you have customized command shortcuts, they will be transferred to TextPad 4, if you install it before uninstalling TextPad 3.x. Otherwise, customize a single shortcut in TextPad 4 and exit. Then copy CUSTOM.BND from the USER subfolder of TextPad 3.x to the one for TextPad 4.

To transfer your macros and clip libraries, please see How to Customize Settings: Transferring Between PC's.

The engine for the spelling checker has been replaced with a more powerful, but incompatible one. Replacement dictionaries are available for all previously supported languages, plus new ones for Portuguese (for both Brazil and Portugal), Finnish, and English Legal and Medical terms. These can be downloaded from our Internet Web site at URL: http://www.textpad.com/.

See Also:

Obtaining Updates


What's New

What's New in TextPad

http://www.textpad.com/support/relnotes.html


Frequently Asked Questions

Before reporting any problems, please check this list, and the more up to date list at http://www.textpad.com/support/, to see if there is a known solution:

  • Why isn't the workspace saved?
  • How do I dock the Document Selector?
  • Why does it take a long time to open small files?
  • Why is a tiny font used for printing?
  • Why is the diskette drive accessed when I run a tool from the Tools menu?
  • Why can't I save a modified HTML file?
  • How can TextPad open files with spaces in their names, passed to its command line?
  • Why can't TextPad open files with spaces in their paths, using the Open File dialog box on NT 3.51?
  • How can I open more than one file at a time with Explorer's Send To command?
  • When I save a file as NAME.EXT, why is it saved as NAME.EXT.TXT?
  • Why doesn't .HTML or .JAVA work as a default file extension?
  • Why doesn't TextPad preserve the original file's creator (and UNIX access modes) when it saves changes?
  • How can I make Notepad use TextPad instead of WordPad for big files?
  • Why doesn't Page Up/Down move the cursor?
  • Why can't I delete a folder after I have edited a file in it?
  • How do I search for tabs and new line characters?


Getting Assistance While You Work

You can use the on-line help system in various ways to help you as you work:

  • Press F1 in any context to display help information. For example, highlight a menu command and press F1 to find out what it does.
  • Click [image] on the toolbar, then click [image] where you want help.
  • Hold the mouse pointer over a toolbar button to find out what it does.
  • Use the Help Topics command on the Help menu to display all help topics.


Technical Support

Please click the link below to access our web-based technical support system:

http://www.textpad.com/support/


Here are some tips you may find useful:

  • Remember to make use of the right mouse button.
  • Double left click in the left margin selects the line.
  • Ctrl+left click in the left margin selects all lines.
  • Alt+left click overrides the current selection mode.
  • The indicators on the status bar can be changed by double clicking them.
  • "@-files" are normal text files containing a list of file names one per line. They can be used on the command line and in the Quick Open dialog box, to make TextPad open all the specified files, and in the "In Files" box on the Find in Files dialog box, to specify the list of files to search. Simply precede the name of this file with an "@" to make TextPad look inside it, rather than open it as a normal file. (Note that the "@" character must not be part of the name of the file.)
  • When you right click a "#include" line in a C/C++ source file, a command to open the included file is added to the pop up menu.
  • You can use Explorer's Send To command to open selected files with TextPad. Right click the selection, choose Send To, and pick TextPad from the cascading menu.
  • When using the Save As dialog box, Windows 9x and NT 4 will not let you specify a name without an extension, or an arbitrary extension that it does not recognize, unless you select "All Files (*.*)" as the Save as type, or enclose the name in quotes.
  • On Windows 9x and NT 4, you can create directories, and rename and delete files using the Open File dialog box, just like in Explorer.
  • You can change the default Open File filter by moving it to the top of the list on the File Name Filters page of the Preferences dialog box. Note that if you set the option to save the workspace, on the General page, the default is the last filter that you used.
  • Ctrl+Shift+O brings up a simple dialog box for file opening, in which you can type wild cards, such as "*.html".
  • In the Replace dialog box, you can use '\t' as a tab and '\f' as a form feed in the search and replace strings, if you check the Regular Expression check box.
  • After you have saved the Search or Command output results as an ordinary file, it loses its hypertext jump property, but you can always load an ordinary file into the Command output window by capturing the output from the DOS TYPE command.


Known Problems

The following problems have been identified with this release:

  • On Windows XP, edit controls in dialog boxes do not display characters in the same font script as the active document, unless it matches the the language selected for non-Unicode programs, using Control Panel's Regional and Language Options.
  • On Windows 2000, the Find, Replace and Find in Files commands may cause TextPad to lock up, if your display driver is not Windows 2000 compliant. To work around this, clear the option labelled "Transparent dialog boxes", on the View page of the Preferences dialog box. You should also check if an updated display driver is available for your PC.
  • On NT 4.0, and Windows 2000, TextPad will freeze if you right click an associated file in the Open File dialog box, and choose Open from the context menu. This is due to a known problem in Windows. To avoid it, simply select the file and click the Open button. You can work around it by making Explorer use the command line, rather than DDE messages, to pass file names to TextPad. For example, to make the change for TXT files:
    1. Click Start/Run and run REGEDIT.EXE.
    2. Select the key HKEY_CLASSES_ROOT\TextPad.txt\shell\open\command
    3. Double click "(Default)", in the right hand pane and replace the -s parameter with "%1" (including the quotes).
    4. Select the key HKEY_CLASSES_ROOT\TextPad.txt\shell\open\ddeexec
    5. Press the Delete key, to delete it.

    WARNING: Be careful, when using Regedit, as it does not have an undo facility.

  • Print preview does not work with generic text printers.
  • TextPad will not save files from NT 4 to a UNIX server, if connected using Samba, unless "Overwrite original files directly, when saving changes" is set on the File page of the Preferences dialog box.
  • On NT 4.0, the Open File dialog box cannot be used to open many files at once, due to a 256 character limitation, which is fixed in Windows 2000.
  • On NT 4.0, TextPad takes a long time to open a file with an associated extension, if you double click the file on the desktop. This is due to a known problem, which is fixed in Windows 2000. A workaround is to right click the file, and use the Send To command instead.
  • Netscape Navigator 4 and Communicator cannot send the text of a TextPad document in-line in an e-mail message. If you configure them to process e-mail from MAPI-based applications, they replace the standard MAPI32.DLL with a cut down version that does not have the required functionality. The workaround is to check "Send documents as e-mail attachments" on the General page of the Preferences dialog box.
  • TextPad cannot keep up with touch typing speed, on Toshiba, IBM and HP laptops that have a NeoMagic MagicMedia 256AV video controller, when its color depth is set to 24-bits or more. (This also happens with Outlook Express, so is not a bug in TextPad.) To workaround it, set the color depth to 16-bits. The problem is fixed in driver version 4.28.04Q, 4.0.28.


Obtaining Updates

New releases of TextPad will be made available for downloading from various sites, including:

  • Our Internet Web site at URL: http://www.textpad.com/
  • Our FTP server at: ftp.textpad.com
    Log in as "anonymous", use your e-mail address as the password, and change directory to /pub.

Note: To maintain full TextPad access rights, registered users must keep their original license details with each new release.


How to Create a New File

To create a new unnamed document:

From the File menu, choose New.

Toolbar:

The new document may be given a name using the Save As command on the File menu.

To create a new named file:

  1. From the File menu, choose Open. The File Open dialog appears.
    Toolbar:
  2. In the Directories box, double-click a folder where you want to store the source file (or move up or down a path to the appropriate folder).
  3. Type the file name in the File Name box, and click OK. The default extension given to a file is .TXT, unless you specify something else.
  4. Click Yes on the message box that appears, asking if you want to create the file.
  5. Use the editor to type the contents of the file.


How to Open an Existing File

  1. From the File menu, choose Open. The File Open dialog appears.
    Toolbar:
  2. Select the drive and folder where the file is stored. The default is the current drive and folder.
  3. Set the types of files to display in the Files of Type box. Files with the chosen extension are displayed in the File Name box. This box serves as a filter to display all files with a given extension. For example, Source (*.cpp,*.c,*.h) displays all files with the given extensions. The drop-down box initially lists commonly-used file extensions. Alternatively, you can specify wildcard patterns in the File Name box to display file types. The new wildcard pattern is retained until the dialog box is closed. You can also use any combination of wildcard patterns, delimited by semicolons. For example, entering "*.TXT; *.INI" displays all files with those extensions.
  4. If you want to override the automatically determined file format, choose from the drop-down list as follows:
    File Type: Definition:
    Auto | A file matching the list of members of the Binary document class will be viewed in hexadecimal, otherwise it will be opened as a text file.
    Text | The file is read as text in the selected code set.
    Binary | The file is binary and will be viewed in hexadecimal.
  5. If you want to disable edits to the file, check the Read Only box.
  6. In the File Name box, click a filename, then click OK.

Shortcut: Double-click a filename.

See Also: The Quick Open command.

Tips:

  • You can select multiple files to open at once, by using Ctrl+Left button to select each in turn, or Shift+Left button to select a range of files.
  • The default folder for opening and saving files is the current working folder. When TextPad is started, its working folder is the one defined on the shortcut it was started from. This can be overridden by defining the "Startup" folder on the Folders page of the Preferences dialog box. Subsequently, the working folder is changed whenever you select another folder with the Open or Save As dialog box. You can also arrange that the working folder is always the same as that of the active document by checking "Working folder follows active document" on the General page of the Preferences dialog box.


How to Open a File or URL Named in a Document

To open a file that is named in an open document, either:

  1. Select the file name in the text, and use the Go To File command (Ctrl+Shift+G) to open it. This command is not on a menu.
  2. If the file is specified in an include statement with one of the syntaxes listed below, either right click it, and choose the Open command from the context menu, or place the cursor anywhere on the file name, and use the Go To File command.
    3. #include "filename"
#include <filename>
!include "filename"
$include "filename"
<include file="filename">
<!--#include file="filename" -->

To open a URL that is named in an open document, either:

  1. Select the URL in the text, or place the cursor anywhere in it, and use the Go To File command (Ctrl+Shift+G) to open it.
  2. Right click the URL and choose the Open command from the context menu.


How to Open a Hex View of a File

  1. From the File menu, choose Open. The File Open dialog appears.
    Toolbar:
  2. Select the file to open.
  3. Click the down arrow next to the File Format box.
  4. Choose "Binary" from the drop-down list.
  5. Click OK.

Tips:

  • You can select multiple files to open at once, by using Ctrl+Left button to select each in turn, or Shift+Left button to select a range of files.


How to Save a File

  1. Switch to the source window.
  2. From the File menu, choose Save.

    3. Toolbar:

  3. If your file is unnamed, the Save As dialog box is displayed. In the File Name box, type the filename.
  4. In the Drives and Directories boxes, select a drive and folder.
  5. Click OK.

Note:

If the file has the read-only attribute set, or has been modified by another process, since it was opened for editing, the Save As dialog box will be displayed so that you can opt to save it with a different name.


How to Save a File with a Different Name

To save the active document to a new file, while preserving its original file:

  1. From the File menu, choose Save As. The Save As dialog box appears.
  2. Select the drive and folder where the file is to be stored. The default is the current drive and folder.
  3. Choose the File Format, if you want to convert from the original.
  4. Choose the Encoding, such as Unicode, if you want to convert from the original.
  5. In the File Name box, type the filename.
  6. Check the "Selection only" box, if you want to save the selected text to a new file.
  7. Click OK.


How to Rename the Active Document's File

To rename the file that the active document was read from:

  1. From the File menu, choose Rename. The Rename dialog box appears.
  2. Type the new name and/or folder.
  3. Click OK.


How to Revert to the Last Saved State

To reload the document from its disk file, choose the Revert command from the File menu. If the document has been modified, you will be asked if you want to proceed.


How to Close a File

  1. Switch to the file's window.
  2. From the File menu, choose Close. This action closes the active window and any additional views of the window.

Tip:

When the Document Selector has the input focus, pressing the Delete key closes the highlighted file.


How to Convert a File for PC, Unix or Mac

  1. From the File menu, choose Save As. The File Save As dialog appears.
  2. Select the drive and folder where the file is to be stored. The default is the current drive and folder.
  3. In the File Name box, type the filename.
  4. Choose the file format from the drop-down list as follows:
File Format: | Definition:
PC | The file is saved in DOS PC format with a carriage return/line feed at the end of each line.
UNIX | The file is saved in the UNIX format with a line feed at the end of each line.
MAC | The file is saved in the Apple MAC format with a carriage return at the end of each line.

  • Click OK.


How to Work with DOS Files

Overview:

Windows applications normally use the ANSI code set, while DOS applications use the DOS code set (also known as OEM and IBM). The numeric codes that are assigned to the English alphabet, numbers and various other common characters are the same in both sets, but characters with codes above decimal 127 (hex 7F), such as the line drawing set, use different codes, and some are unique. Another factor is that they also depend on which code page is active.

Text on the clipboard presents an additional complication. Windows will convert from DOS to ANSI, when pasting into a non-DOS document in TextPad or into another application, so unique characters will be converted to their nearest equivalent.

Fonts:

Some versions of Courier New can display in either the ANSI or DOS code set, but most TrueType fonts are only available in ANSI. The standard DOS raster font is called Terminal. In some cases, MS LineDraw may be a suitable TrueType alternative to the DOS raster font.

You can choose which font will be used by selecting it on the Font dialog box, and setting the DOS check box.

Options for working with DOS files:

  1. There is a Convert command on the Tools menu to convert between the code sets. After converting the text, TextPad selects the appropriate font for the current code set, so that characters are displayed correctly.
    Disadvantage: the process is not reversible for the unique characters.
  2. You can edit a DOS file, without converting the characters, by selecting the DOS encoding on the Open File dialog box (or set it as the default for the corresponding document class). The font is automatically selected to use the DOS code set.


How to Work with Unicode Files

Overview:

TextPad automatically detects 16-bit Unicode and UTF-8 encoded characters, when opening files. Unicode characters may be in "little endian" (Intel) or "big endian" (RISC) order, and the order is preserved when a file is saved.

Internally, these files are converted to single or double byte characters (DBCS), using the locale corresponding to the font script selected for the document class. For example, if the screen font for the Text document class is MS Mincho, with the script set to Japanese, Unicode characters in *.TXT files will be converted to the corresponding DBCS characters in code page 932.

WARNING: This means that it is only possible to edit, without data loss, files containing characters from the implied code page. Other characters will be converted into a system default character (normally "?"), if you confirm that is what you want to do.

Conversion:

Conversion between various file formats and encodings can be made using the Save As command on the File menu. The options for encoding are ANSI, DOS, Unicode, Unicode (big endian) and UTF-8.

The Find in Files and Compare Files commands automatically convert files to the internal format, so they can operate independently of character encoding and end of line characters. For example, a file containing UTF-8 characters can be compared to another containing Unicode characters. The code page used depends on the font specified for the "Search Results" and "Command Results" document classes.


How to Set the Default File Folder

You can specify the default file folder using the Folders page on the Preferences dialog box.

You can also change the default file folder (or working folder), by changing the way TextPad is started. See under the appropriate heading below for how to do this with the version of Windows that you have.

From a Windows 9x/NT 4 Desktop Icon:

  1. Right click the desktop icon for TextPad.
  2. Choose Properties to get the properties dialog box.
  3. Fill in the Start In field on the Shortcut page with the required folder name, and click OK.

From the Windows 9x/NT 4 Taskbar Start Menu:

  1. Right click the Taskbar.
  2. Choose Properties to get the Taskbar Properties dialog box.
  3. Click the Advanced button on the Start Menu Programs page.
  4. Select "Programs" on the Explorer view.
  5. Right click TextPad on the right hand pane, and choose Properties.
  6. Select the Shortcut page, and fill in the "Start In" field with the required folder name.
  7. Click OK to close all the dialog boxes.

Tip:

To keep TextPad's current working folder in the chosen folder, clear "Working folder follows active document" on the General page of its Preferences dialog box.


How to Switch to a File's Window

Do one of the following:

Click anywhere in the window.

Choose the window name from the Window menu.

Double click the window name in the Document Selector.

Press Ctrl+F6 or Ctrl+Tab to cycle through the active source windows one at a time.


How to Create Additional Views

You can split any view into 2 or 4 panes as follows:

Using the Keyboard:

  1. From the Window menu, choose Split.
  2. Use the arrow keys to move the splitter bars to where you want to split the view.
  3. Press Enter to create the additional views, or Escape to cancel.

Using the Mouse:

Drag [image] from the end of the scroll bar to where you want to split the view, or double click it to split into two equal sized panes.

To Close the Second View:

Drag the splitter bar to the top or bottom of the view, or double click it.


How to Use the Document Selector

The Document Selector is a list box showing the each of the documents you are editing. You can display it by choosing Document Selector, from the View menu.

The Document Selector displays the files in alphabetical order, and it can be resized to fit the file names it lists. Its size and position are remembered between sessions. If "Display full path names on the Document Selector" is checked on the View page of the Preferences dialog box, the full path name is listed, otherwise just the file name. When only the file name is displayed, a popup tip will show the full path of any files that are in a different folder to that of the active document. This can be controlled with the "Popup names on the document selector" option, on the View page of the Preferences dialog box.

You can use the following keys when the Document Selector is active:

Use this Key: | To Do This:
Esc | Close the Document Selector.
Left Click | Select the document window. If not already the active window, activate it.
Ctrl+Left Click | Add the clicked entry to the current selection.
Shift+Left Click | Extend the list of selected documents to the clicked entry.
Left Double Click | Select and activate the document window.
Enter | Activate the document window.
Delete | Close the selected document window.
Up Arrow | Select the previous window in the list.
Down Arrow | Select the next window in the list.
Home | Select the first window in the list.
End | Select the last window in the list.

You can also choose the following commands from a popup menu, by right clicking the selection:

Command: | Function:
Close | Close the selected documents.
Print | Print the selected documents using the current default settings.
* Tile across | Arrange the selected documents (or all, if only one is selected) full height across the main window.
* Tile down | Arrange the selected documents (or all, if only one is selected) full width down the main window.
Properties | Display the Properties dialog box for the active document.
Show full paths | Toggle between displaying full paths and just the file name.
Close selector | Close the Document Selector

* If more than 3 documents are selected Tile Across and Tile Down have the same effect.


How to Print a File

  1. Switch to the file’s window.
  2. From the File Menu, choose Print. The Print dialog box appears.
  3. Click "All" for the print range.
  4. Click OK.

Shortcuts:

Keyboard: FilePrint

Toolbar:

(Prints to the default printer, unless you hold Shift down at the same time)


How to Display a Page Before Printing

  1. From the File Menu, choose Print Preview.
  2. Click OK. The print preview mode will be set, starting at the page containing the cursor.
  3. Click Next Page or Prev Page to see each page in turn.
  4. Click Close to return to normal viewing mode.

Notes:

When you choose this command, the main window will be replaced with a print preview window in which one or two pages will be displayed in their printed format. The print preview toolbar offers you options to view either one or two pages at a time; move back and forth through the document; zoom in and out of pages; and initiate a print job.

Shortcuts:

Toolbar:

Keyboard: FilePrintPreview


How to Keep a Log

You can keep a log in the same way as with Notepad:

  1. On the first line of a document, type the following at the left margin, making sure you include the period.
    .LOG
  2. On the File menu, choose Save.

Note:

Every time you open this document, TextPad will append the current time and date to the end of the document, using the formats specified for Windows.


How to Copy a File

  1. From the File Menu, choose Manage Files (F3). The Manage Files dialog appears.

    2. Toolbar:
  2. Type the name of the file that you want to copy. This may include a path if it is not in the current working folder. The filename may be a wildcard pattern if you want to copy multiple files.
  3. Click Copy. The Copy dialog appears.
  4. Type the name that you want to give the copy. If this is just a pathname, the file is copied to that folder, keeping its original file name.
  5. Click OK.


How to Delete a File

  1. From the File Menu, choose Manage Files (F3). The Manage Files dialog appears.

    2. Toolbar:
  2. Type the name of the file that you want to delete. This may include a path if it is not in the current working folder. The filename may be a wildcard pattern if you want to delete multiple files.
  3. Click Delete. The Delete dialog appears.
  4. Click OK to confirm that you really want to delete the file.


How to Rename a File

  1. From the File Menu, choose Manage Files (F3). The Manage Files dialog appears.
    Toolbar:
  2. Type the name of the file that you want to rename. This may include a path if it is not in the current working folder. The filename may be a wildcard pattern if you want to rename multiple files.
  3. Click Rename. The Rename dialog appears.
  4. Type the new name that you want to give the file. If this is just a pathname, the file is moved to that folder, keeping its original file name.
  5. Click OK.


How to Update a File's Time Stamp

  1. From the File Menu, choose Manage Files (F3). The Manage Files dialog appears.

    2. Toolbar:

  2. Type the name of the file that you want to update its last modified date to the current time. This may include a path if it is not in the current working folder. The filename may be a wildcard pattern if you want to update multiple files.
  3. Click Touch. The Touch dialog appears.
  4. Click OK to confirm that you really want to update the file.


How to Compare Text Files

  1. From the Tools menu, choose the Compare Files command. The Compare Files dialog box appears.
  2. In the First File box, type the name of the first file to be compared. This is initialized with the filename of the active document, if appropriate.
  3. In the Second File box, type the name of the second file to be compared. If it has the same name in another folder, just type the path name.
  4. Choose if you want to ignore differences due to upper and lower case letters.
  5. Choose if you want to ignore differences due to the number of spaces or tabs. Note that tabs or spaces, where there are none in the other file, will still be flagged as a difference, unless they are leading or trailing.
  6. Click OK to start the comparison.

The differences are written to the Command Results window using the following conventions:

Symbol: | Meaning:
< | Precedes each different line from the first file.
> | Precedes each different line from the second file.
a | Means that the lines following were added.
d | Means that the lines following were deleted.
c | Means that the lines following were changed.
--- | Separates changed lines in the first file from the second.

For example, "14,26c122,123" means that lines 14 to 26 in the first file are changed to lines 122 to 123 in the second file.


How to Use Workspaces: Overview

A workspace is the state of the set of files you are working on at any time. Files can only be added to the workspace by opening them, and removed by closing them.

A workspace can only be created by giving it a file name. (If you have upgraded from TextPad 3.x, please note that there is no longer a default workspace, so you must create a named one.) Workspaces are saved into the file that you specify, which may be located anywhere on your hard drive. Workspace files use the extension ".TWS".

Once you have created a workspace, you may open it at a later time using the command on the File menu. There is also an option to reload the last workspace when TextPad starts, on the General page of the Preferences dialog box. When a workspace is open, its name appears before "TextPad" on the title bar for the main window.

Other commands, on the Workspace submenu of the File menu, allow you to close a workspace or to save it under a different name.

When you close a workspace using the Close command, you will be asked if you want to save any changes. If you open another workspace without closing the current one, it will be automatically saved and closed.


How to Create a Workspace

To create a workspace:

  1. From the File menu, choose Workspace/Save As. The Save As dialog box will be displayed, with the workspace name initialized to the current folder.
  2. If necessary, change the name to something more appropriate, and browse for the folder you want to save it in.
  3. Click Save.


How to Open a Workspace

To open a workspace, either select it from the list of recently used workspaces on the File menu, or:

  1. From the File menu, choose Workspace/Open. The Open File dialog box will be displayed.
  2. Browse for the workspace file you want to open.
  3. Click Open.

Note: If you already had another workspace open, it will be automatically saved and closed before opening the new workspace.


How to Save a Workspace

To save an existing workspace, choose the Workspace/Save command from the File menu. To create a new workspace, see How to Save a Workspace to Another File.


How to Close a Workspace

To close a workspace, choose the Workspace/Close command from the File menu. You will be asked if you want to save any changes, then the workspace and all documents in it will be closed.


How to Save a Workspace to Another File

To save a workspace to another file:

  1. From the File menu, choose Workspace/Save As. The Save As dialog box will be displayed, with the workspace name initialized to its current name.
  2. Change the name to whatever you want, and browse for the folder you want to save it in.
  3. Click Save.


Overview of Document Classes

A Document Class is used to define a set of attributes for a group of files. The files belonging to a document class are specified by file names or wild cards, and the attributes include tab stops, font, page layout for printing, and syntax highlighting.

When first installed, TextPad defines classes for plain text files, binary files, C/C++, HTML and Java. Any files that don't belong to one of these classes will be displayed with the attributes defined for the Default class.

To customize document classes or their attributes, choose the Preferences command on the Configure menu, then:

  • To create your own classes, either select the Document Classes page, or choose the New Document Class command on the Configure menu. See also How to Create a New Document Class.
  • To modify the members or change the attributes of a class, select its Properties page.
  • To modify the display colors of a class, select its Colors page.
  • To modify the screen and printer font of a class, select its Font page.
  • To modify the printer and page layout of a class, select its Printing page.
  • To modify the syntax highlighting attributes of a class, select its Syntax page.
  • To modify the tab stops of a class, select its Tabs page.


How to Create a New Document Class

There are three basic steps required:

  1. Create the document class.
  2. Specify which files are members of that class.
  3. Optionally, specify which syntax definition file is required.

These steps can be performed for you with the New Document Class wizard, using the command on the Configure menu, or as explained below.

For example, for Perl files, first create the document class:

  1. Close any open documents, even blank ones.
  2. From the Configure menu, choose Preferences.
  3. Select Document Classes.
  4. Click the empty box at the bottom of the list of classes.
  5. Type the name "Perl" and press Enter.
  6. Click Apply.
  7. Click the "+" next to Document Classes.
  8. Select the new entry for Perl.
  9. Change any properties, such as "Create new files as UNIX", if the defaults are not appropriate.
  10. Click Apply.

Second, specify which files are members of this class:

  1. Click the empty box at the end of the list of class members.
  2. Type "*.pl" and press Enter.
  3. Click Apply.

Finally, specify which syntax definition file is required (optional):

  1. Click the "+" next to the Perl document class.
  2. Select "Syntax".
  3. Check "Enable syntax highlighting".
  4. From the list of syntax definition files, choose "Perl.syn".
  5. Click OK.

Now, open a file with extension ".pl" and it should be syntax highlighted.

If you don't see a suitable syntax definition file in the list, check if one is available from the free add-ons page on our web site. If you still can't see the one you need, you can create your own, as described in Reference Information: Syntax Definition Files, and taking an existing ".SYN" file as an example. However, do not use TEXT.SYN, nor start the file with "TEXT=1", as that is only intended for highlighting URLs in simple text files.


How to Edit: Overview

TextPad loads an entire file into memory when you edit it, so the original file is not changed until you save the changes. You can opt to keep the original file as a backup when saving changes, and to keep it locked while you edit it.

UNIX, Mac and PC files use different end of line characters, which TextPad automatically recognizes. These will be preserved when you save the file, unless you choose to save with a different format, using the Save As command.

If a file has long lines, you can choose to scroll horizontally when the line extends beyond the right margin, or have words wrapped at the right margin, or at a specified column position. Hard line breaks can be inserted where words are wrapped, or the file can be saved with long lines, which you can think of as paragraphs. You can configure these settings using the Preferences command and selecting the corresponding document class page on the Preferences dialog box.

The basic functions for moving around in the text, and making simple edits follow the conventions of other Windows applications, so you can get started immediately. The more powerful editing commands are all on the menus, with their shortcuts shown against them, so you should be able to get up to speed quickly.

Any changes you make (except converting the code set between DOS and ANSI) can be undone, and you can redo changes you undo. You can opt to undo even after saving the changes, using the Preferences command and selecting the Editor page on the Preferences dialog box.

You can record the commands to make repetitive edits as keystroke macros, which you can playback on different parts of the text.


How to Move Around in Text

In the table below, you can use the Shift key in conjunction with the given keystrokes (excluding the ones that use the Alt key), to extend the selection.

To Move the Cursor: | Press This Key:
To the mouse cursor position | Left button
To the beginning of the file | Ctrl+Home
To the end of the file | Ctrl+End
To first non-space character on a line | Home (Reassign this key to "LineLeft", if you prefer it to go to the left margin.)
To the left margin | Home twice
To the end of a line | End
Forward one character | Right arrow
Back one character | Left arrow
Down one line | Down arrow
Up one line | Up arrow
Forward one word | Ctrl+W or Ctrl+Right arrow
Back one word | Ctrl+B or Ctrl+Left arrow
Forward to end of current word | Unassigned
Back to end of previous word | Ctrl+D
To the start of the next paragraph | Alt+Down Arrow
To the start of the previous paragraph | Alt+Up Arrow
To the start of the first visible line | Alt+Home
To the start of the last visible line | Alt+End
Scroll down one line | Ctrl+Down arrow
Scroll up one line | Ctrl+Up arrow
To a specified line, column or page number | Ctrl+G and fill in the number

Cursor Mode:

The cursor can be constrained to positions within the existing text only, or can be free to be placed anywhere in the document window. This setting is changed with the Constrain Cursor option on the Editor page of the Preferences dialog box.

When the cursor is constrained, the left and right arrows wrap around to the previous or next line at the beginning and end of a line respectively.

In block selection mode, the cursor is never constrained to the text.


How to Select Text

Text can be selected in block (column) or normal mode. Use the Block Select Mode command on the Configure menu to switch between modes.

To select any text with the mouse:

  1. Press and hold the left button down at the start of the text you want to select.
  2. Drag the cursor to the end of the selection, and release the button.

or

  1. Click the left button at the start of the selection.
  2. Hold the Shift key down and click the left button at the end of the selection.

To select any text using the keyboard:

  1. Use any of the cursor motion keys to move the cursor to the start of the text you want to select.
  2. Press and hold the shift key down while using the motion keys to move the cursor to the end of the selection.

To select a word:

Move the cursor over the word and double click the left button.

To select a whole line:

Double click (or single click in MS compatibility mode) the left button in the left margin, next to the line, or non word-wrap only: triple left click anywhere in the line.

To select a whole paragraph:

  • Word-wrap: triple click anywhere in the paragraph.
  • Non word-wrap: triple click (or double click in MS compatibility mode) in the left margin.

To select a block of text:

  1. Make sure that word-wrapping is turned off.
  2. Choose Block Select Mode from the Configure menu.
    Shortcut: Double left clicking "Block" on the status bar toggles block select mode on and off. Alt+Left drag temporarily overrides the current block mode setting.
  3. Use the keyboard or mouse to mark the selection as normal.

To select the whole document:

Choose Select All from the Edit menu.

or

Click Ctrl+Left mouse button anywhere in the left margin.

To cancel a selection:

Press ESC.

Notes:

If you want to select a lot of text, place the cursor at the start then do one of the following:

  • Use the Go To command to extend the selection.
  • Scroll down with the scroll bar, until the end of the text you want to select is visible, and then click Shift+Left mouse button. (Scrolling using the Page Up/Down keys normally moves the cursor, but you can use them instead of the scroll bar if the Scroll Lock key is on.)


How to Use the Clipboard

Text is stored on the clipboard either in line (normal) format or block format, depending on the mode of the selection from which it was copied. By default, it will be pasted in the same format, but you can override this with the Paste as Block and Paste as Lines commands on the Edit menu.

The Clip Library maintains a list of the most recently copied text (up to 1 MB) in the Clipboard History book. Double click an entry to insert it in the document.

To insert text from the clipboard:

Position the cursor and choose the Paste command from the Edit menu.

Toolbar:

To copy selected text to the clipboard:

Choose the Copy command from the Edit menu.

Toolbar:

To move selected text to the clipboard:

Choose the Cut command from the Edit menu.

Toolbar:

To copy the line containing the cursor to the clipboard:

Cancel any selection (ESC) and choose the Copy Line command from the Edit menu.

To copy the word containing the cursor to the clipboard:

Cancel any selection (ESC) and choose the Copy Word command from the Edit menu.

To move the line containing the cursor to the clipboard:

Cancel any selection (ESC) and choose the Cut Line command from the Edit menu.

To move the word containing the cursor to the clipboard:

Cancel any selection (ESC) and choose the Cut Word command from the Edit menu.

To copy all bookmarked lines to the clipboard:

Choose the Copy Bookmarked Lines command from the Edit menu.

To move all bookmarked lines to the clipboard:

Choose the Cut Bookmarked Lines command from the Edit menu.

To append text to the existing contents of the clipboard:

Choose one of the Cut Append or Copy Append commands from the Edit menu.

To copy selected text as an HTML page:

Choose the Copy Other/As HTML command from the Edit menu.

To paste HTML format text:

Choose the Insert/Paste HTML command from the Edit menu. This command is only available when the text has been copied from a page displayed in Internet Explorer or Mozilla.


How to Drag and Drop

You can use the mouse to move or copy text within a document, or to another document, as follows:

To move selected text:

  1. Hold the left button down in the selection.
  2. Drag the cursor to the new location.
  3. Release the left button.

To copy selected text:

  1. Hold Ctrl+Left mouse button down in the selection.
  2. Drag the cursor to the new location.
  3. Release the left button.

To cancel a drag-drop:

Press ESC, or

Click the right button, or

Release the left button in the selection.

Notes:

  1. The Ctrl key can be pressed or released at any time before releasing the left button, to make the drag a copy or a move.
  2. If the new location is not visible, hold the mouse pointer at the edge of the window nearest to the destination, and it will scroll through the file until the pointer is moved away.


How to Insert Text

Any normal characters that you type will be inserted at the cursor position. If any text is selected, it will be deleted before inserting the first character that you type.

To change to overtype mode, where each character that you type replaces the one at the cursor position, press the Insert key once. This will also highlight the "Ovr" indicator on the status bar, and the shape of the cursor from a vertical line to a solid block. Press the Insert key again, to switch back to insert mode.

The Undo command will cancel the effect of consecutively typed characters, up to the end of a line.


How to Delete Text

You can delete different amounts of text as follows:

To Delete This: | Do This:
Selected text | Delete or Backspace
The next character | Delete
The previous character | Backspace
To the start of the next word | Ctrl+Delete
Back to the last start of word | Ctrl+Backspace
To the end of the line | Ctrl+Shift+Delete
The current line | Choose Delete Line from the Edit menu
The current word | Choose Delete Word from the Edit menu
The whole document | Choose the Clear All command from the context menu for the Command and Search Results windows, or type Alt+Delete (the default shortcut for EditClearAll).
Lines with bookmarks | Choose the Delete Bookmarked Lines command from the Edit menu.

See Also:

How to Use the Clipboard for commands to save deleted text on the clipboard.


How to Change Case

Select the text to be changed, and then:

To Do This: | Use this Edit Menu Command:
Change all to lower case | Lower Case
Change all to upper case | Upper Case
Invert the case of each character | Invert Case
Make the first character of each sentence upper case and the rest lower case | Sentence Case
Make the first character of each word upper case and the rest lower case | Capitalize


How to Indent Lines and Columns

To increase the indentation of the current line or selected lines:

  1. Select the lines to be indented.
  2. Choose Increase Indent from the Edit menu.

Toolbar:

To reduce the indentation of the current line or selected lines:

  1. Select the lines to be unindented.
  2. Choose Reduce Indent from the Edit menu.

Toolbar:

To increase the indentation of a column:

  1. Select the column in block mode.
  2. Choose Increase Indent from the Edit menu.

Toolbar:

To reduce the indentation of a column:

  1. Select the column in block mode, making sure the column starts at or before the column you want to reduce the indentation to. There must be spaces or tabs at the left edge of the selection for this to work.
  2. Choose Reduce Indent from the Edit menu.

Toolbar:

Notes:

  • When multiple lines are selected, you can also indent them using the Tab key or reduce their indentation using Shift+Tab.
  • In line mode, indentation changes in increments of the indentation size, which can be configured on the Tabs property page for each document class.
  • In column mode, indentation changes to the next or previous tab stop, which can also be configured on the Tabs property page for each document class.


How to Align Text

Currently selected lines, or the line containing the cursor, can be justified, centered, or aligned to the left or right margin as follows:

  1. Place the cursor anywhere on the line, or select the lines to be centered.
  2. Choose the required alignment command from the Edit menu.

Notes:

  1. Spaces are used to align text, so these commands cannot be used with proportionally spaced fonts.
  2. Text is centered between column 1 and the right margin, as specified under Document Class Options for each class on the Preferences dialog box.


How to Join Lines

You can join single or multiple lines, such that each line in turn is appended to the first, separated by a single space.

To join a single line to the current line:

  1. Cancel any selection (ESC).
  2. Choose Join Lines from the Edit menu.

To join multiple lines to the current line:

  1. Select all the lines to be joined.
  2. Choose Join Lines from the Edit menu.

Note:

In word-wrap mode, this command is not shown on the edit menu, but is still available using its shortcut.


How to Split Long Lines

In word-wrap mode, you can split long lines into separate lines where they are wrapped, as follows:

  1. Select the lines to split.
  2. Choose Split Wrapped Lines from the Edit menu.


How to Reformat Paragraphs

You can adjust the lengths of currently selected lines to the right margin. Words are moved between the lines as necessary, and blank lines are preserved as paragraph separators.

To reformat paragraphs:

  1. Select the lines to reformat. The current paragraph will be reformatted, if nothing is selected.
  2. Choose Reformat from the Edit menu.

To set the right margin:

  1. From the Configure menu, choose Preferences.
  2. Click the "+" next to Document Classes.
  3. Select the appropriate document class.
  4. Check Word break at column number.
  5. Fill in the appropriate column number.
  6. Click OK.

Note:

When using proportionally spaced fonts, the right margin is calculated by multiplying the specified column number by the average character width (generally defined as the width of the letter x).


How to Double Space Lines

On Printouts:

If your text is single spaced, you can print it double spaced as follows:

  1. From the File menu, choose Print Setup.
  2. On the Printing Preferences dialog box, check Double Space.
  3. Click OK.
  4. From the File menu, choose Print.

In the Text:

You can insert blank lines between each line of text as follows:

  1. From the Search menu, choose Replace.
  2. In the Find What box, type "\n" (without the quotes).
  3. In the Replace With box, type "\n\n".
  4. Check the Regular Expression box.
  5. Click Replace All.

If the text is word wrapped, an additional first step is required to insert hard line breaks at the end of each wrapped line:

  1. From the Edit menu, choose Select All.
  2. From the Edit menu, choose Split Wrapped Lines.

You can record all these steps with the macro recorder. If you don't want to save the text with double spaced lines, click Undo after you have finished with it.


How to Insert New Lines

To Create a New Line: | Press This Key:
After the current line | Ctrl+Enter
Before the current line | Ctrl+Shift+Enter
By splitting the current line | Enter


How to Insert a Page Break

  1. Move the cursor to the first line to be printed on a new page.
  2. Choose Insert Page Break from the Edit menu.

Shortcut:

  • Keyboard: EditPageBreak

More Information:

This actually inserts the ASCII 0x0C (Ctrl+L) character in the text, but displays it on the screen as a box, and draws a line at the point where the page break would occur on a printer.

The Page Break character is only recognized when it is the first character of a line.


How to Insert Files

  1. Move the cursor to the insertion point.
  2. Choose Insert Files from the Edit menu.
  3. Select the files you want to insert, using the Open File dialog box.
  4. Click OK.


How to Insert the Date or Time

You can insert the current date and time, using the formats defined with the International applet on Control Panel, as follows:

To Insert this: | Choose this Edit Command:
The current time | Insert Time
Today's date in short format | Insert Short Date
Today's date in long format | Insert Long Date

Shortcuts:

Mouse:Ctrl+Shift+Right click at the insertion point.


How to Insert Line Numbers

To insert consecutive line numbers at the start of each line:

  1. From the Search menu, choose Replace;
  2. In the Find What box type "^" (without the quotes);
  3. In the Replace With box, type "\i " (without the quotes), if the line numbers start at 1, or "\i(100) ", if they start at 100, etc.;
  4. Check the Regular Expression box;
  5. Click Replace All.

More Information:

See How to Generate Sequence Numbers.


How to Transpose Text

To transpose adjacent characters:

  1. Move the cursor between the two characters to be transposed.
  2. Choose Transpose Characters from the Edit menu. The characters will be swapped around.

To transpose adjacent lines:

  1. Move the cursor to the end of the first line, or start of the second line.
  2. Choose Transpose Lines from the Edit menu. The lines will be swapped around.

Note that repeated use of this command, when the cursor is at the start of a line, will move it up, and when at the end of a line, will move it down.

To transpose adjacent words:

  1. Move the cursor between the two words to be transposed. This may be on a space, or intervening punctuation, or the beginning or end of a line.
  2. Choose Transpose Words from the Edit menu. The words will be swapped around.


How to Fill Blocks

Block filling is only enabled when block select mode has been set from the Configure menu, and a block of text has been selected.

To fill with Characters:

  1. Choose the Fill Block command from the Edit menu.
  2. In the Fill Selected Block dialog box, enter the characters you want to fill with.
  3. Choose the format of the fill characters within the selected block. They can be aligned left or right, or repeated to fill the block.
  4. Click OK.

To fill with Numbers:

  1. Choose the Fill Block command from the Edit menu.
  2. In the Fill Selected Block dialog box, enter the starting number, and the amount to increment it by. These must be integers, and may be positive or negative.
  3. Choose the format of the numbers within the selected block. They can be aligned left or right, or with leading zeros to fill the block.
  4. Click OK.

Notes:

  • This command is only enabled when word wrapping is turned off and a fixed width font is selected.
  • To fill with a tab, enter "\t" (without the quotes). If you actually want to fill with the characters "\t", enter it as "\\t".


How to Display Spaces and Tabs

Sometimes it is useful to be able to see which characters are generating white space in a document. TextPad will draw the following graphic symbols, when the Visible Spaces command is enabled on the View menu:

Symbol: | Actual Character:
· | Space
» | Tab
¶ | Line break

You can choose which of these characters are displayed, from the View page of the Preferences dialog box.

To make visible spaces the default for all documents, turn them on when no documents are open.

Toolbar shortcut:


How to Type International Characters

You can insert any character, if you know its ANSI code, by holding down the Alt key and typing zero, followed by the 3-digit code on the numeric key pad. (Num Lock must be on.) Alternatively, you can type the DOS (OEM) code by omitting the leading zero.

The following table lists the shortcuts defined for common international characters, when using an English language keyboard:

To obtain: | Type:
à, è, ì, ò, ù, À, È, Ì, Ò, Ù | Ctrl+` (Grave Accent), the letter
á, é, í, ó, ú, ý, Á, É, Í, Ó, Ú, Ý | Ctrl+' (Apostrophe), the letter
â, ê, î, ô, û, Â, Ê, Î, Ô, Û | Ctrl+^, the letter
ã, ñ, õ, Ã, Ñ, Õ | Ctrl+~, the letter
ä, ë, ï, ö, ü, ÿ, Ä, Ë, Ï, Ö, Ü,Ÿ | Ctrl+:, the letter
å, Å | Ctrl+@, a or A
æ, Æ | Ctrl+&, a or A
œ, Œ | Ctrl+&, o or O
ß | Ctrl+&, s
ç, Ç | Ctrl+, (Comma), c or C
ð, Ð | Ctrl+' (Apostrophe), d or D
ø, Ø | Ctrl+/, o or O
¿, ¡ | Ctrl+/, ? or !

Notes:

  • Do not type the comma, except for ç and Ç.
  • On the English keyboard layout, the character "^" is typed using Shift+6, so the prefix Ctrl+^ is equivalent to Ctrl+Shift+6. This applies to any other shortcut prefixes in the shift position on your keyboard.
  • These shortcuts can all be modified on the Keyboard page of the Preferences dialog box.
  • The default shortcuts are only defined for TextPad and MS Applications compatibility mode.


How to Type Control Characters

You can type control characters using Ctrl+Num* (* on the numeric keypad), followed by A to Z, or the characters "[\]^_". For example, Ctrl+Num*, A generates the same character code as if you had typed Ctrl+A in a DOS window.

You can view control characters by holding the mouse pointer over them. For example, the BEL character is displayed as "^G (7)" in a popup tip window.


How to Cancel the Last Action

To cancel the last edit:

Choose Undo from the Edit Menu

Toolbar:

To cancel the last undo:

Choose Redo from the Edit Menu.

Toolbar:

To cancel all edits:

Type Ctrl+Shift+Z.

To redo all edits:

Type Ctrl+Shift+Y.

Note:

The Undo command can be repeated until all changes made since the file was opened, or last saved, have been undone.


How to Find Text

You can find each occurrence of a combination of any characters, including uppercase and lowercase characters, whole words, or parts of words, or regular expression.

To find text:

  1. From the Search menu, choose Find. This starts a modeless dialog box which remains on the screen until you close it.

    2. Toolbar:

  2. In the Find What box, type in the search string, or choose a previous string from the drop-down list.
  3. Set the options you want to control the search.
    4. Select: | To:
Text | Specify a text search string.
Hex | Specify a search string in hexadecimal.
Match Whole Words | Find occurrences of the text as whole words.
Match Case | Find text having the given pattern of uppercase and lowercase letters.
Regular Expression | Specify that the search string is a regular expression.
Wrap Searches | Continue searching from the beginning of the document, after reaching its end, when searching down, or the end after reaching the beginning, when searching up.
Backwards | Search the document above the insertion point.
Forwards | Search the document below the insertion point.
Extend selection | To extend the selection from the cursor position to the matched text.
In all documents | To find the next instance of the search pattern in all open documents simultaneously. This works best when the documents are tiled, although you can use the Next/Previous Window commands to cycle through them.

  4. Choose Find Next. If the search string is found, the screen scrolls so you can see the text in context.
    or
    Choose Mark All to place a bookmark on each line containing the search string.
  5. Either close the dialog by clicking the Close button, or continue editing as normal.

Tips

  1. The Find What box will be initialized with the current selection, if any (as long as it is on a single line), or the last search pattern entered.
  2. The Find Next command on the Search menu will copy the current selection to the Find What box.
  3. To do a forward search after closing the dialog box, use the Find Next command on the Search menu.
  4. To do a backwards search after closing the dialog box, use the Find Previous command on the Search menu.
  5. Match Whole Words is equivalent to surrounding the text with the regular expression \< ... \>.


How to Replace Text

You can find and replace each or every occurrence of a text pattern, in the current file, or all loaded files.

To Replace Text:

1. From the Search menu, choose Replace. This starts a modeless dialog box which remains on the screen until you close it.

Toolbar:

2. Specify the text to replace as described in Finding Text.

3. Type the Replacement Expression in the Replace With box, or choose a previous string from the drop-down list.

4. Set the scope of the search:

Select: | To:
Active Document | Search in current document only.
Selected Text | Search in currently selected text in current document.
All Documents | Search in all text in all open documents.

5. Choose one of the following actions:

a) Click Find Next to select the next occurrence.

b) Click Replace to replace the current selection.

c) Click Replace Next to replace the current selection, and find the next occurrence.

d) Click Replace All to replace all occurrences of the search text, in the specified scope.

Note that Find Next, Replace and Replace Next are only enabled when the scope is Active Document.

6. Either close the dialog by clicking Close, or continue editing as normal.

Notes:

  • During a Replace All operation, the Close button becomes Cancel. Click that, or press the Escape key, to stop it.
  • The Replace button will replace the current selection, so make sure you press Find Next first.
  • Because edit controls do not allow tabs to be input, '\t' is used (without the quotes) to represent a tab. If you want to replace text with literal '\' and 't' characters, specify '\\t' in the Replace With box.
  • Beware of replacing a pattern that is matched with a regular expression that can optionally match nothing, such as ".?" or "a*". In these degenerate cases, TextPad can go into a loop, until the line becomes too long.


How to Use Regular Expressions

A regular expression (RE) is a search string that uses special characters to match patterns of text. You can use them with the Find, and Find in Files commands, and with the Replace command in conjunction with replacement expressions. TextPad's regular expressions are based on POSIX standard P1003.2, but the syntax can be that of POSIX, or UNIX extended regular expressions (the default). The choice can be made on the Editor page of the Preferences dialog box.

To use a regular expression:

  1. From the Search menu, choose Find, Replace, or Find in Files.
  2. In the Find What box, type a regular expression.
  3. Check the "Regular expression" box.

Summary of regular expressions:

Default Operator: | POSIX Operator: | Description:
. | . | Any single character. Example: h.t matches hat, hit, hot and hut.
[ ] | [ ] | Any one of the characters in the brackets, or any of a range of characters separated by a hyphen (-), or a character class operator (see below). Examples: h[aeiou][a-z] matches hat, hip, hit, hop, and hut; [A-Za-z] matches any single letter; x[0-9] matches x0, x1, …, x9.
[^] | [^] | Any characters except for those after the caret "^". Example: h[^u]t matches hat, hit, and hot, but not hut.
^ | ^ | The start of a line (column 1).
$ | $ | The end of a line (not the line break characters). Use this for restricting matches to characters at the end of a line. Example: end$ only matches "end" when it's the last word on a line, and ^end only matches "end" when it's the first word on a line.
\< | \< | The start of a word.
\> | \> | The end of a word.
\t | \t | The tab character.
\f | \f | The page break (form feed) character.
\n | \n | A new line character, for matching expressions that span line boundaries. This cannot be followed by operators '*', '+' or {}. Do not use this for constraining matches to the end of a line. It's much more efficient to use "$".
\xdd | \xdd | "dd" is the two-digit hexadecimal code for any character.
\( \) | ( ) | Groups a tagged expression to use in replacement expressions. An RE can have up to 9 tagged expressions, numbered according to their order in the RE. The corresponding replacement expression is \x, for x in the range 1-9. Example: If \([a-z]+\) \([a-z]+\) matches "way wrong", \2 \1 would replace it with "wrong way".
* | * | Matches zero or more of the preceding characters or expressions. Example: ho*p matches hp, hop and hoop.
? | ? | Matches zero or one of the preceding characters or expressions. Example: ho?p matches hp, and hop, but not hoop.
+ | + | Matches one or more of the preceding characters or expressions. Example: ho+p matches hop, and hoop, but not hp.
\{count\} | {count} | Matches the specified number of the preceding characters or expressions. Example: ho\{2\}p matches hoop, but not hop.
\{min,\} | {min,} | Matches at least the specified number of the preceding characters or expressions. Example: ho\{1,\}p matches hop and hoop, but not hp.
\{min,max\} | {min,max} | Matches between min and max of the preceding characters or expressions. Example: ho\{1,2\}p matches hop and hoop, but not hp or hooop.
\| | | | Matches either the expression to its left or its right. Example: hop\|hoop matches hop, or hoop.
\ | \ | "Escapes" the special meaning of the above expressions, so that they can be matched as literal characters. Hence, to match a literal "\", you must use "\\". Example: \< matches the start of a word, but \\< matches "\<".

Character Class Operators "[: ... :]":

These can be used in class expressions as an alternative way of representing classes of characters. For example, [a-z0-9] is equivalent to [[:lower:][:digit:]]. (Note the extra pairs of brackets.) The defined classes are:

Expression: | Description:
[:alpha:] | Any letter.
[:lower:] | Any lower case letter.
[:upper:] | Any upper case letter.
[:alnum:] | Any digit or letter.
[:digit:] | Any digit.
[:xdigit:] | Any hexadecimal digit (0-9, a-f or A-F).
[:blank:] | Space or tab.
[:space:] | Space, tab, vertical tab, return, line feed, form feed.
[:cntrl:] | Control characters (Delete and ASCII codes less than space).
[:print:] | Printable characters, including space.
[:graph:] | Printable characters, excluding space.
[:punct:] | Anything that is not a control or alphanumeric character.
[:word:] | Letters, hypens and apostrophes.
[:token:] | Any of the characters defined on the Syntax page for the document class, or in the syntax definition file if syntax highlighting is enabled for the document class.

Example:

HTML tags are in matched pairs of <…>, such as <FONT SIZE=+1>. To match any tag that begins and ends on the same line, use the regular expression:

<[^>]*>

This matches a "<", followed by zero or more characters, excluding ">", followed by a ">". Note that "*" finds the longest matching sequence on a line, so the regular expression:

<.*>

would be incorrect, because it would not stop at the first ">", if there was more than one on the line.

For more information and examples, see regular expressions, and replacement expressions in the Reference section.


How to Generate Sequence Numbers

You can update or insert sequence numbers in a file, using replacement expressions. This is achieved using the Replace dialog box, with the Regular Expression box checked.

The syntax of the replacement expression is:

Expression: | Effect:
\i | Replace with numbers starting from 1, incrementing by 1.
\i(10) | Replace with numbers starting from 10, incrementing by 1.
\i(0,10) | Replace with numbers starting from 0, incrementing by 10.
\i(100,-10) | Replace with numbers starting from 100, decrementing by -10.

Examples:

  1. To insert line numbers at the start of each line:

    2. Search for:^
    Replace with:\i
  2. To update sequence numbers of the form Axxx, Bxxx, … ,Zxxx where "xxx" is any number >= 100, independent of the letters, which are to be preserved:

    3. Search for:\([A-Z]\)[1-9][0-9][0-9]+
    Replace with:\1\i(100)


How to Find in Multiple Files

You can search for strings in either text (excluding Unicode) or binary files, as follows:

  1. From the Search menu, choose the Find in Files command. This starts a modeless dialog box which remains on the screen until you close it.

    2. Toolbar:

  2. In the Find What box, either type the search string, or choose a previous string from the drop-down list. (Check that Text or Hex is correctly set for the type of string in the Conditions box.)
  3. In the In Files box, either type a space separated list of wild cards, or choose a previous list from the drop-down list. Note that by creating a file containing a list of file names, one per line, and specifying the name of that file in this box, preceded by the character '@', this command will search the specified files.
  4. In the In Folder box, either type the pathname to the folder containing the files, or select a previous folder from the drop-down list, or click Defaults to set it to the current working folder.
  5. In the Conditions box, specify the search criteria as follows:
Select: | To:
Text | Specify a text search string.
Hex | Specify a search string in hexadecimal.
Match Whole Word | Find occurrences of the text as a whole word.
Match Case | Find text having the given pattern of uppercase and lowercase letters.
Regular Expression | Specify that the search string is a regular expression.

  1. In the Report Detail box, choose All Matching Lines if you want each matching line printed out, or File Counts Only if you simply want to know how many occurrences there are in each file.
  2. Check Search Subfolders if you want to search through all files in the subfolders of the folder specified in step (4) as well.
  3. Check Binary files, if the files contain any NULL characters.
  4. Click Find.

Note:

For the duration of the search, the Close button becomes Cancel. Click that, or press the Escape key, to stop it.

Hypertext Jumps:

Matching strings are listed in the Search Results window. You can use this to jump to a line in its file by double clicking the line.

To jump to the next occurrence, choose the Jump Next command from the Search menu.

Toolbar:

To jump to the previous occurrence, choose the Jump Previous command from the Search menu.

Toolbar:

Open All:

To open all listed files, right click the Search Results window (or use Shift+F10), and choose Open All from the popup menu. This can be constrained to a subset of the files by selecting the appropriate lines first.


How to Find a Matching Bracket

To Find a Matching Bracket:

  1. Place the cursor to the left of the bracket to be matched: ([{< or >}])
  2. From the Search menu, choose the Match Bracket command. If there is a matching bracket, it will be selected.

To Find the First Closing Bracket:

  1. Place the cursor anywhere in the text.
  2. From the Search menu, choose the Match Bracket command. If there is one of the characters >}]), before the end of file, it will be selected.

To Select Text Between Brackets:

  1. Place the cursor to the left of the bracket to be matched.
  2. Type Ctrl+Shift+M. If there is a matching bracket, all intervening text will be selected. When matching forwards, both brackets are selected as well. When matching backwards, neither bracket is selected.


Regular Expressions to Match Compilation Errors

The Command Results window can be used to capture the output from tools added to the Tools menu. If the output is from a compiler, or Grep type of program, it can be used to jump directly to the corresponding source line using left double-click. This is achieved by defining a regular expression to match the output on the Tool Properties page for each tool on the Preferences dialog box.

In general, each line must include a file name, but there is one special case: if the output specifies only the corresponding line numbers (and optional column numbers), the file name is assumed to be that of the document that was active when the tool was started. For an example, see "Tidy HTML", below.

For example:

(Note that these examples use UNIX extended regular expression syntax.)

  1. Microsoft and Symantec C/C++
    Expression = ^\([^(]+\)(\([0-9]+\))
    File Register = 1
    Line Register = 2
    Column Register =
  2. Borland C/C++
    Expression = ^\(Error\|Warning\) [A-Z][0-9]+ \(.+\) \([0-9]+\):
    File Register = 2
    Line Register = 3
  3. GNU C++
    Expression = ^\(.[^:]+\):\([0-9]+\):
    File Register = 1
    Line Register = 2
    Column Register =
  4. Java
    Expression = ^\([A-Za-z]:[^:]+\):\([0-9]+\):
    File Register = 1
    Line Register = 2
    Column Register =
  5. Kiel C51
    Expression = ^.+ IN LINE \([0-9]+\) OF \([A-Za-z]:[^:]+\):
    File Register = 2
    Line Register = 1
    Column Register =
  6. IAR Assembler
    Expression = "\([^"]+\)",\([0-9]+\)
    File Register = 1
    Line Register = 2
    Column Register =
  7. PowerBASIC
    Expression = ^Error [0-9]+ in \([^(]+\)(\([0-9]+\):\([0-9]+\)
    File Register = 1
    Line Register = 2
    Column Register = 3
  8. Perl (www.activestate.com/ActivePerl/)
    Expression = ^.+at \(.+\) line \([0-9]+\)[.,]?
    File Register = 1
    Line Register = 2
    Column Register =
  9. GNAT ADA
    Expression = ^\(..[^:]+\):\([0-9]+\):\([0-9]+\)
    File Register = 1
    Line Register = 2
    Column Register = 3
  10. Generic filename(line,column)
    Expression = ^\([^(]+\)(\([0-9]+\),\([0-9]+\))
    File Register = 1
    Line Register = 2
    Column Register = 3
  11. Tidy HTML (www.w3.org/People/Raggett/tidy)
    Expression = ^line \([0-9]+\) column \([0-9]+\) -
    File Register =
    Line Register = 1
    Column Register =


How to Use Bookmarks

To Set a Bookmark:

Lines can have bookmarks placed on them either by choosing the Toggle Bookmark command from the Search menu, or by clicking Mark All on the Find dialog.

To Go to the Next Bookmark:

From the Search menu, choose the Next Bookmark command.

To Go to the Previous Bookmark:

From the Search menu, choose the Previous Bookmark command.

To Clear a Single Bookmark:

From the Search menu, choose the Toggle Bookmark command.

To Clear all Bookmarks:

From the Search menu, choose the Clear All Bookmarks command.

To Invert all Bookmarks:

From the Search menu, choose the Invert All Bookmarks command. This will clear bookmarks from bookmarked lines, and place bookmarks on all other lines.

To Delete all Bookmarked Lines:

From the Edit menu, choose the Delete Bookmarked Lines command.

To Copy all Bookmarked Lines to the Clipboard:

From the Edit menu, choose the Copy Bookmarked Lines command.

To Cut all Bookmarked Lines to the Clipboard:

From the Edit menu, choose the Cut Bookmarked Lines command.

To Extend the Selection to the Next Bookmark:

From the Search menu, choose the Go To command. Check the Next Bookmark and Extend Selection options on the Go To dialog box, then click OK.


How to Use Keystroke Macros: Overview

Keystroke macros are useful whenever you have the same sequence of editing commands to repeat, or a block of text to insert. You can record one unnamed (scratch) macro, and up to 64 named ones, which are added to the Macro menu.

Each macro has a default play mode (once only, repeat through selected text, or repeat to the end of the document), which can be overridden when you play it back.

Recordable Commands:

  • Normal typing.
  • Selection and cursor positioning using keystrokes.
  • All enabled commands on the File menu.
  • All commands on the Edit menu, except for Undo and Redo.
  • All commands on the Search menu, except for Find in Files.
  • The Convert to DOS/ANSI command on the Tools menu.
  • All commands on the Window menu.
  • Next Window and Previous Window commands.
  • Previously recorded, named macros.
  • Mouse double and triple clicks. Not mouse motion or drag and drop.

Points to Bear in Mind:

  • Except where otherwise noted, typing in dialog boxes is not recorded.
  • You should normally position the cursor before starting the recorder, since the macro will play back from the current position. The Find/replace commands are exceptions to this rule.
  • All of the parameters that you set on the Find or Replace dialog box are recorded.
  • If you record a Find Next or Previous command, the current search string will be used. i.e. the search string will not be recorded, so when you play it back, it will try and find a pattern matching the last search string used.
  • Playback is terminated when the Find command fails to find matching text.
  • All of the parameters that you set on the Open, Save As and Insert File dialog boxes are recorded.
  • You can pause the recorder, if you don't want to record some commands in the middle of a recording.
  • If you want to be able to play back a macro to the end of the document, it is important that you record at least one command to move the cursor down a line.
  • You can cancel a macro, while it is being played back by, releasing the playback button on the toolbar, or with the Stop Playing command on the Macro menu.
  • After a macro has finished playing, the Undo command will cancel any changes it made.
  • The unnamed (scratch) macro is only saved if you save the current workspace, or create a new workspace.

See also: Recording, Playing, Saving, Example.


How to Record Keystroke Macros

To record a keystroke macro:

  1. If the cursor position is significant, move it to where you want first.
  2. Start the macro recorder with the Record command on the Macro menu.
  3. If you have previously recorded a macro, and not yet saved it, you will be asked if you want to erase it.
  4. Type as usual, or invoke any of the recordable commands.
  5. When you have finished, select the Stop Recording command on the Macros menu, or click the record button again on the toolbar.
  6. The first time, you will be prompted to save the macro. You can choose to just use it as an unsaved (scratch) macro, or to save it with a name, and whether you want to be prompted in future.

Notes:

  • Macros that are supplied with TextPad are stored in the Samples folder. Any that you create are stored in the folder specified on the Folders page of the Preferences dialog box.
  • If you create any interesting macros that you would like to contribute to our collection, please let us know. We will make them available from our web site, with full credit given to each author.

Shortcuts:

Toolbar:

Keyboard: Ctrl+Shift+R

See also: Overview, Playing, Saving, Example.


How to Save a Keystroke Macro

To save the unnamed (scratch) keystroke macro:

  1. Choose the Save command from the Macros menu. The Save Macro dialog box will be displayed.
  2. Choose a file name. The default will be MACROxx.TPM, where xx is a number. The file will be stored in the folder configured on the Folders page of the Preferences dialog box.
  3. In the Display Name box, type text that you want to appear on the Macros menu. If you insert an '&' before any character, it will be underlined on the menu, and can be used as the menu accelerator.
  4. Optionally fill in the Author and Comment fields. These can be modified later by clicking the Properties button on the Macros page of the Preferences dialog box.
  5. Choose the default play mode. This can later be overridden when playing the macro, or modified as for the Author and Comment fields.
  6. Click OK.

See also: Overview, Recording, Playing, Example.


How to Playback a Keystroke Macro

To play back the unnamed (scratch) keystroke macro:

Choose the Playback command from the Macros menu.

Shortcuts:

Toolbar:

Keyboard: Ctrl+R

To play back a named macro:

Select it by name from the Macros menu.

To play back a macro differently from its default mode:

  1. Choose the Multi-play command from the Macros menu. The Playback Macro dialog box will be displayed.
    Shortcut: Toolbar:Shift+
  2. Select a named macro, or the scratch macro to play.
  3. Choose to play it a specified number of times, or through the current selection, or to the end of file.
  4. Click OK.

See also: Overview, Recording, Saving, Example.


How to Customize the Macros Menu

Macros are initially added to the menu when you save them. However, you can add any macros that are in your Macros Folder as follows:

  1. From the Configure menu, choose Preferences;
  2. Select the Macros page on the Preferences dialog box;
  3. Select any of the macros in the list of Available Macros.
  4. Click the Add button to copy them to the list of Macros on Menu.

This is useful if you want to use macros that were created on another PC.

Notes:

  • The Remove button can be used to remove any selected macros from the menu that you no longer need. They will remain in your Macros folder, so click the Delete button instead, if you want to delete the file containing the macro as well.
  • The order of the macros on the menu can be altered by selecting them and clicking the Move Up or Move Down buttons.
  • Shortcuts can be assigned to macros using the Keyboard page on the Preferences dialog box.


How to Change Macro Properties

You can change the properties of a macro by choosing Preferences from the Configure menu, and selecting the Macros page. If you select a macro, and click the Properties button, you can view or modify the following properties:

Property: | Description:
File Name | The name of the disk file containing this macro.
Display Name | A name of up to 40 characters that will appear on the Macros menu. You can insert an '&' to indicate the character to use as the menu accelerator.
Author | This is automatically set to the name of the registered user. It can be up to 40 characters long.
Description | Up to 128 characters to remind you what the macro does.
Default Play Mode | Choose from "Play Once", "Repeat through Selection", and "Repeat to End of File".


Macro Examples

Selecting HTML Tags:

HTML tags are in matched pairs of <…>'s, which may extend over several lines. You can create a macro to select a whole tag as follows:

  1. Open the Find dialog box;
  2. Type "<" (without the quotes) in the Find What box;
  3. Start the recorder, using Ctrl+Shift+R, or the toolbar button;
  4. Click the Find Next button;
  5. Select up to the matching ">", using the Match Bracket command on the Search menu (Ctrl+Shift+M);
  6. Stop the recorder, using Ctrl+Shift+R, or the toolbar button;
  7. Save the macro with a suitable name.

If you want to delete the tag, hit the Delete key before stopping the recorder. Then you can play it to the end of the file to strip all tags.

Tagging Selected Text with HTML <B> … </B> Tags:

  1. Select some text on a single line;
  2. Open the Replace dialog box;
  3. Type "\&" (without the quotes) in the Find What box;
  4. Type "<B>&</B>" in the Replace With box;
  5. Check the Regular Expression box;
  6. Start the recorder, using Ctrl+Shift+R, or the toolbar button;
  7. Click the Find Next button;
  8. Click the Replace button;
  9. Stop the recorder, using Ctrl+Shift+R, or the toolbar button;
  10. Save the macro with a suitable name.

To use this macro, select the text that you want displayed in a bold font, then playback the macro.


How to use the Clip Library: Overview

The Clip Library is a collection of text clippings, organized into files, referred to as "books". Each book can contain any number of clippings, and each clipping can be any amount of text, with an optional "hot spot". If a hot spot is defined (using "\^"), the current selection is substituted at that point. For example, if the current selection is:

A Heading

and the clipping is:

<H1> \^ </H1>

The result will be as shown, with the original text still selected:

< H1> A Heading </ H1>

Sample clip books are supplied for inserting HTML tags, and ANSI, control and HTML characters. These books can be modified, or you can create your own ones from scratch.

The Clip Library user interface consists of a drop-down list of books, and a scrolling list of the clippings in the selected book. The selected clipping can be inserted by double-clicking it, or by pressing the Enter key. The library may be edited using the commands on its right click context menu.

The interface is turned on and off using the Clip Library command on the View menu, which uses Ctrl+F3 as a shortcut. Keyboard-only users can also use the shortcut Alt+0 to make it the focus window, ESC to return the focus to the active document, and Shift+F10 to display its context menu.

Note:

These shortcuts will not be available if you have previously customized your command shortcuts. The assignments can be made on the Keyboard page of the Preferences dialog box as follows:

Command: | Shortcut: | Purpose:
ViewClipLib | Ctrl+F3 | Show or hide the clip library
ActivateClipLib | Alt+0 | Give input focus to the clip library. This also displays it if it is not already visible.

Contributed Clip Libraries:

Visit http://www.textpad.com/add-ons to see the Clip Libraries that have been kindly contributed by our users.

See also:

Inserting Cuttings

Editing


How to use the Clip Library: Inserting Clippings

Before you can use the Clip Library, you must first display it, and make it active. To display it, select the Clip Library command on the View menu. To make it active, either click it with the left mouse button, or type Alt+0.

To insert a clipping with a hot spot:

  1. Either select the text to be substituted for the hot spot, or move the cursor to the insertion position in the document.
  2. Double click or press Enter on the clipping to be inserted.

To insert a clipping without a hot spot:

  1. Move the cursor to the insertion position in the document.
  2. Double click or press Enter on the clipping to be inserted.

Note:

If the list of entries is sorted, you can quickly jump to an entry by typing the first letter of its name.


How to use the Clip Library: Editing

You can edit the Clip Library, using the following commands on its context menus. To display the context menu, either right click the Clip Library, or type Shift+F10 on the list of books or list of clippings.

Menu for list of books:

Command: | Action:
Save book | Saves any changes made to the selected book.
Rename book | Renames the selected book.
Delete book | Deletes the selected book.
Edit book | Opens the selected book in an editor window. See Direct Editing for more information.
New book | Creates a new, empty book. You will be prompted for its file and display names. A clip book must have the extension .TCL, and will be stored in the folder specified on the Folders page of the Preferences dialog box.
Refresh | Reloads all books. Use this command if you have modified any books externally.
Close | Closes the clip library.

Menu for list of clippings:

Command: | Action:
Insert | Inserts the selected clipping in the active document.
Copy | Copies the clipping with the specified name to the clipboard.
Edit | Opens the clipping in an edit control.
Rename | Renames the selected clipping.
Delete | Deletes the clipping with the specified name.
Paste new entry | Copies the contents of the clipboard to the open book. You will be prompted for a name for this clipping.
Sort | When checked, the entries are sorted alphabetically, otherwise they are displayed in the order they are written in the book. When sorted, you can quickly jump to an entry by typing the first letter of its name.
Refresh | Reloads all books. Use this command if you have modified any books externally.
Close | Closes the clip library.

Notes:

  • The clip books that are provided with TextPad are stored in the Samples folder. If you modify and save them, the changes will be saved in the folder specified for the Clip Library (User by default). This mechanism is designed to protect your changes from future updates of TextPad.
  • The sample clip books use the convention of a trailing "^" in the names of clippings that have hot spots.

See also:

Direct Editing


How to use the Clip Library: Direct Editing

Clip Books are plain text files with the extension .TCL. If you are careful, you can use TextPad's main editor to create and maintain these files. Each file consists of a header, followed by one or more clippings.

Header:

!TCL=<id>, <comment>
!TITLE=<title>
!SORT=<y|n>
!CHARSET=<charset>

where:

<id> | is an identification number in the range 1-999 (numbers above that are reserved for our sample clip books). It must be unique for each clip book.
<comment> | is any text, such as the author's name.
<title> | is a short name that you will use to select this book.
<charset> | is one of ANSI, ARABIC, BALTIC, CHINESEBIG5, DEFAULT, DOS, EASTEUROPE, GB2312, GREEK, HANGEUL, HANGUL, HEBREW, JOHAB, MAC, RUSSIAN, SHIFTJIS, SYMBOL, THAI, TURKISH, VIETNAMESE. If omitted, it defaults to ANSI. If set to DEFAULT, the default character set for Windows will be used. This value controls which font is used to display the list of clipping titles and will only have an effect if the corresponding code page is available in Windows.

Clippings:

!TEXT=<title>
<clipping>
!

where:

<title> | is a short name that you will use to select this clipping, and to sort them, if required.
<clipping> | is any text, except for an "!" in column 1. If your own text must start with "!", escape it using "\!". The characters \^ will be interpreted as the hot spot. If you need to use \^ literally, escape it using \\^.
! | marks the end of a clipping. Precede it with a blank line, if you want the clipping to finish with a line break.

Notes:

  • When you have edited a .TCL file manually, you can make the changes visible by selecting the Refresh command on the Clip Library's context menu.
  • Do not edit the sample clip books in the Samples folder. Copy them to the Clip Library folder first (specified on the Folders page of the Preferences dialog box), or your changes will get lost when you next update TextPad.
  • The Clip Library searches for .TCL files in the Clip Library folder first, followed by the Samples folder. It uses the first one that it finds with a given identification number.
  • If you create any interesting clip books that you would like to contribute to our collection, please let us know. We will make them available from our web site, with full credit given to each author.

See also:

Editing


How to use the Clip Library: Repositioning

The Clip Library is normally positioned (docked) at the left hand side of the main window. It can also be docked at the right hand side, or floated. To move it, click and drag the separator between the drop-down list of books, and the list of clippings. Double clicking that separator will cause the Clip Library to float. When it is floating, double click its title bar to move it back to the last docked position.

You can resize the Clip Library, using the mouse, when it is floating or docked.


How to Check Spelling: Overview

TextPad uses spelling checking technology licensed from Wintertree Software, Inc. This gives you the ability to check spelling in the following languages:

Language: | Component Files:
dansk | SSCEda.TLX, SSCEda2.CLX
Deutsch | SSCEge.TLX, SSCEge2.CLX
español | SSCEsp.TLX, SSCEsp2.CLX
français | SSCEfr.TLX, SSCEfr2.CLX
italiano | SSCEit.TLX, SSCEit2.CLX
Nederlands | SSCEdu.TLX, SSCEdu2.CLX
norsk (bokmål) | SSCEnb.TLX, SSCEnb2.CLX
português (Portugal) | SSCEpo.TLX, SSCEpo2.CLX
português (Brasil) | SSCEpb.TLX, SSCEpb2.CLX
suomi | SSCEfi.TLX, SSCEfi2.CLX
svenska | SSCEsw.TLX, SSCEsw2.CLX
UK English | SSCEbr.TLX, SSCEbr2.CLX
US English | SSCEam.TLX, SSCEam2.CLX
Legal English | SSCEle.TLX, SSCEle2.CLX
Medical English | SSCEme.TLX, SSCEme2.CLX

The component files of the English Legal and Medical dictionaries should be added to the list of files used for one of the other dictionaries.

See Obtaining Standard Dictionaries, if you don't already have the dictionary you require.

A dictionary actually consists of up to 16 word list files. For example, the US English dictionary initially includes the following files:

U1033.TLX | Personal dictionary in plain text
SSCEam.TLX | Common words in plain text
SSCEam2.CLX | Compressed main list of words

Standard dictionaries must be installed in the SPELLING sub-folder of your TextPad folder. The folder for custom dictionaries, and personal extensions to standard dictionaries, can be specified on the Folders page of the Preferences dialog box. (You will want to change this folder, if TextPad is installed on a file server, or you share your PC with other users.) Words are added to a personal dictionary corresponding to the currently selected language, or custom dictionary, so the standard dictionaries can be write protected.

By default, if a suitable dictionary is available, TextPad will use the one corresponding to the language you have set for MS Windows, using Control Panel. You can choose a particular language by using the Preferences command, and selecting the Spelling page on the Preferences dialog box.

To start the spelling checker, use the command on the Tools menu. Spelling is checked for the entire document, unless you select the text to be checked first. When syntax highlighting is enabled, only comments, strings and plain text are spell checked. Checking of comments and strings can be individually enabled for each document class on the document class pages of the Properties dialog box.

When a word is not recognized, you can choose to add it to the dictionary. If you know in advance of words you use that are unlikely to be in the dictionary, you can add them all at once from a simple text file. Normally, such additions are used in conjunction with the corresponding standard dictionary, but you can create your own custom dictionaries that are independent of any standard dictionaries.

See also:

How to Check Spelling

How to Configure Spell Checking Preferences

How to Edit Dictionaries

_____________

In case you are wondering why you can't just use the spelling checker of your favorite word processor with TextPad, it's because of licensing restrictions. You've already paid for the spelling checker, but TextPad cannot use it without a license, and Inso Corp. were not interested in selling one for use with software that is available via the Internet.


How to Check Spelling

To check the spelling of a whole document, first clear any selection, otherwise select the text you want to check, then choose the Spelling command from the Tools menu. You will be presented with the following dialog box, for each word that is not recognized:

The spelling checker will list suggestions for the correction, if it has any, and place the most likely of them in the Change To box. If you want to edit the original word, you can copy it to the Change To box by clicking it.

The actions available are:

  • Ignore this occurrence of the word, and continue checking.
  • Ignore All occurrences of the word, and continue checking.
  • Change the original to the word in the Change To box, and continue checking.
  • Auto-correct all occurrences of the word to the word in the Change To box, and continue checking.
  • Add the original word to the dictionary, and continue checking. Note that Shift+Add will add all unique words in the document to the dictionary.
  • Suggest other words similar to the one in the Change To box. This button is disabled until you modify the Change To word.
  • Undo Last change, and continue checking.
  • Close the spelling checker.

The Options button allows you to select the language and configure various other settings. You can also do this using the Preferences command and selecting the Spelling page on the Preferences dialog box.


How to Configure Spell Checking Preferences

To configure the spelling checker:

  1. Choose the Preferences command on the Configure menu. The Preferences dialog box will be displayed.
  2. Select the Spelling page.

(This properties page can also be displayed by clicking the Options button on the Spelling dialog box.)

The parameters you can configure are:

Parameter: | Effect when set:
Dictionary | The one chosen from the drop-down list will be used for the next spelling check.
Ignore capitalized words (e.g. England) | Words starting with a capital letter will not be spell checked.
Ignore words in capitals only (e.g. ASAP) | Words consisting entirely of capital letters will not be spell checked.
Ignore words with numbers (e.g. Win98) | Words containing digits will not be spell checked.
Ignore words with mixed case (e.g. TextPad) | Words consisting of both upper and lower case letters will not be spell checked.
Ignore single letters (e.g. b) | Single letter words will not be spell checked.
Case sensitive | Words such as Monday and monday will not be considered identical.
Report doubled words (e.g. the the) | When a repeated word is encountered, you will be prompted for an action.
Auto correct | Any words that exist in a word list, with the auto-change action, will be substituted in the text, without prompting.
Remember which words to correct automatically | When you click the "Auto-correct" button, on the Spelling dialog box, the words will be added to your personal word list file, rather than to a temporary file.
Suggestions for unrecognized words:
Phonetic | Suggest words that sound like the unrecognized word. (This is only implemented for English.)
Typographical | Suggest words that look like the unrecognized word.
Split words | Suggest split words that are like the unrecognized word.
Faster Search/More Accurate | This slider can be used to reduce the time it takes to generate a list of suggestions, or to increase its accuracy.

Buttons:

New: Click this to create a new, empty dictionary. You will be prompted for its file name, and the language of the words you will add to it. Set the language to "Any", if none in the list are appropriate.

Edit: Click this to display the Edit Dictionary dialog box. This will allow you to change the word list files and their contents.


How to Edit Dictionaries

To edit a dictionary:

  1. Choose the Preferences command from the Configure menu. The Preferences dialog box will be displayed.
  2. Select the Spelling page.
  3. Choose the dictionary to edit from the drop-down list.
  4. Click the Edit button to display the Edit Dictionary dialog box.

This gives you the options for changing the word list files that are used for this dictionary, and for changing the words in personal word list files. You can also change the name of personal dictionaries.

Adding words:

  1. From the list of Files, choose the one you want to add words to. This will display its current contents in the list of words.
  2. Type the word in the Words box.
  3. Optionally, type a replacement word in the Replacement box.
  4. Choose one of the actions from the drop-down list of Actions, described in the table below.
  5. Click the Add Word button.

Deleting Words:

  1. From the list of Files, choose the one you want to delete words from. This will display its current contents in the list of words.
  2. Select a word from the list.
  3. Click the Delete Word button.

Importing Words:

Words can be imported from a simple text file, which has one word per line. If a replacement word is specified, the file must be in the format described below.

  1. From the list of Files, choose the one you want to add words to.
  2. Click the Import button
  3. Select the file containing a list of words.
  4. Click Open.

Warning: This option is slow for long lists of words. You can alternatively use the text editor to merge the words into an existing word list file. See below for the file format.

Exporting Words:

  1. From the list of Files, choose the one you want to export words from.
  2. Click the Export button
  3. Choose the name of the file you want to save to..
  4. Click Save.

Note: It is not possible to export words from a compressed (*.CLX) file.

Adding an Existing Word List File:

  1. Click the Add File button.
  2. Select the compressed or text file you want to add.
  3. Click Open

Creating a New Word List File:

  1. Click the New File button to display the Create Dictionary Word List File dialog box.
  2. Type in the file name, or click the Browse button, and select the file.
  3. Choose a language from the drop-down list. (Choose Any, if none of the others are appropriate.)
  4. Click OK.

Removing a Word List File:

  1. Select the file from the list of files.
  2. Click the Remove button.

Note: This will not actually delete the file.

Changing the Order of Word List Files:

The spell checking engine searches for a word in each word list file in a dictionary, in the order they are listed. The first file must be a personal one, as that is the file that words will be added to when the spell checker runs. Text word lists are searched more quickly than compressed ones, so they should always be higher up the list of files.

To change the order:

  1. Select a file from the list.
  2. Click the Move Up or Move down buttons.

Format of Word List (*.TLX) Files:

The first line must define the language as follows:

#LID number

The number parameter should be one of the following decimal values:

Language: | Value | Language: | Value:
Any | 30840 | Hungarian | 26741
US English | 24941 | Italian | 26996
UK English | 25202 | Norwegian (bokmål) | 25442
Catalan | 29539 | Norwegian (nyorsk) | 25444
Czech | 25466 | Polish | 28780
Danish | 25697 | Portuguese (Brazil) | 28770
Dutch | 25717 | Portuguese (Portugal) | 28783
Finnish | 26217 | Russian | 29301
French | 26226 | Spanish | 29552
German | 26469 | Swedish | 29559

Subsequent lines should be formatted as follows:

<word> <tab> <action> <replacement>

Spaces have been included for clarity, but must not be present in the file. The "<tab> <action> <replacement>" part is optional. The "<action>" part must be one of the codes defined in the table below.

For example:

#LID 24941
TextPad    i
teh    athe

Table of Actions for Word List Files:

Action: | Code in File: | Usage:
Auto change using case of replacement | a | Use when only the case of the replacement is valid, and the change should be made automatically.
Auto change using case of checked word | A | Use when the case of the replacement must match that of the checked word, and the change should be made automatically.
Conditionally change using case of replacement | c | Use when only the case of the replacement is valid, and you want to be prompted before making the change.
Conditionally change using case of checked word | C | Use when the case of the replacement must match that of the checked word, and you want to be prompted before making the change.
Ignore (treat as correctly spelled) | i | Use this option for correctly spelled words, when no replacement is specified. This is the default action.
Exclude (treat as misspelled) | e | Use this option to force a word to be treated as misspelled, even if it exists with the Ignore action in another word list.


How to Obtain Standard Dictionaries

Standard dictionaries for the spelling checker are available for downloading from our web site at http://www.textpad.com/. The following table shows the name of the file to download for each language.

To install a language file, simply run the self-extracting executable file, or unzip it into the SPELLING sub-folder of your TextPad installation folder, then select it on the Spelling page of the Preferences dialog box.

Language: | File:
dansk | txplexda.exe
Deutsch | txplexge.exe
español | txplexsp.exe
français | txplexfr.exe
italiano | txplexit.exe
Nederlands | txplexdu.exe
norsk (bokmål) | txplexnb.exe
português (Portugal) | txplexpo.exe
português (Brasil) | txplexpb.exe
suomi | txplexfi.exe
svenska | txplexsw.exe
UK English | txplexbr.exe
US English | txplexam.exe
English Legal | txplexle.exe
English Medical | txplexme.exe


How to Sort by Selected Column

To sort lines in your document, using the text in the selected column as a key:

  1. Uncheck word-wrapping and check block select mode on the Configure menu.
  2. Click the mouse at the top left of the column, and drag it to the bottom right to select the lines to sort.
  3. From the Tools menu, choose the Sort command to display the Sort Selected Column dialog box.
  4. Choose to sort in ascending or descending order.
  5. Set the comparison to be by character, with capital letters being significant or not, or by numeric value. (See the notes below for additional information.)
  6. Check the "In character code order" box, if you want characters ordered by their numeric codes, rather than locale specific conventions.
  7. If you want to delete all duplicate lines, check the "Delete duplicate lines" box.
  8. Click OK.

Notes:

  • Character comparisons use the collating sequence conventions for the regional settings selected with Windows Control Panel.
  • Numeric comparisons are performed with 32-bit precision for integers (range -2147483648 to 2147483647), and 64-bit precision for floating point numbers (range +/- 1.7976931348623158e+308).
  • If the key field does not contain a number, the value used for comparison is the ANSI code of the first character.

See also: Sorting by Keys


How to Sort by Specified Key Positions

To sort selected lines in your document, using up to 3 keys:

  1. Uncheck block select mode on the Configure menu.
  2. Click the mouse on the first line, and drag it to the last line to sort.
  3. From the Tools menu, choose the Sort command to display the Sort Selected Lines dialog box.
  4. For each of up to 3 keys:
    • Specify the start display column position and length. Omit the length if the key extends to the end of the line.
    • Choose to sort in ascending or descending order.
    • Set the comparison to be by character, with capital letters being significant or not, or by numeric value. (See the notes below for additional information.)
  5. Check the " In character code order " box, if you want characters ordered by their numeric codes, rather than locale specific conventions.
  6. If you want to delete all duplicate lines, check the "Delete duplicate lines" box.
  7. Click OK.

Notes:

  • Lines are sorted first by key 1, then key 2, then key 3.
  • Keys may overlap.
  • Character comparisons use the collating sequence conventions for the locale selected using Windows Control Panel.
  • Numeric comparisons are performed with 32-bit precision for integers (range -2147483648 to 2147483647), and 64-bit precision for floating point numbers (range +/- 1.7976931348623158e+308).
  • If the key field does not contain a number, the value used for comparison is the ANSI code of the first character.

See also: Sorting by Column


How to Run Other Programs

  1. From the Tools menu, choose the Run command. The Run dialog box appears.
  2. In the Command box, either type the name of the program or command, or choose a previous entry from the drop-down list. If the program cannot be found in your search path, you will need to supply its full path name.
  3. In the Parameters box, type any parameters required by the program. You can use any tool macros such as $File here, to specify the active file.
  4. In the Initial Folder box, type the initial working folder for the program. If this box is blank, it defaults to the folder containing the particular program. You can use tool macros here.
  5. If the command is a DOS internal, such as DIR or TYPE, check the DOS Command box.
  6. If you want the program to run in a minimized window, check the Run Minimized box.
  7. If you want to redirect the output from the program to the Command window, check the Capture Output box. This has no effect for Windows applications.
  8. Click OK.


How to Use with Compilers

You can configure TextPad to compile the file in the active window, and output any compiler error messages to the Command Results window. By double clicking an error message, you can go straight to the corresponding source line.

To enable this feature, add the command line for your compiler to the Tools menu using the Tools page on the Preferences dialog box, and define a regular expression that matches its error messages. TextPad uses that to extract the file name, and line and column numbers to open the file at the right spot, when you double click the error message.

For example, to configure TextPad to use the free Borland C++ Builder compiler, add it to the Tools menu as follows:

Menu text: | Compile C++
Command: | C:\Borland\BCC55\Bin\bcc32.exe
Parameters: | $File
Initial directory: | $FileDir
Capture Output: | [x]
Save files: | [x]

Then set the regular expression as follows:

Expression: | ^\(Error\|Warning\) [A-Z][0-9]+ \(.+\) \([0-9]+\):
File Register: | 2
Line Register: | 3

This will compile and link the program, so you could add another command to run the program as follows:

Menu text: | Run C++ Program
Command: | $BaseName.exe
Parameters: |
Initial directory: | $FileDir
Capture Output: | [ ]
Save files: | [ ]

If your application is split into several source files, in the same folder, you could compile and link it with the following tool:

Menu text: | Build MyApp
Command: | C:\Borland\BCC55\Bin\bcc32.exe
Parameters: | -eMyApp.exe *.cpp
Initial directory: | $FileDir
Capture Output: | [x]
Save files: | [x]

Other examples.


How to Use as the Editor for Other Applications

TextPad can easily be used as the editor for other applications. By using its dynamic data exchange (DDE) capabilities, each file to be edited can be opened in a new window, rather than starting another copy of TextPad.

The TextPad installation directory contains a program called DDEOPN32.EXE in the SYSTEM folder. This translates command line requests to open files into the appropriate DDE commands for TextPad. The first parameter must be the registered server name TextPad, and the second parameter is the file to open, with an optional line and column position immediately following in brackets.

Example 1:

To use TextPad as the editor for WinCIM 2, add the following line to the [General Preferences] section of WINCIM.INI:

Text-Editor=C:\Program Files\TextPad\SYSTEM\DDEOPN32.EXE TextPad

Example 2:

To use TextPad as the editor for WinGrep, add the following line as the editor command on its Configure dialog box:

C:\Program Files\TextPad\SYSTEM\DDEOPN32.EXE TextPad $f($l)

Example 3:

To use TextPad with Visual C++ 6, so that it edits the same active file as MSVC, customize the Tools menu of MSVC.EXE with the following command:

Command Line:    C:\Program Files\TextPad\SYSTEM\DDEOPN32.EXE
Menu Text:    &TextPad
Parameters:    TextPad $(FilePath)($(CurLine),$(CurCol))

Notes:

  • Whenever TextPad is reactivated, it checks the last modified date of each file that you are editing, and asks if it should reload any that have been changed by another application.


How to Use with Web Browsers

TextPad can display the active HTML document in a web browser, using the View HTML command on its View or context (right click) menu. This feature is enabled by checking the "View in Web Browser" option on the properties page for the corresponding document class.

The file name is passed to the browser using the normal file extension association information, which was written to the Windows registry when the browser was installed. This means that if the browser has registered that it can use DDE messages, it will be able to use a single instance to view each file, otherwise a new instance will be started for each one.

If you edit files directly in a local web server, such as MS Personal Web Server, you should specify its root path and IP address on the Folders page of the Preferences dialog box. Then TextPad will tell the browser to access those files using HTTP, rather than as ordinary files, allowing any macro substitution to take place.


How to Use with HTML Validator

CSE 3310 HTML Validator is a 3rd party application for validating the syntax of HTML documents, which is available on the Internet from http://www.htmlvalidator.com/. We do not support it in any way (except for the interface with TextPad, described below), so please check that web page for support information.

HTML Validator helps you find and correct the following problems in your HTML documents:

  • Misspelled or invalid tag names, tag attributes, and tag attribute values.
  • Misspelled or invalid character entities.
  • Missing quotation marks.
  • Missing closing tags.
  • Incorrect placing and nesting of tag names.
  • Incorrect or incompatible HTML based on a specific browser or HTML version (i.e. Netscape extensions, HTML 2.0)
  • Use of high ASCII characters in HTML documents.

If you choose to install it, either by purchasing it, or by downloading an evaluation copy, TextPad will automatically add a command to run it to its Tools menu, which will be enabled for the active HTML document. Run this command to output any error messages to the Command Results window. Double click an error to edit the source document at the corresponding line, or use the Jump Next and Jump Previous buttons on the toolbar to step through the errors.

You can also add commands to configure HTML Validator to the Tools menu as follows:

  1. From the Configure menu, choose Preferences.
  2. Select the Tools page on the Preferences dialog box.
  3. Click Add.
  4. Select "HTML Validator Commands" from the drop down menu.
  5. Click OK.

You can assign shortcuts to any of these commands using the Keyboard page on the Preferences dialog box.


How to Use with the Java Development Kit

The Java SDK is a product from Sun Microsystems for developing Java applications. It can be downloaded from http://java.sun.com/. We do not support it in any way (except for the interface with TextPad, described below), so please check that web page for support information.

Very Important: To be able to use it with TextPad, the Java SDK must be installed using its setup program. This writes information to the registry, which TextPad cannot work without.

After you have installed the Java SDK, as described in its installation instructions, you can add commands to compile and run Java applications and applets to TextPad's Tools menu as follows:

1. From the Configure menu, choose Preferences.

2. Select the Tools page on the Preferences dialog box.

3. Click Add.

4. Select "Java SDK Commands" from the drop down menu.

5. Click OK.

You can assign shortcuts to any of these commands using the Keyboard page on the Preferences dialog box.

Notes:

  1. The option to add Java SDK commands only appears on that menu, if none of your tools runs JAVAC.EXE, JAVA.EXE or APPLETVIEWER.EXE.
  2. The Java SDK commands are automatically added to the Tools menu, if the Java SDK is installed before TextPad is first run on a PC.
  3. Do not attempt to capture the output of a Java application which reads from standard input. The Command Results window is output only, so you will not be able to type responses into it.


How to Customize: Overview

You can customize various settings to your own preferences, and these settings are preserved between sessions. All user-configurable settings are accessible from the Configure menu.


How to Transfer Preferences between PC's

The procedures described below can also be used when upgrading from TextPad 3.x (with certain exceptions). In that case, for "the same folder on the other PC", read "the TextPad 4.x installation folder".

Before transferring any preferences, first exit from TextPad, so that they are updated.

If you want to transfer any macros, these are stored in files *.TPM in the Macros folder. Copy those files to the same folder on the other PC. (See also: How to Customize the Macros Menu .)

If you have customized any key bindings, these are stored in the file CUSTOM.BND in the Custom Shortcuts folder. Copy that file to the same folder on the other PC.

Preferences can be transferred as described below for different editions of MS Windows. However, that procedure will not transfer file associations, and cannot be used to transfer settings between TextPad 3.x and 4.0. Such settings must be made manually, using the Preferences dialog box.

Windows 9x, Windows ME, NT 4 and Windows 2000:

All preferences are stored in the Windows registry. These may be transferred as follows:

  1. Run REGEDIT.EXE
  2. Select the key HKEY_CURRENT_USER\Software\Helios\TextPad 4
  3. From the Registry menu, choose the Export command.
  4. Export the selected branch to a .REG file.
  5. Copy the file to the other PC and use the corresponding Import command to load the preferences from the file. (You could also just double click the .REG file in Explorer.)

Windows NT 3.51:

All preferences are stored in the Windows registry. These may be transferred as follows:

  1. Run REGEDT32.EXE
  2. Select the key HKEY_CURRENT_USER\Software\Helios\TextPad 4
  3. From the Registry menu, choose the Save Key command.
  4. Export the selected branch to a file.
  5. Copy the file to the other PC and use the corresponding Restore command to load the preferences from the file.


How to Customize General Preferences

You can customize these general settings by choosing Preferences from the Configure menu:

Set this Option: | To Do This:
Reload last workspace at startup | If you were working in a named workspace when TextPad last exited, it will be reopened automatically when this option is checked.
Allow multiple instances to run | Allow more than one instance of the program to run at a time. Note that an existing instance will open any files double clicked in Explorer, if the association is configured to use DDE messages.
Allow multiple files on the command line | Allow more than one file at a time to be passed to TextPad via its command line. Check this option if you want to use Explorer's Send To command with more than one file, but see Frequently Asked Questions first.
Working folder follows active document | Automatically change the working folder to match that of the active document.
Send documents as an attachment to e-mail messages | Attach the active document to e-mail sent with the Send command on the File menu. Otherwise, the text of the document is inserted into the e-mail message.
Display startup logo | Suppress the "splash" logo window that is displayed while TextPad starts up.
Start with a new document | Open a new document, if no files are opened when TextPad is started.
Minimize to the Taskbar Status Area | Display an icon in the Taskbar Status Area, when TextPad is minimized. Left click that icon to restore TextPad.

Other options allow you to put shortcuts to TextPad on the desktop and various Explorer context menus.


How to Customize Colors

The screen colors used for normal and selected text, bookmarks, syntax highlighting, and the left margin can be defined for each document class as follows:

  1. Choose the Preferences command from the Configure menu.
  2. Click the "+" next to Document Classes.
  3. Click the "+" next to the class you want to modify.
  4. Select Colors.
  5. Choose the item that you want to change the color of.
  6. Select the required foreground and background colors.
  7. Click OK or Apply.

Notes:

  • To make the same changes to all document classes, do it for the Default document class, and check Apply these settings to all document classes.
  • For the Current line, the foreground color is used to draw dotted lines above and below the line containing the cursor. If you prefer not to see those lines, set the foreground to the Window background color. Alternatively, if you only want to see those lines, set the background to the Window background color. Note that the foreground color is only visible when the window background color matches that set with Control Panel's Display applet. Current line highlighting can be turned off using the option on the Configure/Preferences/View dialog box.
  • The foreground and background colors of the Left margin are used to differentiate the active and inactive parts of a split view, and to paint line numbers.


How to Customize Document Classes

A document class defines a set of properties for a group of files that are members of that class. Use the New Document Class command, on the Configure menu, to add a new class, otherwise the list of document classes can be customized as follows:

  1. From the Configure menu, choose Preferences. The Preferences dialog box is displayed.
  2. Select "Document Classes".
  3. Type a new class name in the empty box at the end of the list of document classes, or select an existing entry and click the "X" button to delete it.
  4. Click Apply to confirm the changes.

Any new classes will appear under "Document Classes". To modify the properties of a document class, select it and make the changes on its Properties page.

See also: Overview of Document Classes


How to Customize Document Properties

Document properties can be defined for individual documents or entire document classes. Individual document settings are only persistent for documents that are open at the time a workspace is saved.

Defining Document Class Properties:

To customize the members and document preferences for each class, choose Preferences from the Configure menu, click the "+" next to Document Classes, and select the class you want to modify.

To add a new member to the document class:

  1. Click the blank box at the end of the list of class members.
  2. Type the name of a file, or a wild card (e.g. CONFIG.SYS or *.TXT) and press Enter. Note that you cannot specify a path for files.
  3. Click Apply or OK.

Defining Individual Document Properties:

To set the properties for an individual document, choose the Document Properties command from the View menu, and click on the appropriate tab of the Properties dialog box.

Note that after any property has been changed, all properties on the dialog box are then independent of those defined for the document class, but initialized to the same values. The only way to revert to using the document class properties is to close and reopen the document.

See also: Document Properties


How to Customize Editor Preferences

You can customize these general settings by choosing Preferences from the Configure menu:

Set this Option: | To Do This:
Constrain the cursor to the text | Restrict the position of the cursor to the existing text. Otherwise it can be placed anywhere in the document window. In word-wrap mode, the cursor is always constrained.
Clear undo buffer when saving | Free up the memory allocated for undoing changes made since the file was last saved.
Automatically terminate the last line of the file | Add line termination characters to the last line when saving the file, if it was not already terminated.
Enable drag and drop editing | This setting can only be changed when no document windows are open.
Keystroke compatibility | Change the command shortcuts to match one of the options in the list box. (See notes below.)
Show keyboard shortcuts on menus | See the shortcut assigned to each command on the menus.
Use Microsoft's conventions for mouse click selection | Change the default double click in the left margin, to select a line, to a single click.
Use POSIX regular expression syntax | See How to Use Regular Expressions for the differences between the default syntax and POSIX syntax.

Notes:

Keystroke compatibility with other applications uses the closest matching command in TextPad. It may be possible to obtain a closer match in some cases by recording a keystroke macro, and assigning a compatible shortcut to that.

The default shortcuts for TextPad are listed in the Reference section, under the heading The Keyboard.

You can view and modify the chosen shortcuts on the Keyboard page of the Preferences dialog box.

If you change the compatibility mode, any custom shortcuts that you have defined will be lost.


How to Customize File Associations

Most applications are entirely responsible for the files that they manage (e.g. MS Word and its .DOC files), so they can register all file associations during the installation process, and guarantee that the associations are made correctly. Text editors don't have that luxury. They can be associated with all sorts of files, with scope for all sorts of problems (and support calls to us) if it's not done right. It was easy on Windows 3.1: by adding an entry for TextPad to the registry, you could use File Manager's Associate command to correctly associate an extension with that entry. If you do the same thing on Windows 95, you lose the correct description for the file, and any additional functionality that the original association may have had (e.g. with .BAT files, you can either edit or run them). Hence TextPad provides its own way to make associations.

By associating TextPad with file extensions, Explorer or File Manager will know to start TextPad when you want to edit such a file. Change the associations as follows:

  1. From the Configure menu, choose Preferences. The Preferences dialog box is displayed.
  2. Choose the Associated Files page.
  3. Type an extension in the New Extension box, or choose one from the drop-down list.
  4. Type the description of such files in the Description box.
  5. Click the Add button.
  6. Repeat steps 3-5 for each new extension.
  7. Click OK or Apply.

To revert an association back to its default:

  1. Select the extension from the list box.
  2. Click Delete.
  3. Repeat steps 1-2 for each extension to delete.
  4. Click OK or Apply.


How to Customize File Backups

When you save a file, you can keep a backup copy of the original. To customize the settings, choose Preferences from the Configure menu and select the Backup page on the Preferences dialog box:

Set this Option: | To Do This:
Automatically save every xx minutes | Save all files at the specified interval. The Save As dialog box will be presented for each untitled document.
Backup files before saving changes | Copy the original file to a backup with one of the following names, before saving changes.
FILE.BAK | Backup FILE.EXT as FILE.BAK
FILE.BAK.EXT | Backup FILE.EXT as FILE.BAK.EXT
FILE.EXT.BAK | Backup FILE.EXT as FILE.EXT.BAK
FILE.EXT in folder | Backup FILE.EXT with the same name in the specified folder.

Notes:

On file systems that do not support long file names, FILE.EXT will always be backed up as FILE.BAK (unless a backup folder is given).

Only a single backup copy is kept, which is overwritten on each file save.


How to Customize File Name Filters

File filters are the list of wild cards in the List Files of Type box on the File Open dialog box. You can add to the default list as follows:

  1. From the Configure menu, choose Preferences. The Preferences dialog box is displayed.
  2. Select the File Name Filters page and Click New. The word New is displayed in the Filters and Description boxes.
  3. Replace this word in the Description box with the text that you would like to describe the filter. e.g. Assembler Files (*.asm, *.inc).
  4. In the Wild Cards box, type the corresponding list of wild cards, separated by semicolons. e.g. *.asm;*.inc.
  5. Click Move Up or Move Down to change the position of this filter in the list.
  6. Click OK.

Note:

The first entry in the list will normally be used as the default each time TextPad starts up. However, if TextPad loaded a workspace when it started, the initial filter will be set to the last one used.


How to Customize File Preferences

You can customize these file settings by choosing Preferences from the Configure menu:

Set this Option: | To Do This:
Number of recent files on File menu. | Set the number of most recently used files on the File menu to between 1 and 16.
Number of recent workspaces on File menu. | Set the number of most recently used workspaces on the File menu to between 1 and 16.
Default file extension. | This string will be used, if you open or save a file using the File Open or Save As dialog boxes, and do not specify a file extension. It must not include spaces or dots.
Overwrite original files directly, when saving changes. | For safety, TextPad can save changes to a temporary file, before deleting the original and renaming the temporary file. This loses the original file creator and attributes. By checking this option, the original file is overwritten, which preserves the creator, at the risk of losing the original file if the save operation fails. This setting is ignored for FAT file systems, which have no concept of a file creator.
Keep files locked while editing them. | Prevent other users from editing a file at the same time as you. They may open it, and save it to another file.
Open locked files read-only. | Prevent you from accidentally making changes to a file that has been locked by another user. You can clear the read-only setting, using the command on the Configure menu, and save your changes to another file.
When files are modified by another process: Prompt, Auto-Reload or Ignore. | If an open file is modified by another process: Prompt will ask if it's OK to reload it; Auto-Reload will reload it automatically, unless it's been modified; Ignore will ignore the change.
Ignore differences in modification times less than 2 seconds. Check for file size changes. | If you get spurious notifications that a file has been modified, try changing these settings. (MS Windows caches remote files and the cached copy can get out of sync with some Netware and Unix file systems.)


How to Customize Folders

These folders, used to store various file types, can be customized using the Folders page of the Preferences dialog box. The default is the "[user profile]\Application Data\TextPad" folder, to conform to the "Designed for Microsoft Windows XP" Application Specification v2.3, and provide support for roaming users.

File Types: | Purpose:
Backup | Backup copies of files. (Can also be configured on the Backup page.)
Clip library (*.TCL) | Personal books of cuttings for the Clip Library.
Custom shortcuts (CUSTOM.BND) | Personal command shortcuts.
Macros (*.TPM) | Personal keystroke macros.
Startup | The initial working directory (defaults to the desktop). This will also be the working directory when no documents are open. Note that this is overridden by the "Working directory follows active document" option on the General page.
User dictionaries (U*.LEX) | Stores words added to the spelling checker.
Syntax | Personal syntax definition files (*.SYN), used for syntax highlighting.
HTTP Root | If you need to edit files in an active local web server (such as MS Personal Web Server), specify the full path to its root directory here. More information.
HTTP IP Address | The IP address of the local web server, in the form: http://a.b.c.d. This defaults to the local host IP address: http://127.0.0.1

To Change a folder:

  1. From the Configure menu, choose Preferences. The Preferences dialog box is displayed.
  2. Choose the Folders page.
  3. Click the folder in the list, and it will be transferred to the edit box.
  4. Either type the new folder name in the edit box, or click the browse button, and select it graphically.
  5. Click Apply, or OK.


How to Customize Fonts

For each document class, you can choose different fonts for the screen and printer and for use with the ANSI and DOS code sets.

  1. From the Configure menu, choose Preferences. The Preferences dialog box is displayed.
  2. Click the "+" next to Document Classes.
  3. Click the "+" next to the class whose font you want to change.
  4. Select "Font".
  5. Set the Scope to Screen, Printer or Both, as appropriate.
  6. Check "Use for DOS files", if you want to select a font for working with files in the DOS code set. This will set the Script to DOS.
  7. Select an appropriate font, style, size and script, from the list boxes.
  8. Verify that the text displayed in the Sample box is satisfactory.
  9. Click Apply.
  10. Repeat from step 5 for each of the four possible fonts that you want to configure.
  11. Click OK.

Notes:

Changes made to the font for the Default document class are propagated to all other document classes.

Checking the DOS box makes no difference to the choice of fonts that are displayed. Its only effect is to specify that the chosen font will be used for documents that are edited in the DOS code set - even if you choose an ANSI font. You can determine the code set of the active document, either by double clicking the message area on the status bar, or by using the Properties command on its context menu.


How to Customize the Keyboard

The shortcuts that are initially assigned to each command depend on the keystroke compatibility selected on the Editor page of the Preferences dialog box. Some commands are only accessible if you assign a shortcut to them, since they do not appear on any of the menus.

You can set your own shortcuts for commands as follows:

  1. From the Configure menu, choose Preferences. The Preferences dialog box is displayed.
  2. Select the Keyboard page.
  3. Select the command category from the list, and the corresponding commands in that category will be displayed.
  4. Select the command you wish to set a shortcut for.
  5. Type the shortcut in the "Press new shortcut key" box. It may consist of one or two characters.
  6. Click the Assign button.

Notes:

  • Once you have customized the keyboard, new shortcuts that we implement in future releases will not be implemented in your custom settings.
  • If a shortcut clashes with any you've created on the Windows desktop, the desktop gets precedence.
  • Shortcuts can use any key, except Ctrl+\, or the lock keys, Tab and Print Screen, in combination with Ctrl, Shift and Alt modifiers.
  • No distinction is made between left and right modifier keys.
  • If you use a single ASCII character, such as "A", as a shortcut, you obviously won't be able to use it in normal typing!
  • Two character shortcuts cannot be created if the first key is unmodified, unless it's a function key.
  • Two character shortcuts are displayed like "Ctrl+Q, B", but the comma is not typed.
  • If the shortcut is currently assigned to another command, it will be displayed below it on the dialog box. If you click Assign, the shortcut will be transferred to the new command.
  • More than one shortcut can be applied to each command, but the shortcut that gets displayed next to the command on its menu is chosen arbitrarily.
  • A shortcut can be removed from the list of current keys for a command, by clicking the Remove button.
  • All shortcuts can be reinstated to the defaults for the selected keystroke compatibility, by clicking the Reset All button.
  • All command shortcuts for the selected category can be displayed in the Command Results window, by clicking the List button.
  • Modified shortcuts are stored in the file CUSTOM.BND in the folder specified on the Folders page of the Preferences dialog box. This file is deleted whenever the compatibility mode is changed, or Reset All is clicked.


How to Customize the Language

To choose a language for the user interface:

  1. From the Configure menu, choose Preferences. The Preferences dialog box is displayed.
  2. Choose the Language page.
  3. Select a language from the list box.
  4. Click OK.

Notes:

  • This affects the language used for menus, dialog boxes, etc, but not the on-line help.
  • You have to restart TextPad after changing the language, before the change takes effect.
  • English is always available, but other languages are stored in DLL's with names of the form "TXPAD???.DLL". For example "???" is "DEU" for German and "FRA" for French.


How to Customize Macro Preferences

You can customize these macro settings by choosing Preferences from the Configure menu, and selecting the Macros page:

Macros Available: lists the macros available in the specified folder, which have not already been selected. Macros are searched for first in the folder specified on the Folders page of the Preferences dialog box, then in the Samples folder.

Macros on menu: lists the macros which have been selected.

Click this button: | To do this:
Add | Add the selected macro from the Available list to the menu.
Remove | Removes the selected macro from the menu, and puts it on the Available list.
Delete | Permanently deletes the macro file.
Move Up | Moves the selected macro up the menu list.
Move Down | Moves the selected macro down the menu list.
Properties | View or change the macro properties.


How to Customize Printing

To choose a particular printer, or to set up the printed page layout for a document class:

  1. From the Configure menu, choose Preferences. The Preferences dialog appears.
  2. Click the "+" next to Document Classes.
  3. Click the "+" next to the particular document class you want to modify.
  4. Select Printing.
  5. To change the printer or page orientation, click the Printer button and the standard Print Setup dialog is displayed. Click its OK button when you have made your selection.
  6. To add a header and/or footer to each printed page, type the required text in the Header and Footer boxes. You can also use header macros to get the file name, date and time:
  7. If you want the times in the header and footer to correspond to the creation time of the file being printed, click File Time, else click Print Time.
  8. To set the page margins, fill in the Left, Right, Top and Bottom boxes. Note that if you set these to less than the minimum that the printer allows, the settings are ignored.
  9. If you want lines that are too long for the page width to be wrapped on to the next line, click the Word Wrap Long Lines box. Otherwise lines that are too long will be truncated.
  10. If you want line numbers to be printed, click the Line Numbers box. This is independent of any setting for line numbering in the view.
  11. If you have a color printer, and want to print with the colors you have selected for the screen, click the In Color box.
  12. Check "Double Space", if you want all lines to be double spaced on the printout.
  13. Check "Restart with default printer", if you want TextPad to revert to using the Windows default printer each time it is started. When checked, any printer selection you make will only remain in force until you exit.
  14. Click OK when you have completed your changes.

Note:

To change the printer or page layout for the document class of the active document, you can also use the Page Setup command on the File menu.

Tip:

To save on paper, use the Print Preview command on the File menu to check that your printer settings are satisfactory.


How to Customize Syntax Highlighting

To customize syntax highlighting for a document class:

  1. Choose Preferences from the Configure menu, and the Preferences dialog box will be displayed.
  2. Click the "+" next to Document Classes.
  3. Click the "+" next to the document class you want to modify.
  4. Select Syntax.
  5. Check "Enable syntax highlighting".
  6. Select a suitable syntax definition file from the list.
  7. Click Apply or OK.

Notes:

  • When selecting and stepping over words, the default set of characters in a word are letters, numbers and those used in keywords in the syntax definition file. If you need to include any others, such as a hyphen, type them in the box labelled "Other characters in words".
  • If a suitable syntax file is not on the list, check if one is available from http://www.textpad.com/add-ons.
  • To create your own syntax definition file, see Syntax Definition Files.
  • To open the selected syntax definition file in an edit window, click the Open button. However, any changes made will not take effect until all documents of that class have been closed. If you do change a file in the SYSTEM or SAMPLES folders, save it to your personal Syntax folder, so that it will not be overwritten by future upgrades.


How to Customize Tab Stops

To set tab stops and indentation for a document class:

  1. Choose Preferences from the Configure menu, and the Preferences dialog box will be displayed.
  2. Click the "+" next to Document Classes.
  3. Click the "+" next to the document class you want to modify.
  4. Select Tabulation.
  5. In the Default tab spacing box, type the character spacing between tab stops.
  6. In the Indent Size box, type the number of columns that the indentation should change by when using the Increase and Reduce Indentation commands.
  7. Check Convert New tabs to Spaces, if you want tabs converted to the equivalent number of spaces.
  8. Check Convert Existing Tabs to Spaces When Saving Files, if you want existing tabs converted to the equivalent number of spaces. This does not make any changes, until a document is saved.
  9. If you want to set tab stops at irregular intervals, type each stop in the Tab Stops box, and click Set for each one. You can add up to 32 tab stops.
  10. Click OK.


How to Customize Toolbars

To change the look of toolbars and control which ones are displayed:

  1. From the View menu, choose Toolbars/Customize. The Customize Toolbars dialog box is displayed.
  2. Click the Toolbars tab.
  3. From the list, select each of the toolbars you want to display. (Click the Commands tab to see which buttons are on each toolbar.)
  4. Check "Show Tooltips", if you would like to see a popup message that describes each button, when you hold the mouse pointer over it.
  5. Check "Cool Look", if you prefer buttons without a border.
  6. Check "Large Buttons", if the standard buttons are tool small to see comfortably.
  7. To create a new toolbar, click "New" and see How to Customize Toolbar Buttons.
  8. To reset a toolbar to its default state, select it from the list, then click the Reset button.


How to Customize the Tools Menu

Customizing the tools menu is a two stage process. First the tool must be added, as described below, then its properties can be modified, as described under How to Customize Tool Properties.

The first stage is to add tools to the menu as follows:

  1. From the Configure menu, choose Preferences. The Preferences dialog box is displayed.
  2. Select "Tools".
  3. Click Add, and choose from the following options on the drop-down menu:
    4. Command: | Action:
Program | Select a program file (*.EXE, *.COM or *.BAT).
DOS Command | Type an internal DOS command, such as DIR.
Online Help File | Select an online help file (*.HLP or *.CHM). When you run such a command, it will display help on the word containing the cursor.
Menu Separator | Add a menu separator.
Java SDK Commands | Add commands to compile and run Java applications and applets. This option is only available if JAVAC.EXE is on your search path, and is not already on the Tools menu.
HTML Validator Commands | Add commands to configure HTML Validator. This option is only available if that application is installed, and the commands are not already on the menu. A command to run HTML Validator is added automatically.

  4. If necessary, rename the tool by clicking it twice, slower than double click speed, and typing the new name. You may insert an "&" before the character you want to use as a menu mnemonic.
  5. If necessary, click the up arrow to move the new tool to the required position on the menu.
  6. Click Apply.

Now, the tool will appear under "Tools" on the tree control on the Preferences dialog box. Select it to customize its properties.


How to Customize Tool Properties

To customize the properties of a tool on the Tools menu:

  1. From the Configure menu, choose Preferences. The Preferences dialog box is displayed.
  2. Click the "+" next to Tools on the dialog box.
  3. Select the tool to display its properties.
  4. Change the following properties, as appropriate:
    5. Property: | Description:
Command | This is the program or help file to run.
Parameters | Parameters to pass to the command. These may include Tool Parameter Macros, such as $File, which is substituted with the full file name of the active document.
Initial folder | The initial working folder of the tool. This may include Tool Parameter Macros, such as $FileDir, which is substituted with the folder of the active document.
Prompt for parameters | If the parameters that the tool requires are not constant, check this box and you will be prompted for the parameters when the tool is started.
Run minimized | Check this option, if you want the tool to run displayed as an icon, or to minimize the Command Results window while the tool is running.
Save all documents first | If the tool will process any of the files you are editing, apart from the active document, check this box. The active document is always saved, if the parameters for the tool include any macros that reference its file name.
Capture output | Check this option for a DOS/console tool, if you want its output to be displayed in the Command Results window, rather than a DOS window.
Suppress output until completed | When this option is checked, the output of the tool is redirected to a file, which TextPad reads into its Command Results window when the tool has finished. This can speed up tools that create a lot of output. This option should also be checked, if the tool never completes when it is not checked.
Close DOS window on exit | Check this option, if the output of a DOS/console tool is not being captured and you do not want the DOS window to remain on the screen after the tool exits.
Sound alert when completed | Check this option, if the output of the tool is captured and you want to hear a beep when it completes. If the tool completes successfully (exit code 0) then the "Asterisk" sound is emitted, otherwise it's the "Exclamation" sound.
Regular expression to match output | See "Compiler Tools", below, for an explanation. For example settings, see Regular Expressions to Match Compilation Errors.

Compiler Tools:

The output from tools, such as compilers, that write error messages which always include the name of a file and a line number, can be used to open the file at the given line number by double clicking the error in the Command Results window. A regular expression that matches the output must be typed in the Regular Expression box, and the file name, line and column registers set to the appropriate values. See Regular Expressions to Match Compilation Errors for more information.

Examples:

  1. Compiling the active file with the JAVA compiler:
    2. Menu text: | Compile JAVA
Command: | JAVAC.EXE
Parameters: | $File
Initial folder: | $FileDir
Capture Output: | (x)

  2. Viewing the active HTML document with Internet Explorer:
    3. Menu text: | View HTML
Command: | IEXPLORE.EXE
Parameters: | -nohome file:$File

  3. Viewing the active HTML document with Netscape:
    4. Menu text: | View HTML
Command: | NETSCAPE.EXE
Parameters: | file://$File


How to Customize View Preferences

You can customize these view settings by choosing Preferences from the Configure menu:

Set this Option: | To Do This:
Popup tips | Display popup help by holding the mouse pointer over a toolbar button, or a control character (shows its decimal code).
Popup names on document selector | Display the full file name of each document, not in the current working folder, when you hold the mouse pointer over it.
Clock | Display the digital clock on the status bar.
Vertical scroll bar | Display a vertical scroll bar in each view.
Horizontal scroll bar | Display a horizontal scroll bar in each view.
Visible alerts | Flash the window whenever the beeper is sounded.
Audible alerts | Enable the sound card or beeper for alerts.
Line numbers | Display line numbers in the left margin of each view. This option changes the default for all documents. Use the command on the View menu to change it for the active document only.
Block cursor | Display the cursor as a block, instead of a vertical bar. The cursor is temporarily changed to the alternate form in overtype mode.
Transparent dialog boxes | Make the Find, Replace and Find in Files dialog boxes semi-transparent, when they do not have input focus. This feature requires Windows™ 2000.
Highlight the line containing the cursor | The active line is highlighted on the display. The highlighting color can be selected for each Document Class.
Stay on top of other windows | Keep the main window on top of all others, even when another application is active.
Minimize when last document is closed | Minimize the main window when the last document is closed. You can override this option by holding the Shift key down when closing the last document.
Full path names on document selector and tabs | Show the path as well as the file name of each document on the Document Selector and Document tabs.
Visible white space | Display graphic characters in place of spaces, tabs and end of line/paragraph.
Tabbed document selector | Control whether it is displayed at the top or bottom of the window, and whether it is stacked or scrolling. Use the command on the View menu to display or hide the tabs.


How to Restrict User Capabilities

TextPad can be configured to restrict the ability of a user to make and save changes, send e-mail, manage files, and work with external tools. The settings must be configured manually with REGEDIT.EXE, so it is important to restrict access to that program.

To set the same capabilities for all users of a PC, create the following key in the registry:

HKEY_LOCAL_MACHINE\Software\Helios\TextPad 4\Policy

Then create a DWORD value under that key, with the name "Capabilities".

To additionally restrict the capabilities of an individual user, except those with Administrator rights, log on as that user, then create a DWORD value called "Capabilities" under the key:

HKEY_CURRENT_USER\Software\Helios\TextPad 4\Policy

(This can also be set by the Administrator, by accessing the same key for each user under HKEY_USERS.)

Each bit of "Capabilities" restricts a different capability, as shown in the following table:

Hex Value: | Capability:
1 | Disallow creation and use of user tools on the Tools menu.
2 | Disallow editing existing files.
4 | Disallow use of the Save As command.
8 | Disallow use of the Manage Files and Explorer commands.
10 | Disallow use of the Send command on the File menu.
20 | Disallow use of the Run command.
40 | Disallow copying to the clipboard and drag and drop editing.
80 | Adhere to Windows group policies (see below).
100 | Restrictions also apply to Administrator.
200 | Disallow use of the File Open command.

Set "Capabilities" to the sum of the values for each capability you want to disallow. The actual value used is the maximum restriction obtained by combining both values in the registry.

Using Windows Group Policies:

TextPad adheres to MS Windows system-level group policies for the following keys: NoRun, NoRecentDocsHistory, NoWelcomeScreen, NoSaveSettings, NoSetTaskbar and NoShellSearchButton.

For example, to disable the Run command, and prevent a user from modifying the Tools menu, set the data value of the NoRun DWORD value to 0x1 in the following registry key:

HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer

That also disables the Run command on the Start menu.


How to Uninstall TextPad

  1. Click the Start menu and select Settings/Control Panel.
  2. Double click Add/Remove Programs.
  3. Select TextPad 4 from the list and click Add/Remove.
  4. Confirm that you want to uninstall TextPad.

A Note about File Associations:

Any file associations that you have made with TextPad will not revert back to their defaults when you uninstall TextPad. If you have previously associated any file extensions with TextPad, and you want to set them back to their default associations at any time:

  1. Run File Manager (WINFILE.EXE)
  2. Select any file with the given extension.
  3. From the File menu, choose the Associate command.
  4. Make the corresponding association from the following table:
.BAT | MS-DOS Batch File
.INF | Setup Information
.INI | Configuration Settings
.REG | Registration Entries
.TXT | Text Document


Year 2000 Compliance

TextPad allows users to insert dates in text files, and in the headers and footers of printouts, but it does not manipulate them in any way, nor store them in a binary form. Dates are displayed using the long and short formats that are configured with the Regional Settings applet on Control Panel.

The date and time are obtained by calling one or more of the following standard Win32 routines:

  • GetSystemTime
  • GetFileTime
  • FileTimeToLocalFileTime
  • FileTimeToSystemTime
  • GetTimeFormat

The only file that TextPad modifies in the WINDOWS and SYSTEM folders is the registry, which it uses to store user preferences, following Microsoft's recommendations.

Hence, as long as the version of MS Windows that TextPad is running on is Year 2000 compliant, TextPad will not cause any problems.


The Status Bar

The status bar is displayed at the bottom of the main window. To display or hide the status bar, use the Status Bar command on the View menu.

The left pane of the status bar describes the actions of menu items as you use the arrow keys to navigate through menus. This area similarly shows messages that describe the actions of toolbar buttons, as you hold the mouse pointer over them.

The right hand panes of the status bar indicate the following information:

Indicator: | Description:
1 | The line number of the cursor.
2 | The column number of the cursor.
Read | When emboldened, the document is read-only, otherwise it is editable.
Ovr | When emboldened, typing will replace existing characters, otherwise the characters will be inserted.
Block | When emboldened, selection will be in column mode.
Sync | When emboldened, synchronized scrolling of all documents is enabled.
Rec | When emboldened, a keystroke macro is being recorded.
Caps | When emboldened, the Caps Lock key is latched down.
3.50pm | The current time. This field is only displayed when enabled on the View page of the Preferences dialog box.

The status bar is active. This means that you can double left click any of its panes (except for Time) to change the indicated state.


The Toolbars

Toolbars are normally displayed across the top of the main window, below the menu bar. They provide quick mouse access to many commands.

To choose which toolbars are visible, use the Toolbars command on the View menu.

To reposition a toolbar, use the mouse to drag its handle (double bar at its top left). Drag it near the main window frame to attach it, or away from it if you want it floating.

To customize the layout of a toolbar, from the View menu, choose Toolbars/Customize. This allows you to drag and drop buttons on toolbars.

The effect of some buttons can be modified by holding the Shift or Ctrl Key down when they are clicked, as shown in this table:

Click | Normal Operation | With Shift | With Ctrl
 | Opens a new document. |  |
 | Opens an existing document using the Open File dialog box, in which you can locate and open the desired file. | Displays the Quick File Open dialog box. |
 | Saves the active document with its current name. If you have not modified or named the document, the Save As dialog box is displayed. | Saves all modified files | Displays the Save As dialog box.
 | Displays the Manage Files dialog box. |  |
 | Prints the active document, using the default printer. | Displays the Print dialog box. | Displays the Configure Printing dialog box.
 | Previews the printed layout of the active document. |  |
 | Checks spelling. |  |
 | Cuts the selection from the document and save it on the clipboard. | Cuts the selection and appends it to existing text on the clipboard. |
 | Copies the selection to the clipboard. | Appends the selection to existing text on the clipboard. |
 | Inserts what's on the clipboard. | Inserts a file. |
 | Cancels (undo) the last edit command. | Undo all edits back to the last save checkpoint. |
 | Cancels (redo) the last Undo command | Redo all edits up to the last save checkpoint. |
 | Reduces indentation of selected text. |  |
 | Increases indentation of selected text. |  |
 | Enables word wrapping. |  |
 | Displays spaces tabs and paragraph marks as visible characters. |  |
 | Displays the Find dialog box. |  |
 | Displays the Replace dialog box. |  |
 | Displays the Find in Files dialog box. |  |
 | Starts the keystroke macro recorder. |  |
 | Temporarily pauses the keystroke macro recorder. |  |
 | Plays back the scratch keystroke macro. | Displays the Playback Macro dialog box. |
 | Jumps to the previous item in the search or command window. |  |
 | Jumps to the next item in the search or command window. |  |
 | Displays a cursor to click on an item you require help on. |  |


The Keyboard

These tables list the default command shortcuts for TextPad. If you have chosen to work in compatibility mode with another application, you can view the shortcuts on the Keyboard page of the Preferences dialog box.

Single Key Shortcuts:

Key | Modifier | Command
A | Ctrl | Select All.
B | Ctrl | Move the cursor back to start of word.
B | Ctrl+Shift | Select back to start of word.
C | Ctrl | Copy selection to clipboard.
C | Ctrl+Shift | Append selection to clipboard.
D | Ctrl | Move cursor back to end of word.
D | Ctrl+Shift | Select back to end of word.
E | Ctrl | Center text.
E | Ctrl+Shift | Right align text.
F | Ctrl | Find next instance of search pattern.
F | Ctrl+Shift | Find previous instance of search pattern.
G | Ctrl | Go to line.
I | Ctrl | Increase indentation.
I | Ctrl+Shift | Reduce indentation.
J | Ctrl | Join selected lines.
J | Ctrl+Shift | Reformat selected lines.
J | Ctrl+Alt | Split word-wrapped lines.
K | Ctrl | Invert case of selection.
L | Ctrl | Convert selection to lower case.
L | Ctrl+Shift | Insert a page break.
M | Ctrl | Find matching { [ (< or >) ] }
M | Ctrl+Shift | Select to matching { [ (< or >) ] }
N | Ctrl | Create a new document.
O | Ctrl | Open a document using the common Open File dialog box.
O | Ctrl+Shift | Open a document by typing its name.
P | Ctrl | Print active document.
P | Ctrl+Shift | Preview the active document as it will print.
Q | Ctrl | Prefix key for two key commands (see below).
R | Ctrl | Playback the scratch macro.
R | Ctrl+Shift | Record a new macro.
S | Ctrl | Save the active document.
S | Ctrl+Shift | Save all documents.
T | Ctrl | Transpose the lines or characters either side of the cursor.
T | Ctrl+Shift | Transpose the words either side of the cursor.
U | Ctrl | Convert selection to upper case.
U | Ctrl+Shift | Convert first character of selection to uppercase and the rest to lower case.
V | Ctrl | Paste text from the clipboard.
V | Ctrl+Shift | Insert the contents of a file at the cursor position.
W | Ctrl | Move cursor forward to start of word.
W | Ctrl+Shift | Select forward to start of word.
X | Ctrl | Cut the selection to the clipboard.
X | Ctrl+Shift | Cut and append the selection to the clipboard.
Y | Ctrl | Redo last Undo.
Y | Ctrl+Shift | Redo all Undos.
Z | Ctrl | Undo last edit.
Z | Ctrl+Shift | Undo all edits.
0 | Alt | Activate the Clip Library.
Break | Ctrl | Stop the tool running in the command window.
Backspace |  | Delete selection, or character before the cursor, (replace it with a space in overtype mode).
Backspace | Ctrl | Delete back to the last start of word.
Delete |  | Delete selection, or character after the cursor.
Delete | Ctrl | Delete forward to the next start of word.
Delete | Ctrl+Shift | Delete to the end of the line.
Delete | Alt | Delete all lines in the document.
End |  | Cursor to end of line.
End | Shift | Select to end of line.
End | Ctrl | Cursor to end of document.
End | Ctrl+Shift | Select to end of document.
End | Alt | Cursor to the last visible line, in the current column, if possible.
Enter |  | Start a new line in an edit document, or do a hypertext jump in a command or search results window.
Enter | Ctrl | Insert new line after current line.
Enter | Ctrl+Shift | Insert new line before current line.
Enter | Alt | Display in-context properties dialog box.
Escape |  | Cancel any existing selection.
Home |  | Cursor to start of line. Press twice to go to the left margin. Reassign this shortcut to "LineLeft" if you always want it to go to the left margin.
Home | Shift | Select to start of line. Press twice to select to the left margin. Reassign this shortcut to "LineLeftSel" if you always want it to select to the left margin.
Home | Ctrl | Cursor to start of document.
Home | Ctrl+Shift | Select to start of document.
Home | Alt | Cursor to the first visible line, in the current column, if possible.
Insert |  | Switch between insert and overtype mode.
Scroll Lock |  | Locks cursor position when scrolling with page up/down keys.
Tab |  | Indent selected lines, or move cursor to next tab stop.
Tab | Ctrl | Next window (same as Ctrl+F6).
Tab | Ctrl+Shift | Previous window (same as Ctrl+Shift+F6).
Tab | Shift | Reduce indentation of selected lines, or move cursor to previous tab stop.
Left Arrow |  | Cursor left one character.
Left Arrow | Shift | Select left one character.
Left Arrow | Ctrl | Cursor left one word.
Left Arrow | Ctrl+Shift | Select left one word.
Right Arrow |  | Cursor right one character.
Right Arrow | Shift | Select right one character.
Right Arrow | Ctrl | Cursor right one word.
Right Arrow | Ctrl+Shift | Select right one word.
Down Arrow |  | Cursor down one line.
Down Arrow | Shift | Select down one line.
Down Arrow | Alt | Cursor down to the start of the next paragraph.
Down Arrow | Alt +Shift | Select to the start of the next paragraph.
Down Arrow | Ctrl | Scroll the view up one line, without moving the cursor.
Up Arrow |  | Cursor up one line.
Up Arrow | Shift | Select up one line.
Up Arrow | Alt | Cursor up to the start of the previous paragraph.
Up Arrow | Alt+Shift | Select to to the start of the previous paragraph.
Up Arrow | Ctrl | Scroll the view down one line, without moving the cursor.
F1 |  | In-context help.
F1 | Ctrl | Display document statistics on status bar.
F1 | Shift | Invoke in-context help cursor.
F2 |  | Go to next bookmark.
F2 | Ctrl | Set or clear a bookmark on the current line.
F2 | Shift | Go to previous bookmark.
F2 | Ctrl+Shift | Clear all bookmarks.
F3 |  | Invoke the Manage Files dialog box.
F3 | Ctrl | Show or hide the Clip Library.
F3 | Alt | Invoke Windows File Manager or Explorer.
F4 |  | Hypertext jump to next item in Search or Command Output window.
F4 | Shift | Hypertext jump to previous item in Search or Command Output window.
F4 | Ctrl | Close the active window.
F5 |  | Invoke the Find dialog box.
F5 | Ctrl | Invoke Find in Files dialog box.
F6 |  | Activate next view.
F6 | Shift | Activate previous view.
F6 | Ctrl | Activate next window.
F6 | Ctrl+Shift | Activate previous window.
F7 |  | Check the spelling of the active document.
F7 | Ctrl | Invoke the Playback Macro dialog box.
F8 |  | Invoke Replace dialog.
F8 | Ctrl | Replace next instance of search pattern.
F9 |  | Sort.
F9 | Ctrl | Compare.
F10 |  | Activate the main menu.
F10 | Shift | Popup the in-context document menu.
F10 | Ctrl | Popup the insert date/time menu.
F11 |  | Invoke the Document Selector.
F11 | Ctrl | Activate the Command Results window.
F11 | Shift | Activate the Search Results window.
F12 |  | Save As.

Two-key Shortcuts:

Keys | Command
Ctrl+Q, B | Switch in and out of block select mode.
Ctrl+Q, E | Switch between read-only and edit modes.
Ctrl+Q, H | Display/hide the horizontal scroll bar.
Ctrl+Q, I | Display/hide visible spaces, tabs and paragraphs.
Ctrl+Q, L | Display/hide line numbers.
Ctrl+Q, P | Display the Preferences dialog box.
Ctrl+Q, R | Set the right margin at the cursor position.
Ctrl+Q, S | Switch in and out of selection mode.
Ctrl+Q, Y | Switch in and out of synchronized scrolling mode.
Ctrl+Q, V | Display/hide the vertical scroll bar.
Ctrl+Q, W | Switch in and out of word-wrap mode.

See Also:

Typing International Characters

Typing Control Characters


The Mouse

Cursor Positioning:

To set the insertion position with the mouse, click the left mouse button when the mouse cursor is at the required character position. You can set it to the start of a line by clicking in the left margin next to the line.

Text Selection:

To do this: | In TextPad Mode: | In MS Compatibility Mode:
Select any text | Click on the first character and drag to the last. | Click on the first character and drag to the last.
Select a single word | Double click on the word. | Double click on the word.
Select an entire line | Double click in the left margin next to the line, or non-word-wrap only: triple click anywhere in the line. | Single click in the left margin next to the line, or non-word-wrap only: triple click anywhere in the line.
Select an entire paragraph | Word-wrap: Triple click anywhere in the paragraph. Non word-wrap: Triple click in the left margin. | Word-wrap: Triple click anywhere in the paragraph. Non word-wrap: Double click in the left margin.
Select the entire document | Press Ctrl and click in the left margin. | Press Ctrl and click in the left margin.
Extend the current selection | Press Shift and click or drag to the new last character position. | Press Shift and click or drag to the new last character position.

In-context Menus:

  • Right click a document to pop up the in-context menu.
  • Ctrl+Right click an edit document to pop up the insert date/time menu.


The Command and Search Results Windows

The Search Results window is used to capture the output of the Find in Files command. Double click any line to open the corresponding file. You can also select a range of lines, right click them, and choose the Open All command to open the selected files.

The Command Results Window is used to capture the output from the Run command, or from tools added to the Tools menu. If the output is from a compiler, or Grep type program, it can be used to hypertext jump directly to the corresponding source line using left double-click. This is configured for each tool using its Tool Properties page on the Preferences dialog box.

These windows use the properties defined for their respective document classes.

Loading a File into the Command Results Window:

If the Command Results to be used for hypertext jumps is written to a file, rather than stdout, it cannot be captured automatically. However, any file can subsequently be loaded into the Command Results window by adding the following command to the Tools menu:

Command: | TYPE
Menu Text: | Load Command Results
Parameters: |
Initial Directory: | (something suitable)
Prompt for Parameters | [X]
Run Minimized: | [X]
Capture Output: | [X]
DOS Command: | [X]
Save files before starting: | [ ]

If the file needs post-processing in any way, use your own filter program, instead of the DOS TYPE command, to write the processed data to stdout.


Tool Parameter Macros

Programs that you add to the Tools Menu can be started with context dependent information using parameter macros. These can be specified in the "Command", "Parameters" and "Initial Directory" fields of the Tools dialog box, and in the Run and Tool Parameters dialog boxes. The following macros are defined:

Macro Name | Expanded String
$File | The fully qualified filename of the current document.
$DOSFile | Same as $File, except that DOS aliases are substituted for any long names in the path, and characters are converted to the DOS (OEM) code set.
$UNIXFile | Same as $File, except any '\' characters are changed to '/'.
$FileName | The simple filename of the current document.
$BaseName | $FileName, stripped of any extension.
$DOSBaseName | Same as $BaseName, except that the DOS alias is substituted for a long file name, and characters are converted to the DOS (OEM) code set.
$WspBaseName | The workspace filename, stripped of any path and extension.
$FileDir | The drive and directory of the current document.
$WspDir | The drive and directory of the current workspace file.
$FilePath | The directory of the current document, stripped of the drive.
$UNIXPath | Same as $FilePath, except any '\' characters are changed to '/'.
$Dir | The current working drive and directory.
$UNIXDir | Same as $Dir, except any '\' characters are changed to '/'.
$Line | The cursor line within the current document
$Col | The cursor column within the current document
$Prompt | Prompt for a parameter to substitute for "$Prompt". If it is followed by a string in brackets, that string will be displayed in the prompt dialog box. E.g. $Prompt(Enter user name:).
$Password | Prompt for a parameter to substitute for "$Password ". The parameter will not be echoed as it is typed If it is followed by a string in brackets, that string will be displayed in the prompt dialog box. E.g. $Password(Enter password:).
$Sel | Selected text in the active document. This is limited to the first line in a multiple-line selection.
$SelLine | The text on the line containing the cursor. This has the side effect of selecting that line.
$SelWord | The word containing the cursor. This has the side effect of selecting that word.
$Clip | Selected text in the active document, or the whole document if nothing is selected, is copied to the clipboard before running the tool. (This is not a real parameter, in that nothing is substituted in the command line.)
$AppWnd | The handle of the main application window. This is a decimal number.
$DocWnd | The handle of the active document's window. This is a decimal number.
$Encoding | The character encoding of the active document. This is in one of the forms: "windows-ddd" (or "cpddd" for DOS), "UTF-8", "UTF-16LE" or "UTF-16BE", where "ddd" is a code page number.

Notes:

  • An empty string replaces any macro that is inappropriate in the current context.
  • Macros can be in any case (eg. $File == $file == $FILE).
  • The macro name can be bracketed to delimit it from subsequent text. (eg. $(Sel)ection), except for $Prompt and $Password.
  • If a filename macro contains spaces when expanded, it will automatically be quoted.
  • Fully qualified is defined to mean drive + path from the root of that drive (e.g. C:\WINDOWS\WIN.INI).
  • In any expression using macros, a non-alphabetic character, or the end of line must terminate each macro.
  • If a tool uses any of the macros $File, $FileName, $UNIXFile or $DOSFile, the active document will be saved prior to running the tool.


Page Header/Footer Macros

The following macros can be used in the Header and Footer boxes in the Configure Printing dialog box:

Use: | To Get:
&n | The normal font for subsequent text.
&b | A bold font for subsequent text.
&i | An italic font for subsequent text.
&I | A bold italic font for subsequent text.
&l | Subsequent text to be left justified.
&c | Subsequent text to be centered (this is the default).
&r | Subsequent text to be right justified.
&d | The current date in Windows short form.
&D | The current date in Windows long form.
&t | The current time in Windows format.
&f | The filename, excluding its path.
&F | The full filename, including its path.
&p | The page number.
&P | The total number of pages.

Note: The format of the date and time can be set using Regional Settings on Control Panel.

Example:

To get a page header that looks like this:

Left | Center | Right
readme.txt | Page 1 of 3 | 07/12/01

Set the header to:

&l&f&c&iPage &p of &P&r&n&d


Regular Expressions
Examples

A regular expression (RE) is a mechanism for describing patterns in text when executing the Find, the Replace, and the Find in Files commands. An RE is made up of ordinary characters, some of which take on the special meanings described below.

See How to Use Regular Expressions for the differences between the default syntax and POSIX syntax.

Ordinary Characters

An ordinary character is an RE that matches itself. It can be any character, except <newline> and the special characters listed below. An ordinary character preceded by a backslash is treated as the ordinary character itself, except when the character is (, ), <, >, or the letters f, n, t and x, or the digits 1 through 9.

Hex Characters

Any character can be represented by its hex value. This is specified with the pattern \xdd, where dd is any 2-digit hexadecimal number, excluding zero.

Tabs

A tab character is represented by the pattern \t.

Page Breaks

A page break (form feed) character is represented by the pattern \f.

Line Breaks

A line break is represented by the pattern \n. This matches carriage return and line feed characters. Note that these cannot be combined with repetition operators (see below), so you can only match an exact number of them (e.g. \n\n will match a single blank line.) Do not use this for constraining matches to the end of a line, as it's much more efficient to use "$" (see Expression Anchoring below). This pattern should only be used to match text that spans line boundaries.

Special Characters

These special characters, can be rendered ordinary by preceding them with a backslash (\), if they are single special characters, or removing the preceding backslash if they are compound special characters.

Character | Context
. [ \ | The period, left square bracket, and backslash are special except when used in a Class Expression.
* ? + | Asterisk, question mark and plus are special except when used in a class expression, as the first character of an RE, or as the first character of a Tagged Expression.
- | The hyphen is special in a Class Expression, except as the first or last character of that expression.
^ | The circumflex is special when used as the first character of an entire RE (see Expression Anchoring), or as the first character of a Class Expression.
$ | The dollar sign is special when used as the last character of an entire RE (see Expression Anchoring).

Wildcard Character

The period (.), when used outside of a class expression, matches any character except newline.

Repetition Operators

The asterisk (*) matches zero or more occurrences of the smallest possible preceding regular expression, while the question mark (?) matches zero or one, and the plus sign (+) matches at least one occurrence. For example, A*b+ matches zero or more A's followed by one or more b's.

Interval Operator

Repeats the smallest possible preceding regular expression the given number of times. The options are:

\{count\} | Matches exactly count times.
\{min,\} | Matches at least min times.
\{min,max\} | Matches between min and max times.

Alternation Operator

The alternation operator (\|) matches either the expression to its left or the one to its right. It has a lower precedence of any other regular expression operator, so the surrounding RE's must be bracketed with \(...\) if only a part of them is to be matched.

Class Expressions

A class expression is a RE, enclosed in square brackets ([…]), that matches any one of the elements contained in the brackets. The permitted elements of a class expression are:

Simple Characters:

These are single characters that match themselves. To match a right square bracket (]), it must be the first character of the class expression, after any initial circumflex (see Negated Class Expressions). To match a hyphen, it must be either the first or the last character of the class expression. For example [AaBb] matches upper or lower case A or B.

Negated Class Expressions:

If the first character of a class expression is the circumflex (^), the expression matches any character not in the class. For example [^AB^] matches any character except A, B and the circumflex itself.

Range Expressions:

A range expression is two characters separated by a hyphen (-). It matches any characters with code points between those of the two characters. For example, [A-Za-z0-9-] matches any upper or lower case letter or digit, or the hyphen itself. Note that [a-z] also matches upper case letters, unless the option to match case is selected.

Character Class Operators:

These can be used as an alternative way of representing classes of characters. For example, [a-z] is equivalent to [[:lower:]] and [a-z0-9] is equivalent to [[:lower:][:digit:]]. (Note the extra pairs of brackets.) The defined classes are:

Expression | Description
[:alpha:] | Any letter.
[:lower:] | Any lower case letter.
[:upper:] | Any upper case letter.
[:alnum:] | Any digit or letter.
[:digit:] | Any digit.
[:xdigit:] | Any hexadecimal digit (0-9, a-f or A-F).
[:blank:] | Space or tab.
[:space:] | Space, tab, vertical tab or form feed.
[:cntrl:] | Control characters (Delete and ASCII codes less than space).
[:print:] | Printable characters, including space.
[:graph:] | Printable characters, excluding space.
[:punct:] | Anything that is not a control or alphanumeric character.
[:word:] | Letters, hypens and apostrophes.
[:token:] | Any of the characters defined on the Syntax page for the document class, or in the syntax definition file if syntax highlighting is enabled for the document class.

Expression Anchoring

An RE can be restricted to matching strings that begin or end a line or word, as follows:

^ | A circumflex as the first character of an RE anchors the expression to the beginning of the line.
$ | A dollar sign as the last character of an RE anchors the expression to the end of the line.
\< | The character pair \< anchors the next RE to the start of a word.
\> | The character pair \> anchors the previous RE to the end of a word.

Tagged Expressions

A tagged expression is an RE that starts with the pair \( and ends with the pair \). There can be up to nine such expressions in a complete RE. Such an expression matches the same as the expression without the surrounding \( and \). The first expression defined in this way can be referenced as \1 later in the RE, and so on up to \9 for the ninth tagged expression. Each such reference matches the same string as its original tagged expression. For example \(tu\) \1 matches the string "tu tu".

References to tagged expressions can also be used in Replacement Expressions.


Replacement Expressions

Replacement expressions are used to substitute text in conjunction with Tagged Regular Expressions, when using the Replace command.

Expression | Definition
& | Substitute the text matching the entire search pattern.
\0 to \9 | Substitute the text matching tagged expression 0 through 9. \0 is equivalent to &.
\f | Substitute a page break (form feed).
\i<expression> | Substitute a sequence number.
\n | Substitute a newline.
\p | Substitute the contents of the clipboard.
\t | Substitute a tab.
\xdd | Substitute the character with hex code dd (must be 2 hex digits, excluding 00).
\u | Force the next substituted character to be in upper case.
\l | Force the next substituted character to be in lower case.
\U | Force all subsequent substituted characters to be in upper case.
\L | Force all subsequent substituted characters to be in lower case.
\E or \e | Turns off previous \U or \L.

To substitute a literal \ or &, use \\ and \&.

Warning:

Beware of replacing a pattern that is matched with a regular expression that can optionally match nothing, such as ".?" or "a*". In these degenerate cases, TextPad can go into a loop, until the line becomes too long.


Syntax Definition Files

Syntax definition files contain the information TextPad uses to highlight keywords in different colors. A standard set is provided for common programming languages, and contributed files are available from the TextPad web site.

If you want to implement syntax highlighting for a document class that has not been catered for, you must create a file of keywords that you want to be colored, as described below, and save it as "myfile.SYN" in the Syntax folder. Note that double byte character sets cannot be used in syntax definition files.

The first line of the file must be one of the following:

  • TEXT=1 means that only URLs will be highlighted. All sections of the syntax definition file are ignored, so do not use this type.
  • C=1 means that full syntax highlighting is available for languages which broadly conform to C syntax. All keywords are in a single namespace, so duplicates are not allowed.
  • HTML=1 means that full syntax highlighting is available for languages which broadly conform to HTML syntax. Keywords are in two namespaces, with tags in one and their attributes in the other. The [i]Namespace1[/i] parameter controls how many of the six [i][Keyword][/i] sections are in the first namespace. Having two namespaces allows keywords such as TITLE, which can be both a tag and an attribute, to be colored according to context.
  • PERL=1 is a variant of C=1, to take account of some peculiarities of Perl syntax.
  • LaTeX=1 is a variant of C=1, to take account of some peculiarities of LaTeX syntax.

We will introduce other grammars as and when necessary.

The rest looks like an .INI file, with the following sections:

  • [Syntax]
  • [Keywords 1]
  • [Keywords 2]
  • [Keywords 3]
  • [Keywords 4]
  • [Keywords 5]
  • [Keywords 6]
  • [Preprocessor keywords]

The [Syntax] section must be first, followed by [Keywords 1]. The other sections are optional. The [Preprocessor keywords] section can only be used when a single character (such as "#") is used to start a statement that is handled by a pre-processor.

Keywords are entered one per line. The split between the keyword sections is arbitrary. You only need to use Keywords 2-6, if you want some keywords in different colors. They are all in the same namespace, unless "HTML=1" is used, when "Namespace1 = n" specifies how many of the keyword sections are in the first namespace, with the remainder in another. This means that the same name can appear in both namespaces when "HTML=1". The pre-processor keywords are always in their own namespace.

You can select the newly created .SYN file using the Preferences command on the Configure menu. It should be displayed in the drop-down list box for Syntax settings, for the new document class you created.

The [Syntax] section must contain the following lines:

  • Namespace1 = a number in the range 1 to 6, which specifies how many of the keyword sections are in the first namespace. There is only one namespace when "C=1" or "LaTeX=1", so this value must be 6. There are two namespaces when "HTML=1", so this value can be between 1 and 5, and defaults to 1. Change it to 2, say, if you want to be able to display HTML tags in two colors, and split the tag keywords between the [Keywords 1] and [Keywords 2] sections, depending on which color you want them in.
  • IgnoreCase = "Yes" if keywords are not case sensitive, otherwise "No".
  • KeyWordLength = the number of characters in each keyword. If this entry is omitted, or set to 0, keywords can be of variable length. It is only required for fixed length keywords that run together, without any delimiters.
  • BracketChars = characters that can be used for brackets.
  • OperatorChars = characters that can be used for operators.
  • PreprocStart = the character used to start a pre-processor statement.
  • HexPrefix = the characters that prefix hexadecimal numbers. If this entry is omitted, it defaults to "0x".
  • SyntaxStart = a string of characters that switch on keyword recognition (e.g. "<"), or leave blank.
  • SyntaxEnd = a string of characters that switch off keyword recognition (e.g. ">"), or leave blank.
  • CommentStart = a string of characters that start a multiple line comment, or leave blank.
  • CommentEnd = a string of characters that end a multiple line comment, or leave blank.
  • CommentStartAlt = an alternative string of characters that start a multiple line comment.
  • CommentEndAlt = an alternative string of characters that end a multiple line comment.
  • SingleComment = a string of characters that start a single line comment (e.g. "//" or "REM"), or leave blank.
  • SingleCommentCol = If a single line comment must start in a specific column, assign the number here. If it must start in the first non-blank column, assign "Leading" here.
  • SingleCommentAlt = an alternative string of characters that start a single line comment (e.g. "//" or "REM"), or leave blank.
  • SingleCommentColAlt = If the alternative single line comment must start in a specific column, assign the number here. If it must start in the first non-blank column, assign "Leading" here.
  • SingleCommentEsc = The character that is used to escape either of the SingleComment strings.
  • StringsSpanLines = "Yes" if strings can continue over line boundaries, otherwise "No". This can be used in conjunction with StringEsc, if the string can only be continued when the new line is escaped with that character.
  • StringStart = The character that indicates the start of a string (e.g. double quote).
  • StringEnd = The character that indicates the end of a string (e.g. double quote).
  • StringAlt = An alternative character that can be used to delimit strings, if the string contains the StringEnd character.
  • StringEsc = The character that is used to escape the StringEnd character, if it is part of a string (e.g. "\").
  • CharStart = The character that is used to start a character literal (e.g. single quote).
  • CharEnd = The character that is used to end a character literal (e.g. single quote).
  • CharEsc = The character that is used to escape the CharEnd character, if it is part of a character literal (e.g. "\").


Command Line Parameters

The command line parameters listed below can be used to start TextPad. They are not case sensitive, but must appear before any file names. Surround any parameters containing spaces with quotation marks ("). Because some of the parameters are mutually exclusive, conflicts are resolved by using the last option specified. Any other parameters are silently ignored. The switch character can be '/' or '-' as shown:

Parameter | Description
-av | Arrange windows vertically tiled.
-ah | Arrange windows horizontally tiled.
-ac | Arrange windows cascaded.
-am | Arrange windows maximized.
-ca | Open any specified file name parameters in the ANSI code set.
-cd | Open any specified file name parameters in the DOS code set.
-i | Start minimized (iconized).
-l# | User interface language, where # is: 7=German, 9=English, 10=Spanish, 12=French, 16=Italian, 17=Japanese, 21=Polish, 25=Russian.
-m | Start another instance, regardless of the setting for "Allow multiple instances".
-ol | Set landscape orientation for printing.
-op | Set portrait orientation for printing.
-p "file" | Print the specified file using default printer.
-q | Don’t display startup "splash" message.
-r | Open any files in the command line as read only.
-s | Started by a DDE shell command.
-t "title" | Append "title" to the main window title bar.
-u filename | Open the file, whose name can contain spaces, but does not need to be quoted.
@filename | Open all the files that are listed, one per line, in the specified file. This overrides the option to load the workspace, specified on the General page of the Preferences dialog box.

Notes:

  • Except when using the -p option, multiple filenames and/or wildcards can follow these command parameters, but they must be quoted to allow for filenames containing spaces.
  • An empty, quoted filename (i.e. "") causes a new document to be created.
  • If the filename to be edited (not printed) is followed by "(<line>[,<col>])", with no intervening spaces, the file will be opened with the cursor at that position. If <line> is a hex number (eg. 0x1a22), a hex view of the file will be created, with the cursor at that address.

eg. TEXTPAD.EXE -ac "Read me.txt"(51,20)

In this example TextPad will start up and open "Read me.txt" at line 51, column 20 and display it in a cascaded window.


DDE Commands

The following DDE commands are recognized. They are all part of the "system" topic.

Command: | Function:
[open("filename")] | Opens the specified file using the default code set.
[opendos("filename")] | Opens the specified file using the DOS (OEM) code set.
[command(Append,"string ")] | Appends the string to the active document.
[command(Insert,"string ")] | Inserts the string at the cursor position.
[command(SaveAs,"filename")] | Saves the active document with the given name.
[command(Save)] | Saves the active document.

These commands must be passed exactly as shown, with no embedded spaces, except in the quotes.

Note that the topic is not used to specify the document, so Append, Save and SaveAs all apply to the active document.


Specifications

  • Conforms to the "Designed for Microsoft Windows XP" Application Specification v2.3.
  • The editor can handle file sizes up to the limits of virtual memory.
  • The number of concurrent edits is limited by available resources.
  • Supports Universal Naming Convention (UNC) style, and long file names with spaces.
  • 16-bit Unicode, UTF-8 and 8-bit text files with single and double byte characters can be edited.
  • DOS, UNIX, Macintosh, Netscape and mixed end of line characters are supported.
  • Text can be in either the ANSI (Windows) or OEM (DOS) code sets.
  • Each document has a single MDI window with up to 4 views.
  • The full range of fonts installed in MS Windows are supported.
  • Up to 32 tab stops can be defined, along with a default tab spacing, and an indent size.
  • Up to 16 (user configurable) most recently used files are listed on the File menu.
  • Up to 64 user-defined commands can be added to the Tools menu.
  • Up to 64 keystroke macros can be added to the Macros menu.


Registration Benefits

This product makes use of the most advanced software technology available today. As the technology improves, so does our software. Your registration fee enables us to keep it at the forefront of technology, so that you continue to benefit from the productivity gains it gives you.

As a registered user, you will receive:

  • A license entitling you to use all future *maintenance releases (which will be made available for downloading from our Internet web site). This license will be e-mailed to you, if you quote your e-mail address with your order.
  • A copy of the latest release of the 32-bit edition on CD-ROM, if you opt to pay extra for the media.
  • The display of your name, company and registration number on the About dialog box.
  • Technical support by e-mail, FAX, or through the mail, at no charge, for at least 101 days.

* We reserve the right to introduce an upgrade charge for major new releases.


How to Order

Registration Instructions:

The registration fee can be paid in UK pounds, or US dollars using a check or credit card.

Value added tax (VAT) is payable by residents of European Community member countries, so payment is required in UK pounds. VAT need not be paid, except in the UK, if you quote your VAT registration number with the order.

We always send an invoice if you specify a company name. Private users can request one by stating "invoice required" in the place of the company name.

If you have already downloaded the latest release, there is no point in paying extra to have the software on media. Just order it at the no media price on the web site, but make sure you clearly state the e-mail address you want your license to be sent to.

Online Ordering

Paying Direct in UK Pounds

Paying Direct in US Dollars by Check

Purchase Orders


Price List

Please see http://www.textpad.com/order/ for latest prices.


END USER LICENSE AGREEMENT FOR HELIOS SOFTWARE SOLUTIONS SOFTWARE.

IMPORTANT - READ CAREFULLY: This Helios Software Solutions End-User License Agreement ("EULA") is a legal agreement between you (either an individual person or a single legal entity, who will be referred to in this EULA as "You") and Helios Software Solutions ("Helios") for the Helios software product that accompanies this EULA, including any associated media, printed materials and electronic documentation (the "Software Product"). The Software Product also includes any software updates, add-on components, web services and/or supplements that Helios may provide to You or make available to You after the date You obtain Your initial copy of the Software Product to the extent that such items are not accompanied by a separate license agreement or terms of use. By installing, copying, downloading, accessing or otherwise using the Software Product, You agree to be bound by the terms of this EULA. If You do not agree to the terms of this EULA, do not install, access or use the Software Product; instead, You should return it, with proof of purchase, to Your place of purchase for a full refund.

SOFTWARE PRODUCT LICENSE

The Software Product is protected by intellectual property laws and treaties. The Software Product is licensed, not sold.

1. GRANT OF LICENSE. This Section of the EULA describes Your general rights to install and use the Software Product. The license rights described in this Section are subject to all other terms and conditions of this EULA.

  • General License Grant to Install and Use Software Product. You may install and use one copy of the Software Product on a single computer, device, workstation, terminal, or other digital electronic device ("Device"). You may make a second copy of the Software Product and install it on a portable Device for the exclusive use of the person who is the primary user of the first copy of the Software Product. A license for the Software Product may not be shared.
  • Alternative License Grant for Storage/Network Use. As an alternative to the rights granted in the previous section, You may install a copy of the Software Product on one storage Device, such as a network server, and allow individuals within Your business or enterprise to access and use the Software Product from other Devices over a private network, provided that You acquire and dedicate a license for the storage Device upon which the Software Product is installed and each separate Device from which the Software Product is accessed and used. A license for the Software Product may not be used concurrently on different Devices unless expressly permitted by this EULA.
  • Site License. For the purposes of this EULA, a "site" is a computer network in a single physical location. If the Software Product is licensed with site license terms specified in the applicable price list or product packaging for the Software Product, you may make, use and install as many additional copies of the Software Product on the number of Client Devices as the site license authorizes. You must have a reasonable mechanism in place to ensure that the number of Client Devices on which the Software Product has been installed does not exceed the number of licenses you have obtained. This license authorizes you to make or download one copy of the Documentation for each additional copy authorized by the volume license, provided that each such copy contains all of the Documentation's proprietary notices.
  • Reservation of Rights. All rights not expressly granted are reserved by Helios.

2. DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS.

  • Copy Protection. The Software Product may include copy protection technology to prevent the unauthorized copying of the Software Product or may require original media for use of the Software Product on the Device. It is illegal to make unauthorized copies of the Software Product or to circumvent any copy protection technology included in the Software Product.
  • Limitations on Reverse Engineering, Decompilation, and Disassembly. You may not reverse engineer, decompile, or disassemble the Software Product, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation.
  • Separation of Component Parts. The Software Product is licensed as a single product. Its component parts may not be separated for use on more than one Device unless expressly permitted by this EULA.
  • Samples. The Software Product may be provided with certain "Samples" intended to demonstrate use of the Software Product or provide a base starting point for use of the Software Product. Samples include macros, clip libraries, syntax definition files, or similar items. If Samples are provided, they are considered part of the Software Product for purposes of this EULA. However, you may use and create derivative works from Samples, provided that you do so in conjunction with your use of the Software Product, and that you maintain any copyright notices that may be incorporated within the Samples.
  • Trademarks. This EULA does not grant You any rights in connection with any trade marks of Helios.
  • No rental, leasing or commercial hosting. You may not rent, lease, lend or provide commercial hosting services to third parties with the Software Product.
  • Support Services. Helios may provide You with support services related to the Software Product ("Support Services"). Use of Support Services is governed by the Helios policies and programs described in the user manual, in "online" documentation, or in other Helios-provided materials. Any supplemental software code provided to You as part of the Support Services are considered part of the Software Product and subject to the terms and conditions of this EULA. You acknowledge and agree that Helios may use technical information You provide to Helios as part of the Support Services for its business purposes, including for product support and development. Helios will not utilize such technical information in a form that personally identifies You.
  • Term. If the Software Product that was distributed to you was labeled as an EVALUATION VERSION or TRY & BUY VERSION (or its functional equivalent) (an "Evaluation Version"), the license granted under this EULA commences upon the installation of the Software Product and is effective for 30 days following the date you install the Software Product (the "Evaluation Term"). Evaluation Version Software Products may include software code intended to disable their functionality after the expiration of the Evaluation Term. You may take no actions to circumvent the operation of such disabling code, and you accept all risks that might arise from such disabling code. If the Software Product was not distributed as an Evaluation Version, or if you converted an Evaluation Version installation of the Software Product to a non-Evaluation Version of the Software Product by authorised use of the conversion mechanism provided with the Software Product (in each case either being or resulting in a "Full-License Version"), the licenses granted under this EULA commence upon the installation of the Software Product and are effective in perpetuity unless terminated per the terms of this Agreement.
  • Software Transfer. You may permanently transfer all of your rights under this EULA (except if your rights are in an Evaluation Version), provided you retain no copies, you transfer all copies of the Software Product (including all component parts, the media and printed materials, any prior versions, and this EULA), and the recipient agrees to be subject to the terms of this EULA. Upon the occurrence of such a transfer, your rights under this EULA terminate immediately.
  • Termination. Upon the expiration of the Evaluation Term (if any), your rights under this EULA terminate automatically without notice. Without prejudice to any other rights, Helios may terminate this EULA if You fail to comply with the terms and conditions of this EULA. In such event, You must destroy all copies of the Software Product and all of its component parts. The terms of this paragraph shall survive any termination of this EULA.

3. UPGRADES.

If the Software Product is labeled as an upgrade, You must be properly licensed to use a product identified by Helios as being eligible for the upgrade in order to use the Software Product. A Software Product labeled as an upgrade replaces or supplements (and may disable) the product that formed the basis for Your eligibility for the upgrade. You may use the resulting upgraded product only in accordance with the terms of this EULA. If the Software Product is an upgrade of a component of a package of software programs that You licensed as a single product, the Software Product may be used and transferred only as part of that single product package and may not be separated for use on more than one Device.

4. INTELLECTUAL PROPERTY RIGHTS. All title and intellectual property rights in and to the Software Product (including but not limited to any images, text, and "applets" incorporated into the Software Product), the accompanying printed materials, and any copies of the Software Product are owned by Helios or its suppliers. All title and intellectual property rights in and to the content that is not contained in the Software Product, but which may be accessed through use of the Software Product, is the property of the respective content owners and may be protected by applicable copyright or other intellectual property laws and treaties. This EULA grants You no rights to use such content. If this Software Product contains documentation that is provided only in electronic form, you may print one copy of such electronic documentation. You may not copy the printed materials accompanying the Software Product.

5. BACKUP COPY. After installation of one copy of the Software Product pursuant to this EULA, you may keep the original media on which the Software Product was provided by Helios solely for backup or archival purposes. Except as expressly provided in this EULA, you may not make copies of the Software Product or the printed materials accompanying the Software Product.

6. U.S. GOVERNMENT LICENSE RIGHTS. The Software Product is commercial computer software developed exclusively at private expense, and in all respects is proprietary data belonging to Helios Software Solutions or its suppliers. The Software Product is comprised of "commercial computer software" and "commercial computer software documentation" as such terms are used in 48 C.F.R § 12.212. Consistent with 48 C.F.R. § 12.212 and 48 C.F.R. § 227.7202-1 through § 227.7202-4, all U.S. Government licensees acquire the Software Product with only those rights set forth in this EULA.

7. APPLICABLE LAW. This Agreement is governed by the laws of England, without reference to conflict of laws principles. The application of the United Nations Convention of Contracts for the International Sale of Goods is expressly excluded. This Agreement sets forth all rights for the user of the Software Product and is the entire agreement between the parties. This Agreement supersedes any other communications with respect to the Software Product. This Agreement may not be modified except by a written addendum issued by a duly authorized representative of Helios. No provision hereof shall be deemed waived unless such waiver shall be in writing and signed by Helios or a duly authorized representative of Helios. If any provision of this Agreement is held invalid, the remainder of this Agreement shall continue in full force and effect. The parties confirm that it is their wish that this Agreement has been written in the English language only.

Should you have any questions concerning these terms and conditions, or if you would like to contact Helios for any other reason, please call +44 (1772) 786373, fax +44 (1772) 786375, or write to: Helios Software Solutions, PO Box 619 Longridge, PR3 2GW, England. http://www.textpad.com.

9. LIMITED WARRANTY. Helios warrants that the SOFTWARE PRODUCT will perform substantially in accordance with the accompanying materials for a period of ninety (90) days from the date of receipt.

If an implied warranty or condition is created by your state/jurisdiction and federal or state/provincial law prohibits disclaimer of it, you also have an implied warranty or condition, BUT ONLY AS TO DEFECTS DISCOVERED DURING THE PERIOD OF THIS LIMITED WARRANTY (NINETY DAYS). AS TO ANY DEFECTS DISCOVERED AFTER THE NINETY (90) DAY PERIOD, THERE IS NO WARRANTY OR CONDITION OF ANY KIND. Some states/jurisdictions do not allow limitations on how long an implied warranty or condition lasts, so the above limitation may not apply to you.

Any supplements or updates to the SOFTWARE PRODUCT, including without limitation, any (if any) service packs or hot fixes provided to you after the expiration of the ninety (90) day Limited Warranty period are not covered by any warranty or condition, express, implied or statutory.

LIMITATION ON REMEDIES; NO CONSEQUENTIAL OR OTHER DAMAGES. Your exclusive remedy for any breach of this Limited Warranty is as set forth below. Except for any refund elected by Helios, YOU ARE NOT ENTITLED TO ANY DAMAGES, INCLUDING BUT NOT LIMITED TO CONSEQUENTIAL DAMAGES, if the Software Product does not meet Helios' Limited Warranty, and, to the maximum extent allowed by applicable law, even if any remedy fails of its essential purpose. The terms of Section 11 below ("Exclusion of Incidental, Consequential and Certain Other Damages") are also incorporated into this Limited Warranty. Some states/jurisdictions do not allow the exclusion or limitation of incidental or consequential damages, so the above limitation or exclusion may not apply to you. This Limited Warranty gives you specific legal rights. You may have others which vary from state/jurisdiction to state/jurisdiction.

YOUR EXCLUSIVE REMEDY. Helios' and its suppliers' entire liability and your exclusive remedy shall be, at Helios' option from time to time exercised subject to applicable law, (a) return of the price paid (if any) for the Software Product, or (b) repair or replacement of the Software Product, that does not meet this Limited Warranty and that is returned to Helios with a copy of your receipt. You will receive the remedy elected by Helios without charge, except that you are responsible for any expenses you may incur (e.g. cost of shipping the Software Product to Helios). This Limited Warranty is void if failure of the Software Product has resulted from accident, abuse, misapplication, abnormal use or a virus. Any replacement Software Product will be warranted for the remainder of the original warranty period or thirty (30) days, whichever is longer. Neither these remedies nor any product support services offered by Helios are available without proof of purchase from an authorized source. To exercise your remedy, contact: Helios Software Solutions, PO Box 619 Longridge, PR3 2GW, England.

10. DISCLAIMER OF WARRANTIES. THE LIMITED WARRANTY THAT APPEARS ABOVE IS THE ONLY EXPRESS WARRANTY MADE TO YOU AND IS PROVIDED IN LIEU OF ANY OTHER EXPRESS WARRANTIES (IF ANY) CREATED BY ANY DOCUMENTATION OR PACKAGING. EXCEPT FOR THE LIMITED WARRANTY AND TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, HELIOS AND ITS SUPPLIERS PROVIDE THE SOFTWARE AND SUPPORT SERVICES (IF ANY) AS IS AND WITH ALL FAULTS, AND HEREBY DISCLAIM ALL OTHER WARRANTIES AND CONDITIONS, EITHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, ANY (IF ANY) IMPLIED WARRANTIES, DUTIES OR CONDITIONS OF MERCHANTABILITY, OF FITNESS FOR A PARTICULAR PURPOSE, OF ACCURACY OR COMPLETENESS OR RESPONSES, OF RESULTS, OF WORKMANLIKE EFFORT, OF LACK OF VIRUSES AND OF LACK OF NEGLIGENCE, ALL WITH REGARD TO THE SOFTWARE, AND THE PROVISION OF OR FAILURE TO PROVIDE SUPPORT SERVICES. ALSO, THERE IS NO WARRANTY OR CONDITION OF TITLE, QUIET ENJOYMENT, QUIET POSSESSION, CORRESPONDENCE TO DESCRIPTION OR NON-INFRINGEMENT WITH REGARD TO THE SOFTWARE.

11. EXCLUSION OF INCIDENTAL, CONSEQUENTIAL AND CERTAIN OTHER DAMAGES. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT SHALL HELIOS OR ITS SUPPLIERS BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT, OR CONSEQUENTIAL DAMAGES WHATSOEVER (INCLUDING, BUT NOT LIMITED TO, DAMAGES FOR LOSS OF PROFITS OR CONFIDENTIAL OR OTHER INFORMATION, FOR BUSINESS INTERRUPTION, FOR PERSONAL INJURY, FOR LOSS OF PRIVACY, FOR FAILURE TO MEET ANY DUTY INCLUDING OF GOOD FAITH OR OF REASONABLE CARE, FOR NEGLIGENCE, AND FOR ANY OTHER PECUNIARY OR OTHER LOSS WHATSOEVER) ARISING OUT OF OR IN ANY WAY RELATED TO THE USE OF OR INABILITY TO USE THE SOFTWARE PRODUCT, THE PROVISION OF OR FAILURE TO PROVIDE SUPPORT SERVICES, OR OTHERWISE UNDER OR IN CONNECTION WITH ANY PROVISION OF THIS EULA, EVEN IN THE EVENT OF THE FAULT, TORT (INCLUDING NEGLIGENCE), STRICT LIABILITY, BREACH OF CONTRACT OR BREACH OF WARRANTY OF HELIOS OR ANY SUPPLIER, AND EVEN IF HELIOS OR ANY SUPPLIER HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

12. LIMITATION OF LIABILITY AND REMEDIES. NOTWITHSTANDING ANY DAMAGES THAT YOU MIGHT INCUR FOR ANY REASON WHATSOEVER (INCLUDING, WITHOUT LIMITATION, ALL DAMAGES REFERENCED ABOVE AND ALL DIRECT OR GENERAL DAMAGES), THE ENTIRE LIABILITY OF HELIOS AND ANY OF ITS SUPPLIERS UNDER ANY PROVISION OF THIS EULA AND YOUR EXCLUSIVE REMEDY FOR ALL OF THE FOREGOING (EXCEPT FOR ANY REMEDY OF REPAIR OR REPLACEMENT ELECTED BY HELIOS WITH RESPECT TO ANY BREACH OF THE LIMITED WARRANTY) SHAL BE LIMITED TO THE GREATER OF THE AMOUNT ACTUALLY PAID BY YOU FOR THE SOFTWARE OR U.S. $5.00. THE FOREGOING LIMITATIONS, EXCLUSIONS AND DISCLAIMERS (INCLUDING SECTIONS 7, 8, AND 9 ABOVE) SHALL APPLY TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, EVEN IF ANY REMEDY FAILS ITS ESSENTIAL PURPOSE.

13. ENTIRE AGREEMENT. This EULA (including any addendum or amendment to this EULA which is included with the Software Product) is the entire agreement between you and Helios relating to the Software Product and the support services (if any) and they supersede all prior or contemporaneous oral or written communications, proposals and representations with respect to the Software Product or any other subject matter covered by this EULA. To the extent the terms of any Helios policies or programs for support services conflict with the terms of this EULA, the terms of this EULA shall control.


Distribution of Evaluation Version

Provided that you verify that you are distributing the evaluation version (select About from the TextPad Help menu to check) you are hereby licensed to make as many copies of the evaluation version of this software and documentation as you wish; give exact copies of the original evaluation version to anyone; and distribute the evaluation version of the software and documentation in its unmodified form via electronic means. There is no charge for any of the above.

You are specifically prohibited from charging, or requesting donations, for any such copies, however made; and from distributing the software and/or documentation with other products (commercial or otherwise) without prior written permission.

Obtaining the Latest Version:

Before distributing TextPad please verify that you have the latest version. This is always available from http://www.textpad.com.

The normal filenames for TextPad 4.1 are:

  • txpeng41.exe - English language edition
  • txpfra41.exe - French language edition
  • txpdeu41.exe - German language edition
  • txpita41.exe - Italian language edition
  • txpjpn41.exe - Japanese language edition
  • txpesp41.exe - Spanish language edition
  • txpptb41.exe - Portuguese language edition
  • Note that all editions of TextPad include the English language user interface.

Suggested One-Line Program Description:

A powerful and easy to use editor for plain text files.

Suggested Description:

TextPad is a powerful and easy to use editor for plain text files. It can be used for anything from a direct replacement for Notepad to a programmer’s integrated development environment.

Command shortcuts can be modified to taste, with emulations provided for WordStar, BRIEF, and Microsoft applications. In-context help is available for all commands, and in-context menus pop-up with the right mouse button. Use of the standard Multiple Document Interface (MDI) allows many files to be edited simultaneously, with up to 4 views on each file. Text can be dragged and dropped between files, and to other applications.

In addition to the usual cut and paste facilities, you can correct the most common typing errors with commands to change case, and transpose words, characters and lines. Other commands let you indent blocks of text, reformat paragraphs, and insert whole files. Any change can be undone or redone, right back to the first one made. Visible bookmarks can be put on lines, and edit commands can be applied to all lines with bookmarks. Frequently used combinations of commands can be saved as keystroke macros.

The spelling checker has dictionaries for 13 languages, and additional dictionaries can be created from word list files. Words can be added to the standard dictionaries, as they arise, or can be imported from a word list file.

For purposes such as software development, TextPad has a customizable tools menu, and integral file compare and search commands. The output of user defined tools can optionally be captured in the Command Results window. By defining an appropriate search pattern to match the error output of tools such as compilers, the source file can be opened at the corresponding line, by double clicking the error message.

Requirements:

TextPad 4.1 requires Windows 95, Windows 98, or Windows NT 3.51 or later.

Registration:

$27 USD for a single-user license.

Author:

Helios Software Solutions, PO Box 619, LONGRIDGE, PR3 2GW, England

E-mail: info@textpad.com

Web: http://www.textpad.com


Definition of Shareware

Shareware distribution gives users a chance to try software before buying it. If you try a shareware program and continue using it, you are expected to register. Individual programs differ on details -- some request registration while others require it, some specify a maximum trial period. With registration, you get anything from the simple right to continue using the software to an updated program with printed manual.

Copyright laws apply to both shareware and commercial software, and the copyright holder retains all rights, with a few specific exceptions as stated below. Shareware authors are accomplished programmers, just like commercial authors, and the programs are of comparable quality. (In both cases, there are good programs and bad ones!) The main difference is in the method of distribution. The author specifically grants the right to copy and distribute the software, either to all and sundry or to a specific group. For example, some authors require written permission before a commercial disk vendor may copy their shareware.

Shareware is a distribution method, not a type of software. You should find software that suits your needs and pocketbook, whether it's commercial or shareware. The shareware system makes fitting your needs easier, because you can try before you buy. And because the overhead is low, prices are low also. Shareware has the ultimate money-back guarantee -- if you don't use the product, you don't pay for it.


Association of Shareware Professionals

Helios Software Solutions is an approved vendor and associate member of the Association of Shareware Professionals (ASP).

The primary goals of the ASP include:

o To inform users about shareware programs and about shareware as a method of distributing and marketing software.

o To foster a high degree of professionalism among shareware authors by setting programming, marketing, and support standards for ASP members to follow.

o To encourage broader distribution of shareware through user groups and disk dealers who agree to identify and explain the nature of shareware.

o To assist members in marketing their software.

o To provide a forum through which ASP members may communicate, share ideas, and learn from each other.

The Association of Shareware Professionals have drafted a code of ethics for all present and future members. This code of ethics includes the following requirements:

o A member's program (evaluation version) must not be limited (crippled) in any way. In the true spirit of Try-Before-You-Buy, users must be able to evaluate all the features in a program before paying the registration fee.

o Members must respond to every registration. At the very least they must send a receipt for the payment.

o Members must provide technical support for their products for at least 90 days from the date of registration.

The ASP has put in place a system to help ensure that users are treated fairly and professionally. If a user is unable to resolve a problem with a member author then the user can contact the ASP Ombudsman with their complaint. The Ombudsman will then try to help resolve the dispute.

ASP Ombudsman Statement:

Helios Software Solutions is a member of the Association of Shareware Professionals (ASP). ASP wants to make sure that the shareware principle works for you. If you are unable to resolve a shareware-related problem with an ASP member by contacting the member directly, ASP may be able to help. The ASP Ombudsman can help you resolve a dispute or technical problem with an ASP member, but does not provide technical support for members' products. Please contact the ASP Ombudsman online at http://www.asp-shareware.com/omb.


Helios Software Solutions

Postal Address:

Helios Software Solutions
PO Box 619
LONGRIDGE
PR3 2GW
England

Tel: +44 (1772) 786373
Fax: +44 (1772) 786375
Web: http://www.textpad.com

Internet Addresses:

  • Sales: sales@textpad.com
  • Support: www.textpad.com/support/


Acknowledgments for TextPad 4

We would like to acknowledge the invaluable assistance in developing TextPad 4 that we have had from the following enthusiastic users:

Jeffrey R. Almasol | Michael Gilmore | Nina Nussbaum-Jones
Mike Alsup | Lars Gregersen | Philip Nye
Daniel Beckham | Markus Gubick | Takayuki Y Okada
Pierre Bilodeau | Ciaran Gultnieks | Felix Petriconi
Eric Bouchard | Thomas Hendel | Justin Phillips
Gerald Butterwegge | Maynard Hogg | Michael Puckett
Stuart Campbell | Nathan Hokanson | Sven L L Rafferty
Scott Childress | Nick Hundley | Doug Robbins
Chris Cobb | Alan G. Isaac | Derek Roberts
Mike Depot | Jan Kempenaers | Gary Schwartz
Jeff Donnici | Tad Kershner | Claude Semay
Mike Doty | Patrick Ben Koetter | Clemens Sietas
Daniel Edwards | Flemming Krogsgaard | Jan G.P. Sijm
Zaïd El-Hoiydi | Leif Larsson | Joey Smith
Mike Elvers | Sean Lee | Paul Smith
Myrddin Emrys | Christopher Locke | Erland Sommarskog
Jeffrey Epstein | Morley Lymburner | Tim Stewart
Augustin Filip | Steve McKay | Fredrik Wahlberg
Skip Gaede | Marco Montagnana | Christophe Wegmuller
George Ghali | Brian Murphy | Clive Wilson
 |  | Dewayne Zingarelli

The Dutch User Interface:

Grateful thanks to Frank Fesevur for this translation.

The French Edition:

Grateful thanks to Philippe Cailliau for translating both the user interface and the online help.

Updating the German User Interface:

Particular thanks to Gerald Butterwegge, for the conversion to the "Rechtschreibreform" spelling, and for cleaning up the translation.

Thanks also to Lena Hoppe, Patrick Koetter and Thomas Hendel.

Updating the Italian User Interface:

Grateful thanks to Sergio Marchi for this translation, and to Marco Montagnana for proof reading it.

The Japanese Edition:

Grateful thanks to Takayuki Y Okada for translating both the user interface and the online help.

The Polish User Interface:

Grateful thanks to Romuald Pawlikowski for this translation.


Acknowledgments for Previous Releases

We would like to acknowledge the invaluable assistance in developing TextPad that we have had from the following enthusiastic users:

Jeffrey R. Almasol | Lars Gregersen | Nicholas James Rally
Michael Aloof | Troy Hester | Bill Rick
Dorr Altizer | Mike Hopper | Jeff Russell
Preston L. Bannister | Gareth V Hughes | Jeroen Schipper
Jason Barstow | Alan G. Isaac | Stephan Schulz
Pierre Bilodeau | Christopher Locke | Neil Sleightholm
Douglas C. Borg | Mark MacKay | Ken Vogt
Paul C. Bryan | Mike Mojica | Mark G. Webb
Gerald Butterwegge | Marco Montagnana | Thomas Weiss
Stuart E. Campbell | Mans Ohrstrom | Matthew Ian Winter
Marcus R. Cooman | Jim Orton |
Morton A. Goldberg | Andrew Pickering |

Proof reading the French User Interface:

Philippe Cailliau

Proof reading the German User Interface:

Antony Georg Arendt (http://www.arendt.com/)

Simon Brückner

Gerald Butterwegge

Wieland Gerhardt

Arndt Grass

Edward Stumpf

Klaus-Peter Webersinke

Proof reading the Italian User Interface:

Marco Montagnana

Michele Cappellari

Aristide Luca Ceccanti

Proof reading the Spanish User Interface:

Luis M. García-Barrio

Ignacio Rodriguez Diaz

José Sánchez del Pozo

Proof reading the Portuguese User Interface:

Adão Crespo

Juarez Rudsatz

The Polish User Interface:

Grateful thanks to Piotr Ingling (mailto:pingling@elka.pw.edu.pl) for contributing this translation.

The Russian User Interface:

Grateful thanks to Alexey Agafonow (mailto:aav@eurosoft.ru) for contributing this translation.


(Untitled)

File Open dialog box

The following options allow you to specify which file to open:

File Name

Type or select the filename you want to open. This box lists files with the extension you select in the List Files of Type box.

List Files of Type

Select the type of file you want to open:

Drives

Select the drive containing the file that you want to open.

Directories

Select the directory containing the file that you want to open.

Network...

Choose this button to connect to a network location, assigning it a new drive letter.


(Untitled)

File Save As dialog box

The following options allow you to specify the name and location of the file you're about to save:

File Name

Type a new filename, to save a document with a different name.

Drives

Select the drive in which you want to store the document.

Directories

Select the directory in which you want to store the document.

Network...

Choose this button to connect to a network location, assigning it a new drive letter.


Print Setup

Print dialog box

The following options allow you to specify how the document should be printed:

Printer

This is the active printer and printer connection. Choose the Setup option to change the printer and printer connection.

Setup

Displays the Printer Properties dialog box, so you can select a printer and printer connection.

Print Range

Specify the pages you want to print:

All | Prints the entire document.
Selection | Prints the currently selected text.
Pages | Prints the range of pages you specify in the From and To boxes.

The default action is to print all pages in the specified range, but you can choose to print just the odd or even pages, if you want to print on both sides of the paper.

Copies

Specify the number of copies you want to print for the above page range.

Collate Copies

Prints copies in page number order, instead of separated multiple copies of each page.

Print Quality

Select the quality of the printing. Generally, lower quality printing takes less time to produce.


(Untitled)

Print Progress Dialog

The Print Progress dialog box is shown during the time that TextPad is sending output to the printer. The page number indicates the progress of the printing.

To abort printing, choose Cancel.


(Untitled)

Print Setup dialog box

The following options allow you to select the destination printer and its connection.

Printer

Select the printer you want to use. Choose the Default Printer; or choose the Specific Printer option and select one of the current installed printers shown in the box. You install printers and configure ports using the Windows Control Panel.

Orientation

Choose Portrait or Landscape.

Paper Size

Select the size of paper that the document is to be printed on.

Paper Source

Some printers offer multiple trays for different paper sources. Specify the tray here.

Options

Displays a dialog box where you can make additional choices about printing, specific to the type of printer you have selected.

Network...

Choose this button to connect to a network location, assigning it a new drive letter.


(Untitled)

No Help Available

No help is available for this message box.


Print Preview toolbar

The print preview toolbar offers you the following options:

Print

Bring up the print dialog box, to start a print job.

Next Page

Preview the next printed page.

Prev Page

Preview the previous printed page.

One Page / Two Page

Preview one or two printed pages at a time.

Zoom In

Take a closer look at the printed page.

Zoom Out

Take a larger look at the printed page.

Close

Return from print preview to the editing window.


(Untitled)

Title Bar

The title bar is located along the top of a window. It contains the name of the application and document.

To move the window, drag the title bar. Note: You can also move dialog boxes by dragging their title bars.

A title bar may contain the following elements:

  • Application Control-menu button
  • Document Control-menu button
  • Maximize button
  • Minimize button
  • Name of the application
  • Name of the document
  • Restore button


(Untitled)

No Help Available

No help is available for this area of the window.


(Untitled)

Close command (Control menus)

Use this command to close the active window or dialog box.

Double-clicking a Control-menu box is the same as choosing the Close command.

Shortcuts

Keyboard: Ctrl+F4 closes a document window

ALT+F4 closes the main window or a dialog box


(Untitled)

Maximize command (System menu)

Use this command to enlarge the active window to fill the available space.

Shortcut

Mouse:Click the maximize icon [image] on the title bar; or double-click the title bar.

Keyboard: Ctrl+F10 enlarges a document window.


System Minimize Command

Minimize command (application Control menu)

Use this command to reduce the window to an icon.

Shortcut

Mouse:Click the minimize icon [image] on the title bar.

Keyboard: ALT+F9


(Untitled)

Move command (Control menu)

Use this command to display a four-headed arrow so you can move the active window or dialog box with the arrow keys.

Note: This command is unavailable if you maximize the window.

Shortcut

Keyboard: Ctrl+F7


(Untitled)

Next Window command (document Control menu)

Use this command to switch to the next open document window. This corresponds to the order in which you opened the windows.

Shortcut

Keyboard: Ctrl+F6


(Untitled)

Previous Window command (document Control menu)

Use this command to switch to the previous open document window. This corresponds to the order in which you opened the windows.

Shortcut

Keyboard: SHIFT+Ctrl+F6


(Untitled)

Restore command (Control menu)

Use this command to return the active window to its size and position before you chose the Maximize or Minimize command.


(Untitled)

Size command (System menu)

Use this command to display a four-headed arrow so you can size the active window with the arrow keys.

After the pointer changes to the four-headed arrow:

  1. Press one of the DIRECTION keys (left, right, up, or down arrow key) to move the pointer to the border you want to move.
  2. Press a DIRECTION key to move the border.
  3. Press ENTER when the window is the size you want.

Note: This command is unavailable if you maximize the window.

Shortcut

Mouse:Drag the size bars at the corners or edges of the window.


(Untitled)

Switch to command (application Control menu)

Use this command to display a list of all open applications. Use this "Task List" to switch to or close an application on the list.

Shortcut

Keyboard: Ctrl+ESC

Dialog Box Options

When you choose the Switch To command, you will be presented with a dialog box with the following options:

Task List

Select the application you want to switch to or close.

Switch To

Makes the selected application active.

End Task

Closes the selected application.

Cancel

Closes the Task List box.

Cascade

Arranges open applications so they overlap and you can see each title bar. This option does not affect applications reduced to icons.

Tile

Arranges open applications into windows that do not overlap. This option does not affect applications reduced to icons.

Arrange Icons

Arranges the icons of all minimized applications across the bottom of the screen.


(Untitled)

Scroll bars

Displayed at the right and bottom edges of the document window. The scroll boxes inside the scroll bars indicate your vertical and horizontal location in the document. You can use the mouse to scroll to other parts of the document.


How to View Document Properties

You can view the properties of the active document using either of the following methods:

  1. From the View menu, choose Properties.
  2. Right click the document and choose Properties from the context menu.
Property: | Notes:
Full name | Shows the fully qualified file name. You may need to scroll to the end if the name is longer than the available display space.
Characters | Shows the number of characters in the document and the current selection.
Words | Shows the number of words in the document and the current selection. A word is composed of letters, numbers, hyphens, underscores and apostrophes.
Lines | Shows the number of lines in the document and the current selection. Note that a word-wrapped line is counted as a single line.
Code set | This can be ANSI, DOS, UTF-8, Unicode or Binary
File type | This can be PC, UNIX, Mac, Netscape or Unknown.
File size | The number of bytes in the document.
Last saved at | Shows the date and time that the document was last written to its disk file.


Document Properties

Set this Option: | To Do This:
Maintain indentation | Automatically indent each new line by the same amount as the preceding line.
Automatically indent blocks | Indent a new line following a line ending with {, and reduce the indentation of a } on a line on its own. Maintain Indentation must also be set.
Word wrap long lines | Word-wrap lines that are wider than the view, or than the column specified for hard breaks.
Include trailing spaces when selecting words | When a word is selected, typically by double left clicking it, include trailing spaces in the selection.
Strip trailing spaces from lines when saving | Strip trailing spaces and tabs from each line as the file is saved.
View in web browser | Adds commands to the View and context menu to view documents in the default web browser.
Write Unicode and UTF-8 BOM | See www.unicode.org/unicode/faq/utf_bom.html
Save with no breaks in lines | Save word-wrapped documents without actually breaking the lines as wrapped.
Save with hard breaks | Insert new line characters at line breaks, when saving word-wrapped documents.
Check spelling of comments and strings. | When syntax highlighting is enabled, and the syntax of comments and strings has been defined, check these options if you want them to be spell checked. Note: comments are often used to hide Java scripts in HTML documents, so it is inadvisable to enable spell checking for them.
Check spelling of words with underscores. | Check this option, if you have added your own lists of words with embedded underscores to the dictionary.
Default code set | Set the default code set used. Click DOS if you want to use most of your text files with DOS applications, otherwise click ANSI or UTF-8. This setting is used for new documents, dropped files, and files opened by double clicking, but can be overridden for individual files on the Open File dialog box.
Create new files as | Set the default end of line characters saved with new files for PC, UNIX or Mac systems.
Word break at column # | Wrap lines at the specified column position, otherwise fit to the current view.
Apply these settings to all document classes | Propagate the configuration of this document class to all other document classes.

See also: How to Customize Document Properties


Delete/Touch Dialog Box

This dialog box appears when you click Delete or Touch on the Manage Files dialog box.

Confirm that the files in the edit box are what you want, and edit them if necessary. Then click OK.


Copy/Rename/Move Dialog Box

This dialog box appears when you click Copy or Rename on the Manage Files dialog box.

Confirm that the files in the From box are what you want, and edit them if necessary, then type the destination file name, wild card or directory name in the To box.

The Browse button brings up the standard Open File dialog box, so that you can select the destination file name.


Manage Files Dialog Box

Use the manage Files dialog to:

Copy Files

Delete Files

Rename Files

Update Timestamps of Files

The Browse button brings up the standard Open File dialog box, so that you can select the file or files you want to manage.

Shortcuts:

Keyboard: F3


Fill Selected Block Dialog Box

This dialog box appears when you choose the Fill Block command from the Edit menu.

Type in the character or characters that you want to fill the current block selection with. You can fill with tabs by entering ‘\t’ as the fill character. If you actually want to fill with ‘\t’, enter it as ‘\\t’.


Go To Address dialog box

This dialog box is displayed when you choose the Go To Address command from the Search menu in Hex views.

Type the required hexadecimal offset in the file in the Go To Address box, and click Go To.

Shortcuts:

Keyboard: Ctrl+G


Go To dialog box

This dialog box is displayed when you choose the Go To command from the Search menu.

Type the required number in the edit box, and click Go To. You can specify that the number represents a line, column, page or byte offset in the file. If you make the number signed, it will be interpreted as an offset relative to the current position.

You can also use this command to go to the next bookmark. In this case, the number in the edit control is ignored.

If you want to select everything between the current position and the specified offset, check the Extend Selection box.

The parameters that you set can be recorded in keystroke macros.

Shortcuts:

Keyboard: Ctrl+G


Prompt for Input Dialog Box

This dialog appears when input is required to complete a command.

Type the requested text in the edit box, and click OK.


Quick Open File Dialog Box

This dialog box allows you to open a file, when you do not need the browsing capabilities of the standard Open File dialog box, and you are willing to type the file name.

Use Ctrl+Shift+O to bring up this dialog box. There is no menu or toolbar equivalent command.

It accepts single filenames, wildcards, or files specified as "@filename", where "filename" is the name of a file containing a list of files to open, one per line. In all cases, UNIX or DOS path separators may be used.

If you don't type an extension, the default extension (if any), specified on the File page of the Preferences dialog box, will be appended. If you don't want an extension, either type a trailing ".", or quote the file name.

If you check "Search subfolders", TextPad will open all files matching the name in the current folder, and all its subfolders.

Click the Browse button to get the standard Open File dialog box.


Tip of the Day Dialog Box

This dialog box is displayed when the program starts up, or when you choose the Tip of the Day command from the Help menu.

Click the Next Tip button, if you want to see each tip in turn, and click Close when you've finished. You can stop the dialog box being displayed automatically by clearing the "Show tips on startup" check box.


Tool Parameters Dialog Box

This dialog appears when you choose a user tool from the Tools menu and you checked the Prompt for Parameters box when you configured this tool.

Type any parameters that the program requires in the Parameters box, and click OK.


Why doesn't .HTML or .JAVA work as a default file extension?

If you set the default file extension to .JAVA or .HTML, and save a new file without specifying the extension, you only get a 3-character extension. This is due to a bug in Windows 95. The workaround is to type the extension yourself, or use Windows 98 instead of Windows 95.


Why is the diskette drive accessed when I run a tool from the Tools menu?

This happens when "Capture output" is checked for the tool, and you are running an active virus checker. Another symptom is that no output is captured.

To work around this, either disable the virus checker or check "Suppress output until completed" on the property page for the tool.


Why doesn't TextPad preserve the original file's creator (and UNIX access modes) when it saves changes?

For safety, TextPad normally saves changes to a temporary file, before deleting the original. This loses the original file's creator on file systems (such as NTFS) that maintain such information. There is an option on the File page of the Preferences dialog box to change this behavior. When selected, the original file is overwritten, which preserves the creator, at the risk of losing the original file if the save operation fails.


Why do I get an error message about CTL3DV2.DLL or CTL3D32.DLL?

These dynamic link libraries must be installed in your Windows system directory only. If you also have a copy in the TextPad installation directory, or anywhere on your search path, it will notify you that it has failed to load. The effect is that you will not get 3-D dialogs on Windows 3.1 or NT 3.51. (Windows 95 and NT 4 do not use the DLL's.) The solution is to delete all other copies of these DLL's.


Why does it take a long time to open small files?

Symptom: double click a file in Explorer and TextPad takes up to 10 seconds to open it.

Cause: another application is blocking DDE messages. Known culprits are Outlook 2000, in workgroup mode, and Lotus Notes.

Solutions:

  1. Close the offending application. With Outlook 2000, the problem does not start until it has been used to send and receive e-mail. The delay also occurs when you click on a URL in an e-mail message, before Internet Explorer bursts into life.
  2. Turn off the "Use DDE" option for files associated with TextPad, by editing the association in Explorer. The command line must then be amended by appending the parameter "%1", so that it reads:
    "C:\Program Files\TextPad 4\TextPad.exe" -s "%1"


Why can't I delete a folder after I have edited a file in it?

Windows does not allow you to delete a folder, if any application is using it as its current working directory. The working directory of most Windows applications is automatically changed by the Open and Save As dialog boxes, and TextPad optionally changes its working directory to match that of the active document. Hence, you must open a file in another folder to make TextPad change its working directory, before deleting a folder.

Note that if you have specified a startup folder (on the Folders page of the Preferences dialog box), and have not checked the option for the working directory to follow that of the active document (on the General page of the Preferences dialog box), TextPad will always change its working directory back to the startup folder, when the last document is closed.


How do I dock the Document Selector?

Simply double click its title bar. However, if that doesn’t work, you have probably accidentally disabled docking. To enable it, right click the border of the Document Selector, anywhere outside of its title bar, and select "Allow Docking" from the popup menu. Then double click the title bar.


When I save a file as NAME.EXT, why is it saved as NAME.EXT.TXT?

This is due to the way Microsoft implemented the Save As dialog box: If you supply an extension it doesn't recognize (including none), it either appends the default extension, if the filter is "*.*", or the first extension in the list for the selected filter. This behavior is designed to enforce the strong association between extensions and applications in Windows, but it does get in the way at times. One of the most irritating aspects of this is that it can create files with names like FILE.XYZ.TXT, when you type FILE.XYZ.

Solution:

To allow a file to be saved with an arbitrary extension, delete the default extension from the File page of the Preferences dialog box, and select "*.*" from the "Save as Type" list on the Save As dialog box. Alternatively, you can force it to accept exactly what you type by putting quotes around the name.


Why can't I save a modified HTML file?

If your file is in an active Internet Information Server (IIS) folder, and has been browsed by another user, IIS will keep it locked for 60 seconds.

Workaround: For maximum security, TextPad saves first to a temporary file, and only if that succeeds does it delete the original file and rename the temporary one. A file locked by IIS cannot be deleted but can be overwritten, and you can make TextPad work in that way as follows:

  1. From the Configure menu, choose Preferences.
  2. Click the File page on the Preferences dialog box.
  3. Check "Overwrite files directly when saving changes".
  4. Click OK.

More Information: See the following knowledge base articles:

http://support.microsoft.com/support/kb/articles/q184/9/56.asp

http://support.microsoft.com/support/kb/articles/q187/9/06.asp


How do I search for tabs and new line characters?

You can use the following codes to match non-printing characters:

  • \t = tab
  • \n = newline (carriage return)
  • \f = page break

These are part of the regular expression syntax, which is very powerful, but takes a bit of getting used to. When you use them, you must check "Regular expression" on the Find and Replace dialog boxes. Please see How to Use Regular Expressions for more information.


Why doesn't Page Up/Down move the cursor

When the Scroll Lock key is on, the Page Up/Down keys behave the same way as when you scroll with the mouse on the scroll bar - i.e. the cursor is not moved. You can then quickly get back to a known position in the document by pressing one of the arrow keys.


How can I open more than one file at a time with Explorer's Send To command?

By default, TextPad only allows a single filename to be passed via its command line. This is to avoid confusion if there are any spaces in its name. Explorer's Send To command avoids this problem by passing names using their DOS 8.3 aliases.

If you are sure that files with spaces in their names will not cause any problems with other applications that use TextPad to view files, check the following option:

[ ] Allow multiple files on the command line.

on the General page of the Preferences dialog box.


How can TextPad open files with spaces in their names, passed to its command line?

TextPad can open more than one file at a time, using command lines like:

TEXTPAD.EXE file1.c file2.h *.txt

So, if any of the names contain spaces, they must be quoted, as in:

TEXTPAD.EXE "My File 1" "My File 2"

As a special case, a single filename, containing spaces, can be given without quotes, if the parameter -u is also used, as in:

TEXTPAD.EXE -u My File

Solution:

If you cannot arrange for quotes around file names, you can force TextPad to accept only a single file in its command line as follows:

  1. From the Configure menu, choose Preferences;
  2. Select the General page on the Preferences dialog box;
  3. Clear the checkbox against "Allow multiple files on the command line";
  4. Click OK.

Additional Information:

  1. This problem generally only arises if you have set up TextPad's file associations manually, using a command of the form "textpad.exe %1", without quoting the "%1". If you use the Associations page on the Preferences dialog box to do it, File Manager and Explorer will communicate with TextPad using DDE, rather than command line parameters, so spaces are not significant.
  2. Note that there is a bug in Windows 95 Explorer which causes it to add an invisible "%1" (without the essential quotes) to the command line when you use it to edit any associations. This overrides any DDE configuration, and causes problems if filenames contain spaces. This "%1" can only be seen and removed using REGEDIT.EXE.
  3. Windows is very inconsistent about how it handles file names containing spaces. For instance, if you use Explorer to select some files with spaces in their names, then use Send To, TextPad will open them successfully. This is because Explorer hands over the DOS 8.3 aliases for the names, so the spaces disappear. However, when you double click a file, Explorer hands over its long file name, unquoted, which causes the problem. The Open File dialog box is actually part of Explorer, and it hands over long file names with quotes around them!


Why can't TextPad open files with spaces in their paths, using the Open File dialog box on NT 3.51?

TextPad uses the common Open File dialog box, which has a design fault in Windows versions prior to 95 and NT 4. When it is enabled for multiple selection, it uses a space to separate each file name, so gets confused if a name, or its path, includes spaces.


Why is a tiny font used for printing?

This happens if the default font (Courier) is not supported by your printer. To fix it:

  1. From the Configure menu, choose Preferences
  2. Click the "+" next to Document Classes.
  3. Click the "+" next to the Default document class.
  4. Select Font.
  5. Check "Printer" and choose a suitable font.
  6. Click OK.


How can I make Notepad use TextPad instead of WordPad for big files?

In Windows 9x, when you attempt to open a file with Notepad, which is too large for it, a popup window comes up asking if you want to open the file with Wordpad. Well, if you are like me, you deleted Wordpad long ago or didn't even install it. So, how do you get Windows 95 to open the file with Textpad? Easy! There are several ways like placing a copy ofTEXTPAD.EXE in your WINDOWS folder and renaming it to Wordpad.exe, but then you don't have access to all the functions of Textpad unless you copy several other files to WINDOWS. Here is how to do it by changing 2 entries in the Registry.

  1. Go to Start/Run, type in Regedit, then locate & open the following path:
    HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\WORDPAD.EXE
  2. Click on the (Default) String Value in right pane and choose Modify
  3. Enter the path of your TEXTPAD.EXE
    e.g. C:\Program Files\TEXTPAD\TEXTPAD.EXE
  4. Then, right click on WORDPAD.EXE and choose New String Value
  5. Type in PATH and hit enter.
  6. Then right click PATH, choose Modify, and enter the path to your TEXTPAD.EXE
    e.g. C:\Program Files\TEXTPAD

Now, reboot yourcomputer and the next time you click on a file to open it and the popup window comes up telling you that the file is too large and asking if you want to open it with Wordpad, click OK and the file will open with Textpad!

This tip is brought to you by:

Alan W. Ray, Ray's Mfg. Co


Why isn't the workspace saved?

TextPad 4.x uses named workspaces and does not implement the default workspace of TextPad 3.x. You can create a workspace using the File/Workspace/Save As command.

If you want to reload the last workspace on each restart, check that option under General settings, on the Preferences dialog box.


The ANSI Code Set

This table displays the full ANSI code set, for code page 1252, using the Courier font:

 | 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | A | B | C | D | E | F
00: | NUL | SOH | STX | ETX | EOT | ENQ | ACK | BEL | BS | HT | LF | VT | FF | CR | SO | SI
10: | DLE | DC1 | DC2 | DC3 | DC4 | NAK | SYN | ETB | CAN | EM | SUB | ESC | FS | GS | RS | US
20: |  | ! | " | # | $ | % | & | ' | ( | ) | * | + | , | - | . | /
30: | 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | : | ; | < | = | > | ?
40: | @ | A | B | C | D | E | F | G | H | I | J | K | L | M | N | O
50: | P | Q | R | S | T | U | V | W | X | Y | Z | [ | \ | ] | ^ | _
60: | ` | a | b | c | d | e | f | g | h | i | j | k | l | m | n | o
70: | p | q | r | s | t | u | v | w | x | y | z | { | | | } | ~ | DEL
80: | € |  | ‚ | ƒ | „ | … | † | ‡ | ˆ | ‰ | Š | ‹ | Œ |  | Ž | 
90: |  | ‘ | ’ | " | " | · | – | — | ˜ | ™ | š | › | œ |  | ž | Ÿ
A0: |  | ¡ | ¢ | £ | ¤ | ¥ | ¦ | § | ¨ | © | ª | « | ¬ |  | ® | ¯
B0: | ° | ± | ² | ³ | ´ | µ | ¶ | · | ¸ | ¹ | º | » | ¼ | ½ | ¾ | ¿
C0: | À | Á | Â | Ã | Ä | Å | Æ | Ç | È | É | Ê | Ë | Ì | Í | Î | Ï
D0: | Ð | Ñ | Ò | Ó | Ô | Õ | Ö | × | Ø | Ù | Ú | Û | Ü | Ý | Þ | ß
E0: | à | á | â | ã | ä | å | æ | ç | è | é | ê | ë | ì | í | î | ï
F0: | ð | ñ | ò | ó | ô | õ | ö | ÷ | ø | ù | ú | û | ü | ý | þ | ÿ

See also: DOS code set


The DOS Code Set

This table displays the full DOS code set for code page 850, using the Courier font:

See also: ANSI code set


Examples: Finding Text

Examples - Finding Text
See Also: Replacing Text

These examples all use UNIX extended regular expression syntax.

1. Find all trailing spaces:

[ \t]+$

finds one or more spaces or tabs followed by the end of line.

2. Find an empty line:

^$

finds the beginning of a line immediately followed by its end.

3. Find everything on a line:

^.*

finds the beginning of a line, followed by zero or more of any characters, up to the end of the line.

4. Find "$12.34":

\$12\.34

Note that '.' and '$' have been escaped using the backslash to hide their regular expression meanings.

5. Find any valid C language variable name:

\<[ a-zA-Z][ a-zA-Z0-9]*

finds a word starting with an underscore or alphabetic character, followed by zero or more underscores or alphanumeric characters.

6. Find an inner-most bracketed expression:

([^()]*)

finds a left bracket, followed by zero or more characters excluding left and right brackets, followed by a right bracket.

7. Find a repeated expression:

\([0-9]+\)-\1

This uses a tagged expression "\(...\)" to find one or more digits, followed by a hyphen, followed by the string matched by the tagged expression. So this regular expression will find 12-12, but not 12-34.


Examples: Replacing Text
See Also: Finding Text

These examples all use UNIX extended regular expression syntax.

1. Find any alphabetic word starting with an upper case letter:

[A-Z][a-z]+

and replace with the same word all in upper case:

\U&

2. Find a C language variable name starting with a lower case letter:

\<[a-z][ a-zA-Z0-9]*

and make the first letter upper case:

\u&

3. Find two numeric strings separated by one or more spaces:

\([0-9]+\) +\([0-9]+\)

and swap them around, using a tab to separate them:

\2\t\1

4. Find "paste":

paste

and replace with the contents of the clipboard:

\p

5. To change:

X100000 | to | X100.000
Y100123 |  | Y100.123
Z600 |  | Z.600
Find: | \([XYZ]\)\([0-9]*\)\([0-9][0-9][0-9]\)
Replace: | \1\2.\3


(Untitled)

The cursor (also known as the caret) is the blinking vertical line or block, which indicates the insertion position for text. Contrast this with the mouse cursor, which tracks the mouse position.


(Untitled)

The mouse cursor is a pointer on the screen which tracks the mouse position. Contrast this with the cursor, which is the blinking vertical line or block cursor indicating the insertion position for text.


The Background Window

The background window is a container for edit windows, which can be arranged with the commands on the Window menu. Double click it to bring up the Open File dialog box.


Copy Button (Toolbar)

Normal Operation | With Shift | With Ctrl
Copies the selection to the clipboard. | Appends the selection to existing text on the clipboard. |


Cut Button (Toolbar)

Normal Operation | With Shift | With Ctrl
Cuts the selection from the document and save it on the clipboard. | Cuts the selection and appends it to existing text on the clipboard. |


Open File Button (Toolbar)

Normal Operation | With Shift | With Ctrl
Opens an existing document using the Open File dialog box, in which you can locate and open the desired file. | Displays the Quick File Open dialog box. |


Paste Button (Toolbar)

Normal Operation | With Shift | With Ctrl
Inserts what's on the clipboard. | Inserts a file. |


Pause Button (Toolbar)

Normal Operation | With Shift | With Ctrl
Temporarily pauses the keystroke macro recorder. |  |


Playback Button (Toolbar)

Normal Operation | With Shift | With Ctrl
Plays back the scratch keystroke macro. | Displays the Playback Macro dialog box. |


Print Button (Toolbar)

Normal Operation | With Shift | With Ctrl
Prints the active document, using the default printer. | Displays the Print dialog box. | Displays the Configure Printing dialog box.


Record Button (Toolbar)

Normal Operation | With Shift | With Ctrl
Starts the keystroke macro recorder. |  |


Redo Button (Toolbar)

Normal Operation | With Shift | With Ctrl
Cancels (redo) the last Undo command | Redo all edits up to the last save checkpoint. |


Save File Button (Toolbar)

Normal Operation | With Shift | With Ctrl
Saves the active document with its current name. If you have not modified or named the document, the Save As dialog box is displayed. | Saves all modified files | Displays the Save As dialog box.


Undo Button (Toolbar)

Normal Operation | With Shift | With Ctrl
Cancels (undo) the last edit command. | Undo all edits back to the last save checkpoint. |


How to Customize Toolbar Buttons

To add or delete buttons on toolbars:

  1. From the View menu, choose Toolbars/Customize. The Customize Toolbars dialog box is displayed.
  2. Click the Commands tab.
  3. From the list, select one of the toolbars to see the buttons it contains.
  4. To add a button to a toolbar, drag it from the Buttons group on the dialog box to the toolbar.
  5. To remove a button from a toolbar, drag it from the toolbar to the Buttons group on the dialog box.
  6. To insert a separator, drag an adjacent button slightly away from the side you want to insert it, then release the button. Repeat this operation to delete a separator.


Summary of Features

  • Huge files can be edited. See Specifications for the actual limits.
  • Supports Universal Naming Convention (UNC) style names (\\server\share\...), and long file names with spaces.
  • CUA compliant keyboard commands, which can be fully customized.
  • Customizable color syntax highlighting. The Copy as HTML command allows colored text to be transferred to other applications.
  • Multiple personalities: compatibility with Microsoft applications, WordStar, BRIEF and TextPad 2.
  • The user interface is available in English, French, German, Italian, Japanese, Polish, Portuguese and Spanish.
  • Multiple files can be simultaneously edited, with up to 4 views per file.
  • The multiple workspace feature lets you restart exactly where you left off.
  • In addition to the usual cut, copy and paste capabilities, selected text can be centered, case shifted and block indented, and characters, words and lines can be transposed. Cut and copied text can be appended to the clipboard, as well as replacing its contents.
  • Text can be automatically word-wrapped at the margin, or at a specified column, if it does not fit on a line. In this mode, text can be split into separate lines where wrapping occurs, or lines can be intelligently joined, preserving paragraphs.
  • Drag and drop editing for copying and moving text between documents.
  • Unlimited undo/redo capability. The undo buffer can be optionally cleared when a file is saved, or by using the Mark Clean command.
  • Block (column) selection mode and editing.
  • Visible display of tabs and spaces.
  • A spelling checker with dictionaries in 13 languages.
  • A keystroke macro recorder, with up to 64 active macros.
  • A Clip Library for organizing frequently used text, such as program templates, or HTML tags. Its Clipboard History book maintains a list of the 40 most recent entries on the clipboard.
  • Sorting, using up to 3 keys.
  • Text can be automatically aligned and indented, relative to the previous line, to aid block indentation.
  • The right mouse button pops up an in-context menu.
  • The cursor can be constrained to the text, or can be positioned freely in the document view.
  • Customizable Toolbars with fly-by usage hints, and an active status bar.
  • A powerful search/replace engine using POSIX-style regular expressions. Sets of files in a directory tree can be searched, and text can be replaced in all open documents at once.
  • Visible bookmarks can be placed on individual lines, and on all occurrences of a search pattern. Bookmarks can be inverted, and bookmarked lines can be cut, copied or deleted.
  • A built in file manager for fast file copying, renaming, deleting etc.
  • Print previewing, and printing with customizable headers/footers and page breaks.
  • Viewer for binary files using a hexadecimal display format.
  • Command to view HTML documents in a web browser.
  • Built in file comparison utility, and up to 32 user-defined tools with parameter macros.
  • Hypertext links from file search and user tool output to the relevant source line.
  • DDE interface to other tools, such as VC++. The editor detects when an open file has been modified by another tool, and prompts you to reopen it.


Register TextPad Dialog Box

Use this dialog box to enter your registration code. It is important that you input the information exactly as we sent it to you, including the lines "BEGIN LICENSE" and "END LICENSE".

If you think that any part of the registration information is incorrect, do not attempt to change it yourself. Instead, please send an e-mail to sales@textpad.com and we will reply with an amended license.

Note that you cannot input your TextPad 3.x license using this dialog box. Please see http://www.textpad.com/order/upgrades.html for upgrade information


Purchasing and License Agreements

Registration Benefits

How to Order

Price List (on web site)

License Agreement

Definition of Shareware

Association of Shareware Professionals

Contacting Helios Software Solutions


TextPad Order Form for Payment in UK Pounds

Please send me a license for TextPad.

Name:___________________________________________
Company:________________________________________
Address:________________________________________
________________________________________________
________________________________________________
Phone:__________________________________________
Fax:____________________________________________
E-mail:_________________________________________

Payment Due (see price list on web site):

Users: 1__ 5__ 10__ 15__ 20__ 30__ 50__ Unlimited__
   CD-ROM required: Yes__ No__     £_____
Registration Price:                £_____
            Price  x  __ copies =  £_____
VAT at 17.5% (**Europe only):      £_____
Total paid:                        £_____

(**No VAT to pay if non-UK European, and VAT number is filled in below.)

VAT Registration No.____________________
By: MasterCard__ VISA__ AMEX__ DELTA__ EUROCARD__ JCB__ Cheque__

Cheque/Draft No.________________________ (To "Helios Software Solutions")

Note: cheques must be drawable at a British bank.

Credit Card Details:
    Number:____________________________
    Expiry:____________________________
 Signature:____________________________
      Date:____________________________

How did you hear about TextPad?__________________________
_________________________________________________________

Any Comments:____________________________________________
_________________________________________________________
_________________________________________________________

When you have filled in the above details, mail this to:

Helios Software Solutions
PO Box 619
LONGRIDGE
PR3 2GW
England
(FAX: +44 (0)1772 786375)

Thank you for your interest in this product.


TextPad Order Form for Payment by Check in US Dollars

Please send me a license for TextPad.

Name:___________________________________________
Company:________________________________________
Address:________________________________________
________________________________________________
________________________________________________
Phone:__________________________________________
Fax:____________________________________________
E-mail:_________________________________________

Payment Due (see price list on web site):

Users: 1__ 5__ 10__ 15__ 20__ 30__ 50__ Unlimited__
CD-ROM required: Yes__ No__    $_______
Registration Price:            $_______
        Price  x  __ copies =  $_______
Total paid:                    $_______
Check/Draft No._________________________
Signature:______________________________
Date:___________________________________
Do you require an invoice to be sent?___

How did you hear about TextPad?__________________________
_________________________________________________________

Any Comments:____________________________________________
_________________________________________________________
_________________________________________________________
_________________________________________________________

Checks must be drawable at a US or UK bank.
Please make them payable to "Helios Software Solutions".
When you have filled in the above details, mail this with your check to:

Helios Software Solutions
PO Box 619
LONGRIDGE
PR3 2GW
England

Thank you for your interest in this product.


Purchase Orders

Purchase orders (net 30 days) are accepted only from government and accredited educational institutions and major corporations, provided that they are submitted on purchase order forms with a purchase order number. Please be sure to include the European or World wide order form with a purchase order.

See the Price List (on the web site) for current pricing.


Online Ordering

If you have Internet access, you can place your order online, using a secure order form, if your browser supports them.

For more information, follow the link to online ordering from the home page on our web site. You may reach it by clicking the following link:

http://www.textpad.com/


Paying in UK Pounds

We accept payment by cheque, or with the following credit cards:

Visa - MasterCard - American Express - Delta - EuroCard - JCB

Cheques must be in UK pound denominated drafts drawn on a UK bank, or by Pound Sterling International Money Order. Sorry, but banking fees for payments in other denominations are prohibitively expensive.

See the Price List on the web site for current pricing, and return the completed Order Form.


Paying in US Dollars by Check

For non-European users, we accept direct payment with a check made out in US dollars, drawable at a US bank. European users must pay in UK Pounds, drawable at a UK bank, to keep our VAT records in order.

See the Price List on the web site for current pricing, and return the completed Order Form.


VAT - Value Added Tax

Value Added Tax (VAT) is known by the following names, in other member countries of the European Community:

  • Austria: Mehrwertsteuer (Mwst)
  • Belgium: Taxe sur la Valeur Ajoutée (TVA)
  • Denmark: Mervaerdiafgift (Moms)
  • Finland: Arvonlisävero (ALV)
  • France: Taxe sur la Valeur Ajoutée (TVA)
  • Germany: Mehrwertsteuer (Mwst)
  • Greece: ØIIA (FPA)
  • Ireland: Value Added Tax (VAT)
  • Italy: Imposta sul Valore Aggiunto (IVA)
  • Luxembourg: Taxe sur la Valeur Ajoutée (TVA)
  • Netherlands: Belasting over de Toegevoegde Waarde (BTW)
  • Portugal: Imposto sobre el Valor Acrescentado (IVA)
  • Spain: Impuesto sobre el Valor Anadido (IVA)
  • Sweden: Mervärdesskatt (Moms)

VAT at 17.5% must be paid by:

  • All UK residents.
  • Residents of all other European Community countries who are not registered for VAT.


More command (Window menu)

Use this command to activate the Document Selector. This is a list of your open documents that remains permanently on the screen. You can move and resize this to your requirements, and use it to switch between document windows.

Shortcuts:

Keyboard: ActivateSelector

More information


About TextPad command (Help menu)

Use this command to display the About dialog box. This displays various license details, and system resource information.

Shortcuts:

Keyboard: None


Exit command (File menu)

Use this command to end your session. You can also use the Close command on the application Control menu. You are prompted to save any documents with unsaved changes.

Shortcuts:

Mouse:Double-click the application's Control menu button.

Keyboard: FileExit


Block Select Mode command (Configure menu)

Use this command to alternate between block (column) and normal selection modes. A check mark is shown against this menu item when block selection mode is enabled. The current state is also displayed on the status bar.

This command is not available in word-wrapping mode.

Shortcuts:

Keyboard: ToggleBlockSelect

Mouse:Alt+Left button

More information


Context Help command

Use the Context Help command to obtain help on some portion of the graphical interface. When you choose the Toolbar's Context Help button, the mouse pointer will change to an arrow and question mark. Then click somewhere in the application window, such as another Toolbar button. The Help topic will be shown for the item you clicked.

Pressing escape cancels this command.

Shortcuts:

Keyboard: Shift+F1


Copy All File Names command (Edit menu)

Use this command to copy the file names of all open documents to the clipboard.

Shortcuts:

Keyboard: EditCopyAllFileNames


Customize Toolbars command (View menu)

Displays a dialog box for customizing buttons on the toolbars.


Align Center command (Edit menu)

Use this command to center currently selected lines between the left and right word-wrap margins. It cannot be used with proportionally spaced fonts.

Shortcuts:

Keyboard: EditAlignCenter

More information


Align Justify command (Edit menu)

Use this command to space words evenly between both margins. It cannot be used with proportionally spaced fonts.

Shortcuts:

Keyboard: EditAlignJustify

More information


Align Left command (Edit menu)

Use this command to align currently selected lines to the left margin. It cannot be used with proportionally spaced fonts.

Shortcuts:

Keyboard: EditAlignLeft

More information


Align Right command (Edit menu)

Use this command to align currently selected lines to the right margin. It cannot be used with proportionally spaced fonts.

Shortcuts:

Keyboard: EditAlignRight

More information


Capitalize command (Edit menu)

Use this command to make the first character of each word in the current selection upper case, and the rest lower case.

This command is unavailable if no text is currently selected.

Shortcuts:

Keyboard: EditCapitalize

More information


Delete command (Edit menu)

Use this command to delete the currently selected text, or the character after the cursor if nothing is selected.

Shortcuts:

Keyboard: EditDelete


Clear All command (Edit menu)

Use this command to delete the whole contents of the active document.

Shortcuts:

Keyboard: EditClearAll


Copy command (Edit menu)

Use this command to copy the selected text from the document to the clipboard. It is unavailable if no text is currently selected.

Copying text to the clipboard replaces the contents previously stored there.

Shortcuts:

Toolbar:

Keyboard: EditCopy

More information


Copy Bookmarked Lines command (Edit menu)

Use this command to copy all lines that have bookmarks on them to the clipboard.

Shortcuts:

Keyboard: EditCopyTaggedLines


Copy Selection Append command (Edit menu)

Use this command to copy the currently selected text from the document and append it to any text already on the clipboard. It is unavailable if no text is currently selected.

Shortcuts:

Keyboard: EditCopyAppend

More information


Copy Word command (Edit menu)

Copy as HTML command (Edit menu)

Use this command to copy the selected text to the clipboard as an HTML page. It is unavailable if no text is selected.

Shortcuts:

Keyboard: EditCopyAsHTML

More information


Copy File Name command (Edit menu)

Use this command to copy the active document's file name to the clipboard.

Shortcuts:

Keyboard: EditCopyFileName


Copy Line command (Edit menu)

Use this command to copy the line containing the cursor to the clipboard. It is unavailable if the current selection extends over a line boundary.

Shortcuts:

Keyboard: EditCopyLine

More information


Copy Line Append command (Edit menu)

Use this command to append the line containing the cursor to any text already on the clipboard. It is unavailable if the current selection extends over a line boundary.

Shortcuts:

Keyboard: EditCopyLineAppend

More information


Copy Word command (Edit menu)

Use this command to copy the word containing the cursor to the clipboard. It is unavailable if any text is selected.

Shortcuts:

Keyboard: EditCopyWord

More information


Copy Word Append command (Edit menu)

Use this command to append the word containing the cursor to any text already on the clipboard. It is unavailable if any text is selected.

Shortcuts:

Keyboard: EditCopyWordAppend

More information


Cut command (Edit menu)

Use this command to remove the currently selected text from the document and put it on the clipboard. It is unavailable if no text is currently selected.

Cutting text to the clipboard replaces the contents previously stored there.

Shortcuts:

Toolbar:

Keyboard: EditCut

More information


Cut Bookmarked Lines command (Edit menu)

Use this command to delete all lines that have bookmarks on them, and place them on the clipboard.

Shortcuts:

Keyboard: EditCutTaggedLines


Cut Selection Append command (Edit menu)

Use this command to remove the currently selected text from the document and append it to any text already on the clipboard. It is unavailable if no text is currently selected.

Shortcuts:

Keyboard: EditCutAppend

More information


Cut Line command (Edit menu)

Use this command to remove the line containing the cursor from the document and put it on the clipboard. It is unavailable if the current selection extends over a line boundary.

Shortcuts:

Keyboard: EditCutLine

More information


Cut Line Append command (Edit menu)

Use this command to remove the line containing the cursor from the document and append it to any text already on the clipboard. It is unavailable if the current selection extends over a line boundary.

Shortcuts:

Keyboard: EditCutLineAppend

More information


Cut Word command (Edit menu)

Use this command to remove the word containing the cursor from the document and put it on the clipboard. It is unavailable if any text is selected.

Shortcuts:

Keyboard: EditCutWord

More information


Cut Word Append command (Edit menu)

Use this command to remove the word containing the cursor from the document and append it to any text already on the clipboard. It is unavailable if any text is selected.

Shortcuts:

Keyboard: EditCutWordAppend

More information


Delete Bookmarked Lines command (Edit menu)

Use this command to delete all lines that have bookmarks on them.

Shortcuts:

Keyboard: EditDelTaggedLines


Delete Line command (Edit menu)

Use this command to delete the line containing the cursor from the document. It is unavailable if the current selection extends over a line boundary.

Shortcuts:

Keyboard: EditDeleteLine


Delete Word command (Edit menu)

Use this command to delete the word containing the cursor from the document. It is unavailable if any text is selected.

Shortcuts:

Keyboard: EditDeleteWord


Insert File Name command (Edit menu)

Use this command to insert the full file name of the active document at the cursor position, or to replace the current selection. This command is disabled for documents that have never been saved to a file.

Shortcuts:

Keyboard: EditInsertFileName


Fill Block command (Edit menu)

Use this command to fill the selected block of text with a specified character or characters. A dialog box is displayed for you to enter the characters to fill with. These are repeated if the block to be filled is wider than the fill characters.

You can fill with tabs by entering ‘\t’ as the fill character. If you actually want to fill with ‘\t’, enter it as ‘\\t’.

This option is disabled until a selection has been made in block mode.

Shortcuts:

Keyboard: EditFillBlock


Reduce Indent command (Edit menu)

Use this command to reduce the indentation of currently selected lines. Note that if more than one line is selected, Shift+Tab has the same effect.

Shortcuts:

Toolbar:

Keyboard: EditIndentLess

More information


Increase Indent command (Edit menu)

Use this command to increase the indentation of currently selected lines. Note that if more than one line is selected, the Tab key has the same effect.

Shortcuts:

Toolbar:

Keyboard: EditIndentMore

More information


Invert Case command (Edit menu)

Use this command to change selected characters from upper to lower case, and vice versa.

If no text is currently selected, the case of the character after the cursor is changed, and the cursor is moved one position to the right.

Shortcuts:

Keyboard: EditInvertCase

More information


Join Lines command (Edit menu)

Use this command to join currently selected lines. Each line in turn is appended to the first, separated by a single space.

Shortcuts:

Keyboard: EditJoinLines

More information


Insert Long Date command (Edit menu)

Use this command to insert the current date at the cursor position. The format used is as specified for long dates with Control Panel's International applet.

Shortcuts:

Keyboard: EditLongDate


Lower Case command (Edit menu)

Use this command to change selected characters from upper to lower case.

If no text is currently selected, the case of the character after the cursor is changed, and the cursor is moved one position to the right.

Shortcuts:

Keyboard: EditLowerCase

More information


Mark Clean command (Edit menu)

Use this command to empty the undo and redo buffers. When those buffers are empty, the Save command is disabled and you will not be prompted to save the document when you close it. The effect is as if the document had never been modified.

Shortcuts:

Keyboard: EditMarkClean


Insert Line After command (Edit menu)

Use this command to open up a new line after the line containing the cursor. It is unavailable if the current selection extends over a line boundary.

Shortcuts:

Keyboard: EditNewLineAfter

More information


Insert Line Before command (Edit menu)

Use this command to open up a new line before the line containing the cursor. It is unavailable if the current selection extends over a line boundary.

Shortcuts:

Keyboard: EditNewLineBefore

More information


Insert Page Break command (Edit menu)

Use this command to insert a page break at the start of the line containing the cursor. It is unavailable if any text is currently selected.

Shortcuts:

Keyboard: EditPageBreak

More information


Paste command (Edit menu)

Use this command to insert the contents of the clipboard at the cursor position, or to replace the current selection. It is unavailable if there is no text on the clipboard.

Shortcuts:

Toolbar:

Keyboard: EditPaste

More information


Paste as Block command (Edit menu)

Use this command to insert the contents of the clipboard, in block mode, at the cursor position, or to replace the current selection. This command overrides the current clipboard format. It is unavailable if there is no text on the clipboard, or word wrap is on.

Shortcuts:

Keyboard: EditPasteBlock

More information


Insert File command (Edit menu)

Insert Files command (Edit menu)

Use this command to insert the contents of one or more files at the cursor position, or to replace the current selection. The File Open dialog box appears to allow you to select the files to insert.

Shortcuts:

Keyboard: EditInsertFile

More information


Paste HTML command (Edit menu)

When text is copied from from a page displayed in Internet Explorer or Mozilla, it is placed on the clipboard as both plain text and in HTML format. Use this command to insert the HTML text at the cursor position, or to replace the current selection. It is unavailable if there is no HTML text on the clipboard.

Shortcuts:

Keyboard: EditPasteHTML

More information


Paste as Lines command (Edit menu)

Use this command to insert the contents of the clipboard, in line (normal) mode, at the cursor position, or to replace the current selection. This command overrides the current clipboard format. It is unavailable if there is no text on the clipboard.

Shortcuts:

Keyboard: EditPasteLines

More information


Redo command (Edit menu)

Use this command to cancel the last Undo command. It is unavailable when there is nothing to redo.

You can redo each undo, by repeated use of this command, or you can redo all undos at once using the EditRedoAll command, or holding Shift while clicking the Redo button.

Shortcuts:

Toolbar:

Keyboard: EditRedo, EditUndoAll

More information


Reformat command (Edit menu)

Reformat:

Use this command to adjust the lengths of currently selected lines to the word-wrap margin. Words are moved between the lines as necessary, and blank lines are preserved as paragraph separators.

Shortcuts:

Keyboard: EditReformat


Select All command (Edit menu)

Use this command to select the whole document.

Shortcuts:

Mouse: Ctrl+Left click in the left margin.

Keyboard: SelectAll

More information


Sentence Case command (Edit menu)

Use this command to make the first character of the start of each sentence in the current selection upper case, and the rest lower case.

This command is unavailable if no text is currently selected.

Shortcuts:

Keyboard: EditSentenceCase

More information


Insert Short Date command (Edit menu)

Use this command to insert the current date at the cursor position. The format used is as specified for short dates with Control Panel's International applet.

Shortcuts:

Keyboard: EditShortDate


Split Wrapped Lines command (Edit menu)

Use this command when in word-wrapping mode to split currently selected lines at the point where they are wrapped, by inserting new line characters.

Shortcuts:

Keyboard: EditSplitLines


Insert Statistics command (Edit menu)

Use this command to insert the word, line and character count in the document.

Shortcuts:

Keyboard: EditInsertStatistics


Insert Time command (Edit menu)

Use this command to insert the current time at the cursor position. The format used is as specified with Control Panel's International applet.

Shortcuts:

Keyboard: EditTime


Transpose command (Edit menu)

Use this command to transpose lines or characters. If the cursor is at the beginning or end of a line, the adjacent lines are swapped, otherwise the adjacent characters are swapped.

This command is unavailable if any text is selected.

Shortcuts:

Keyboard: EditTranspose


Transpose Words command (Edit menu)

Use this command to transpose the words either side of the cursor. Any punctuation between the words is left in place. If the cursor is in the middle of a word, its two halves are transposed.

This command is unavailable if any text is selected.

Shortcuts:

Keyboard: EditTransposeWords


Undo command (Edit menu)

Use this command to undo the last edit command, including Redo. It is unavailable when there is nothing to undo.

You can undo each edit you made since the file was last saved by repeated use of this command, or you can undo all edits at once using the EditUndoAll command, or holding Shift while clicking the Undo button.

Shortcuts:

Toolbar:

Keyboard: EditUndo, EditUndoAll

More information


Upper Case command (Edit menu)

Use this command to change selected characters from lower to upper case.

If no text is currently selected, the case of the character after the cursor is changed, and the cursor is moved one position to the right.

Shortcuts:

Keyboard: EditUpperCase

More information


Close command (File menu)

Use this command to close all views containing the active document.

You get prompted to save changes to your document before you close it. If you close a document without saving, you lose all changes made since the last time you saved it. Before closing an untitled document, the Save As dialog box appears to suggest that you name and save the document.

Shortcuts:

Keyboard: FileClose

More information


Close All command (File menu)

Use this command to close all your documents. If any document has been modified, you will be prompted to save it before its window is closed.

Shortcuts:

Keyboard: FileCloseAll


Manage Files command (File menu)

Use this command to open copy, rename, delete or update the timestamps of files.

Shortcuts:

Toolbar:

Keyboard: FileManage

More information


1, 2, 3, 4 ... command (File menu)

Use the numbers and filenames listed at the bottom of the File menu to open the last several documents you closed. Choose the number that corresponds with the document you want to open.


Workspace 1,2,3, ... command (File menu)

Use this command to open a recently used workspace.

More information


New command (File menu)

Use this command to create a new, unnamed document.

You can open a new document, and give it a name at the same time, with the Open command.

Shortcuts:

Toolbar:

Keyboard: FileNew

More information


Open command (File menu)

Use this command to open an existing document.

Select the file (or multiple files) from the Open File dialog box which appears.

Shortcuts:

Toolbar:

Keyboard: FileOpen

More information


Page Setup command (File menu)

Use this command to configure page margins and the header and footer for printing documents belonging to the class of the active document. If you use this command when no documents are open, the changes will be applied to all document classes.

Shortcuts:

Keyboard: FilePageSetup


Print command (File menu)

Use this command to print the active document.

This command presents a Print dialog box, where you may specify the range of pages to be printed, the number of copies, the destination printer, and other printer setup options.

Shortcuts:

Toolbar:

Keyboard: FilePrint

More information


Print Preview command (File menu)

Use this command to display the active document as it would appear when printed.

When you choose this command, the main window will be replaced with a print preview window in which one or two pages will be displayed in their printed format. The print preview toolbar offers you options to view either one or two pages at a time; move back and forth through the document; zoom in and out of pages; and initiate a print job.

Shortcuts:

Toolbar:

Keyboard: FilePrintPreview


Rename command (File menu)

Use this command to change the name of the file the active document was loaded from. It can also be used to move the file to another folder.

Shortcuts:

Keyboard: FileRename


Revert command (File menu)

Use this command to revert to the last saved state of the active document. You will be asked if it is OK to lose any changes, before the file is reloaded.

Shortcuts:

Keyboard: FileRevert


Save command (File menu)

Use this command to save an open document.

When you save an unnamed document for the first time, the Save As dialog box appears, so that you can give it a name.

Shortcuts:

Toolbar:

Keyboard: FileSave

More information


Save All command (File menu)

Use this command to save all modified documents.

When you save an unnamed document for the first time, the Save As dialog box appears, so that you can give it a name.

Shortcuts:

Keyboard: FileSaveAll


Save As command (File menu)

Use this command to save the active document with another name.

The Save As dialog box appears, so that you can supply the new name.

Shortcuts:

Keyboard: FileSaveAs

More information


Send command (File menu)

Use this command to send the active document to another person via electronic mail. You must have a MAPI compatible e-mail system installed to enable this command.

Shortcuts:

Keyboard: FileSend


Frequently Asked Questions command (Help menu)

Use this command to see Frequently Asked Questions.

Shortcuts:

Keyboard: HelpFAQ


Help Topics command (Help menu)

Use this command to display the opening screen of Help. From the opening screen, you can jump to step-by-step instructions, and various types of reference information.

Once you open Help, you can click its Contents button whenever you want to return to the opening screen.

Shortcuts:

Keyboard: None


Tip of the Day command (Help menu)

Use this command to display the Tip of the Day dialog box.

Shortcuts:

Keyboard: HelpTip


TextPad on the Web command (Help menu)

Use this command to connect to TextPad's home page with your default browser. The URL is http://www.textpad.com/, in case this command is unable to connect automatically.

Shortcuts:

Keyboard: HelpWWW


Multi-play command (Macros menu)

Use this command to play back a chosen macro more than once.

Shortcuts:

Toolbar:Shift+

Keyboard: MacroMultiplay

More information


Pause command (Macros menu)

Use this command to temporarily suspend and resume the macro recorder.

Shortcuts:

Toolbar:

Keyboard: MacroPause

More information


Playback command (Macros menu)

Use this command to play back the unnamed (scratch) macro.

Shortcuts:

Toolbar:

Keyboard: MacroPlay

More information


Record command (Macros menu)

Use this command to start and stop the macro recorder.

Shortcuts:

Toolbar:

Keyboard: MacroRecord

More information


Save command (Macros menu)

Use this command to save the unnamed (scratch) macro.

Shortcuts:

Keyboard: MacroSave

More information


User Macro command (Macros menu)

Use this command to play back the selected macro in its default play mode.

Shortcuts:

Keyboard: Macro01 - Macro64

More information


Open Include File (Context menu)

Clicking with the right button on a line beginning #include ..., adds a command to open the included file to the popup menu. If you choose that command, the file will be opened in a new window.

Included files are searched for in the folder containing the active document, and in the list of folders assigned to the INCLUDE environment variable. The syntax for that is the same as for the PATH environment variable.


Find in Files command (Search menu)

Use this command to specify a search string, the search criteria, such as whether or not to match case, and the list of files to search. It brings up the Find in Files dialog box, which can remain permanently on screen.

Shortcuts:

Toolbar:

Keyboard: SearchFiles

More information


Find command (Search menu)

Use this command to specify a search string and the search criteria, such as whether or not to match case. It brings up the Find dialog box, which can remain permanently on screen.

Shortcuts:

Toolbar:

Keyboard: SearchFind

More information


Find Next command (Search menu)

Use this command to find the next occurrence of the selected text. If nothing is selected, or the selection extends over one line, the last search string, if any, is used.

If one of the Find, Replace, or Find in Files dialog boxes is on the screen, the new search string is copied to its Find What box.

Shortcuts:

Keyboard: SearchFindNext

More information


Find Previous command (Search menu)

Use this command to find the previous occurrence of the selected text. If nothing is selected, or the selection extends over one line, the last search string, if any, is used.

If one of the Find, Replace, or Find in Files dialog boxes is on the screen, the new search string is copied to its Find What box.

Shortcuts:

Keyboard: SearchFindPrev

More information


Go To Line command (Search menu)

Go To command (Search menu)

For text files, this command moves the cursor to the beginning of a specified line, page, column, byte offset or bookmark. It brings up the Go To dialog box, in which you can type the number. If the number is signed, it is interpreted as an offset relative to the current position.

For binary files, this command moves the cursor to a specified offset in the file. It brings up the Go To Address dialog box, in which you type the address in hexadecimal.

Shortcuts:

Keyboard: SearchGoto


Jump Next command (Search menu)

Use this command to do a hypertext jump to the next item in the Search or Command Results windows.

Which of the Search or Command Results windows is used by this command is set according to the last one accessed. This is shown with a bullet ( [image]) against it on the Window menu.

Shortcuts:

Toolbar:

Keyboard: SearchJumpNext


Jump Previous command (Search menu)

Use this command to do a hypertext jump to the previous item in the Search or Command Results windows.

Which of the Search or Command Results windows is used by this command is set according to the last one accessed. This is shown with a bullet ( [image]) against it on the Window menu.

Shortcuts:

Toolbar:

Keyboard: SearchJumpPrev


Open All command (Context menu)

This command is on the context (right click) menu for the Search Results window. It will open all the files listed, or only those in the current selection, and place bookmarks on each matched line.

More information


Clear All Bookmarks command (Search menu)

Use this command to remove all the bookmarks from the active document.

Shortcuts:

Keyboard: BookmarkClearAll

More information


Invert All Bookmarks command (Search menu)

Use this command to remove bookmarks from lines that have them, and place bookmarks on those that don't.

Shortcuts:

Keyboard: BookmarkInvertAll

More information


Next Bookmark command (Search menu)

Use this command to go to the next line containing a bookmark.

Shortcuts:

Keyboard: BookmarkNext

More information


Previous Bookmark command (Search menu)

Use this command to go to the previous line containing a bookmark.

Shortcuts:

Keyboard: BookmarkPrev

More information


Toggle Bookmark command (Search menu)

Use this command to set or clear a bookmark on the current line.

Shortcuts:

Keyboard: BookmarkToggle

More information


Match Bracket command (Search menu)

Use this command to go to the closing bracket matching the opening bracket after the cursor (or vice versa).

Shortcuts:

Keyboard: MatchBracket

More information


Replace command (Search menu)

Use this command to specify search and replace strings and the search criteria, such as whether or not to match case. It brings up the Replace dialog box, which can remain permanently on screen.

Shortcuts:

Toolbar:

Keyboard: SearchReplace

More information


Replace Next command (Search menu)

Use this command to replace the current selection with the last defined replacement string.

Shortcuts:

Keyboard: SearchReplaceNext

More information


Preferences command (Configure menu)

Use this command to bring up the Preferences dialog box. This lets you configure various settings.

Shortcuts:

Keyboard: Preferences

More information


Read Only command (Configure menu)

Use this command to make the active document read only, or editable. This command is not available if the document has been modified.

Shortcuts:

Keyboard: ToggleReadOnly


Synchronize Scrolling command (Configure menu)

Use this command to switch in and out of synchronized scrolling mode. When enabled, "Sync" is shown on the status bar, and scrolling one view causes all views of all other documents to scroll by the same amount.

Note:

Due to a 16-bit limit in the scroll range of scroll bar messages in MS Windows, this feature is not supported in word wrap mode.

Shortcuts:

Keyboard: ToggleSyncScroll


Enable Undo command (Configure menu)

Use this command to enable or disable the ability to undo edits. Disabling undo can speed up macros and the Replace All command.

Note that this command only affects the active document.

Shortcuts:

Keyboard: ToggleUndo


Word Wrap command (Configure menu)

Use this command to switch in and out of word-wrapping mode.

Shortcuts:

Toolbar:

Keyboard: ToggleWordWrap

More information


Stay on Top command (System menu)

Use this command to keep the main TextPad window on top of all other windows.


Standard Toolbar command (View menu)

Displays or hides the Standard toolbar.


File Toolbar command (View menu)

Displays or hides the toolbar with buttons for commands on the File menu.


Edit Toolbar command (View menu)

Displays or hides the toolbar with buttons for commands on the Edit menu.


Search Toolbar command (View menu)

Displays or hides the toolbar with buttons for commands on the Search menu.


Macros Toolbar command (View menu)

Displays or hides the toolbar with buttons for commands on the Macros menu.


Tools Toolbar command (View menu)

Displays or hides the toolbar with buttons for commands on the Tools menu.


Window Toolbar command (View menu)

Displays or hides the toolbar with buttons for commands on the Window menu.


Compare Files command (Tools menu)

Use this command to look for differences between two text files. It brings up the Compare Text Files dialog box, in which you can specify the file names.

Shortcuts:

Keyboard: ToolCompareFiles

More information


Convert command (Tools menu)

Use this command to convert the character set in the active document between ANSI and DOS (also known as OEM or IBM).

Note that the conversion is not reversible for characters that are unique to the current character set (such as line drawing characters), and the command cannot be undone.

TextPad selects the MS LineDraw font, after converting to DOS, and the default font after converting to ANSI.

Shortcuts:

Keyboard: ToolConvert

More information


Explorer/File Manager command (Tools menu)

Use this command start Windows own File Manager, or Explorer.

Shortcuts:

Keyboard: ToolExplorer


HTML Validator command (Tools menu)

Use this command to check the syntax of the active HTML document with CSE 3310 HTML Validator.

Shortcuts:

Keyboard: ToolHTMLValidate

More information


Run command (Tools menu)

Use this command to start another application, and optionally redirect its output to the Command Results window. It brings up the Run dialog box for you to fill in the details.

Shortcuts:

Keyboard: ToolRun

More information


Sort command (Tools menu)

Use this command to sort selected lines.

Shortcuts:

Keyboard: ToolSort

More information


Spelling command (Tools menu)

Use this command to check the spelling of the active document.

Shortcuts:

Toolbar:

Keyboard: ToolSpell

More information


Stop command (Tools menu)

Use this command to terminate the user tool whose output is being redirected to the Command Results window.

Shortcuts:

Keyboard: ToolStop

More information


User Tool command (Tools menu)

Use this command to start an application that has been added to the Tools menu.

Shortcuts:

Keyboard: Tool01 - Tool32

More information


Workspace Close command (File menu)

Use this command to close the current workspace. You will be asked if you want to save any changes.

Shortcuts:

Keyboard: WorkspaceClose

More information


Workspace Open command (File menu)

Use this command to open a previously saved workspace.

Shortcuts:

Keyboard: WorkspaceOpen

More information


Workspace Save command (File menu)

Use this command to save the current workspace.

Shortcuts:

Keyboard: WorkspaceSave

More information


Workspace Save As command (File menu)

Use this command to save the current workspace to a different file, or to create a new workspace.

Shortcuts:

Keyboard: WorkspaceSaveAs

More information


Clip Library command (View menu)

Displays or hides the Clip Library.

Shortcuts:

Keyboard: ViewClipLib

More information


Document Selector command (View menu)

Displays or hides the Document Selector. This is a list of the open documents, which you can use to switch between them.

Shortcuts:

Keyboard: ViewDocSelector


Full Screen command (View menu)

Resizes the current view so that it fills the screen.

Shortcuts:

Keyboard: ViewFullScreen


Horizontal Scroll Bar command (View menu)

Displays or hides the horizontal scroll bar in the active view. Note that you can set the default for all views on the View page of the Preferences dialog box.

Shortcuts:

Keyboard: ViewHScrollbar


In Web Browser command (View menu)

For document classes with the "View in Web Browser" option set, this command displays the active document in the default web browser. For documents in other classes, or if the Shift key is down when it is selected, this command can be used to display the URL under the cursor.

This will only work if the default browser is associated with the extension of the document's file name.

Shortcuts:

Keyboard: ViewHTML

More information


Line Numbers command (View menu)

Displays or hides line numbers in the active view. Note that you can set the default for all views on the View page of the Preferences dialog box.

Shortcuts:

Keyboard: ViewLineNumbers


Tab Selector command (View menu)

Document Tabs command (View menu)

Displays or hides tabs for switching between documents.

Shortcuts:

Keyboard: ViewTabSelector


Document Properties command (View menu)

Displays properties for the active document.

Shortcuts:

Keyboard: ViewProperties


Status Bar command (View menu)

Displays or hides the status bar. This setting is also available on the View page of the Preferences dialog box.

Shortcuts:

Keyboard: ViewStatusBar


Visible Spaces command (View menu)

Displays spaces, tabs and paragraph marks as visible characters in the active view. If no documents are open, this sets the default for all views.

Note that you can control which of these characters are visible on the View page of the Preferences dialog box.

Shortcuts:

Toolbar:

Keyboard: ViewVisibleSpaces


Vertical Scroll Bar command (View menu)

Displays or hides the vertical scroll bar in the active view. Note that you can set the default for all views on the View page of the Preferences dialog box.

Shortcuts:

Keyboard: ViewVScrollbar


1,2,3, ,... command (Window menu)

A list of currently open document windows is displayed at the bottom of the Window menu. A check mark appears in front of the document name of the active window. Choose a document from this list to make its window active.

Shortcuts:

Keyboard: Window1 - Window10


Arrange Icons command (Window menu)

Use this command to arrange neatly the icons for minimized windows at the bottom of the main window. If there is an open document window at the bottom of the main window, then some or all of the icons may not be visible because they will be underneath this document window.

Shortcuts:

Keyboard: WindowArrangeIcons


Cascade command (Window menu)

Use this command to arrange your windows in an overlapped fashion, from top left to bottom right of the screen.

Shortcuts:

Keyboard: WindowCascade


Command Output command (Window menu)

Command Results command (Window menu)

Use this command to switch to the window showing the output of the last tool from the tools menu. This command is unavailable if you close the window, until you run another tool.

After you have used this command, a bullet mark ( [image]) is shown against it on the Window menu, to show that the Jump Next/Previous commands on the Search menu apply to this window.

Shortcuts:

Keyboard: WindowCommand

More information


Search Results command (Window menu)

Use this command to switch to the window showing the results of the last Find in Files command. This command is unavailable if you close the window, until you do another Find in Files.

After you have used this command, a bullet mark ( [image]) is shown against it on the Window menu, to show that the Jump Next/Previous commands on the Search menu apply to this window.

Shortcuts:

Keyboard: WindowSearch

More information


Split Window command (Window menu)

Use this command to split the active window into 2 or 4 panes. You may then use the mouse or the keyboard arrows to move the splitter bar. When you are finished, press the left button, or Enter to leave the splitter bar in its new location.

Pressing escape cancels this command.

Shortcuts:

Keyboard: WindowSplit

More information


Tile Horizontally command (Window menu)

Use this command to arrange your windows one above another, in a non-overlapped fashion, down the screen.

Shortcuts:

Keyboard: WindowTileDown


Tile Vertically command (Window menu)

Use this command to arrange your windows side by side across the screen.

Shortcuts:

Keyboard: WindowTileAcross